2006-07-31 21:08  hvlad

	* firebird2/src/jrd/gds.cpp (1.193.2.2):
	
	Updated the BLR printer to handle all FB2 features.

2006-07-31 15:34  alexpeshkoff

	* firebird2/doc/WhatsNew (1.95.2.14):
	
	misc

2006-07-31 15:22  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/misc/firebird.init.d.s
	use.in (1.4.4.3):
	
	minimal fix for SUSE problems with restart

2006-07-31 12:06  dimitr

	* firebird2/doc/WhatsNew (1.95.2.13):
	
	Updated docs.

2006-07-31 11:38  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.260.2.2):
	
	Fix JIRA bug CORE-855 Aggregates on derived fields where allowed in
	where clause

2006-07-31 10:15  dimitr

	* firebird2/doc/WhatsNew (1.95.2.12):
	
	Updated docs.

2006-07-31 10:00  dimitr

	* firebird2/src/jrd/: blp.h (1.20.4.1), gds.cpp (1.193.2.1):
	
	Updated the BLR printer to handle all FB2 features.

2006-07-31 09:43  alexpeshkoff

	* firebird2/doc/WhatsNew (1.95.2.11):
	
	update info

2006-07-31 09:43  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.166.2.4):
	
	Fixed bug CORE-841

2006-07-29 09:49  dimitr

	* firebird2/doc/WhatsNew (1.95.2.10):
	
	Misc.

2006-07-29 09:43  hvlad

	* firebird2/doc/WhatsNew (1.95.2.9):
	
	Update WhatsNew

2006-07-29 09:39  hvlad

	* firebird2/src/jrd/pcmet.epp (1.40.4.1):
	
	Backported fix for CORE-879 : Dependencies are not cleared when
	creation of expression index fails

2006-07-25 08:34  dimitr

	* firebird2/doc/WhatsNew (1.95.2.8):
	
	Updated docs.

2006-07-25 06:24  dimitr

	* firebird2/src/extlib/fbudf/fbudf.cpp (1.26.4.1):
	
	Backported the simplified fix for CORE-858.

2006-07-20 18:36  asfernandes

	* firebird2/src/: dsql/make.cpp (1.110.2.1), jrd/constants.h
	(1.24.4.1), jrd/evl.cpp (1.165.2.1), jrd/unicode_util.cpp
	(1.6.4.2):
	
	Backport: 1) Fix for CORE-852 - substring(current_user from 4)
	without for fails 2) Fix for CORE-857 - Containing not working
	correctly 3) Correction for problem with CURRENT_USER/ROLE and
	client charset

2006-07-19 18:45  dimitr

	* firebird2/src/jrd/why.cpp (1.100.4.2):
	
	Backport one of the GCC4 fixes. Now I could compile the tree.

2006-07-19 13:51  dimitr

	* firebird2/src/jrd/cmp.cpp (1.203.2.3):
	
	Fixed crash when compiling old (wrongly generated) BLR.

2006-07-12 15:20  paul_reeves

	*
	firebird2/builds/install/arch-specific/win32/BuildExecutableInstall
	.bat (1.15.2.3):
	
	Include cpl applet in the zip pack (CORE-849)

2006-07-12 14:47  paul_reeves

	* firebird2/builds/win32/msvc7/fb2control.vcproj (1.3.6.1):
	
	Statically link cplapplet to MFC (CORE-844)

2006-06-29 14:25  paul_reeves

	* firebird2/builds/install/arch-specific/win32/: Readme.txt
	(1.9.2.2), installation_readme.txt (1.9.2.2):
	
	Change rc2 -> rc3

2006-06-29 14:11  paul_reeves

	*
	firebird2/builds/install/arch-specific/win32/BuildExecutableInstall
	.bat (1.15.2.2):
	
	Fix typo

2006-06-27 11:23  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.166.2.3):
	
	rolled back Dmitry's changes in order to keep 1.5 behaviour for
	well formed SPB

2006-06-27 10:53  alexpeshkoff

	* firebird2/src/common/classes/ClumpletReader.cpp (1.18.2.4):
	
	slightly better way to validate string length, passed by user

2006-06-27 08:41  dimitr

	* firebird2/src/: jrd/svc.cpp (1.166.2.2),
	common/classes/ClumpletReader.cpp (1.18.2.3):
	
	Solution for CORE-1. Alex, it's up to you to agree or implement a
	better fix.

2006-06-27 08:39  dimitr

	* firebird2/src/jrd/Optimizer.h (1.16.4.1):
	
	More optimistic selectivity estimations. In the worst case, it's
	much easier to disable index usage rather then enable it.

2006-06-21 14:59  alexpeshkoff

	* firebird2/src/jrd/why.cpp (1.100.4.1):
	
	Handle exceptions in attach & create calls

2006-06-19 15:04  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/misc/linuxLibrary.sh.i
	n (1.3.4.3):
	
	fix for SF#1508397

2006-06-16 15:59  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	FirebirdInstallEnvironmentChecks.inc (1.4.4.2),
	FirebirdInstall_20.iss (1.12.2.3):
	
	Update shared file list for fb2.0 win32 installs

2006-06-16 15:51  alexpeshkoff

	* firebird2/src/utilities/gsec/gsec.cpp (1.53.2.2):
	
	restored warning about too long password

2006-06-15 16:16  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	FirebirdInstallEnvironmentChecks.inc (1.4.4.1),
	FirebirdInstall_20.iss (1.12.2.2), custom_messages.inc (1.2.4.1),
	ba/custom_messages_ba.inc (1.2.4.1), de/custom_messages_de.inc
	(1.2.6.1), es/custom_messages_es.inc (1.1.6.1),
	fr/custom_messages_fr.inc (1.2.6.1), hu/custom_messages_hu.inc
	(1.2.6.1), it/custom_messages_it.inc (1.1.2.1),
	pl/custom_messages_pl.inc (1.1.6.1), pt/custom_messages_pt.inc
	(1.3.2.1), si/custom_messages_si.inc (1.2.6.1):
	
	Remove guardian from Windows classic server installs.  Fix bug in
	client only install - server binary was being included.  Clean up
	innosetup debugging support.

2006-06-14 16:42  dimitr

	* firebird2/src/utilities/nbackup.cpp (1.48.4.1):
	
	I see no explicit need to emulate POSIX semantics and allow shared
	deletes.

2006-06-13 10:32  dimitr

	* firebird2/doc/WhatsNew (1.95.2.7):
	
	Updated docs.

2006-06-07 10:20  dimitr

	* firebird2/src/dsql/blob.epp (1.20.2.1):
	
	Claudio's follow-up to the Alex's fix.

2006-06-06 12:22  dimitr

	* firebird2/src/jrd/dfw.epp (1.178.2.1):
	
	Report "feature not supported" for nbak operations on ODS10.

2006-06-05 19:45  asfernandes

	* firebird2/builds/win32/msvc6/: Firebird2Boot2.dsw (1.3.2.2),
	gbak_embed.dsp (1.1.2.2), gpre_embed.dsp (1.3.2.2), isql_embed.dsp
	(1.1.2.2), utilities_embed.dsp (1.1.2.2):
	
	Seems nobody is building V2.0 in MSVC6 :-)

2006-06-05 14:53  dimitr

	* firebird2/builds/win32/msvc7/: gstat.vcproj (1.22.4.1),
	nbackup.vcproj (1.7.4.1):
	
	Let's do not require firebird.conf in utilities. In the long term
	(starting with HEAD?), the project "common" must die.

2006-06-05 03:17  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.9.4.2),
	src/intl/lc_iso8859_1.cpp (1.15.4.1), src/intl/ld.cpp (1.18.4.2),
	src/jrd/intlnames.h (1.19.4.2):
	
	Backport Spanish case-/accent-insensitive collation ES_ES_CI_AI for
	ISO8859_1

2006-06-02 15:20  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	FirebirdInstall_20.iss (1.12.2.1), Readme.txt (1.9.2.1),
	installation_readme.txt (1.9.2.1):
	
	Misc

2006-06-02 15:18  paul_reeves

	*
	firebird2/builds/install/arch-specific/win32/BuildExecutableInstall
	.bat (1.15.2.1):
	
	Make sure that the zip kit contain the files in misc.  Other Minor
	updates.

2006-06-02 10:59  dimitr

	* firebird2/src/jrd/rse.cpp (1.104.2.2):
	
	Backport George's bugfix into HEAD.

2006-06-02 10:06  asfernandes

	* firebird2/builds/win32/msvc6/gpre_embed.dsp (1.3.2.1):
	
	file gpre_embed.dsp was added on branch B2_0_Release on 2006-06-05
	17:45:13 +0000

2006-06-02 10:06  robocop

	* firebird2/builds/win32/msvc6/gpre_embed.dsp (1.3):
	
	Fix the VC6 build after Dmitry's changes.

2006-06-02 09:08  alexpeshkoff

	* firebird2/src/remote/inet.cpp (1.160.2.3):
	
	Fixed setsockopt() level - thanks to Fred

2006-06-02 08:58  hvlad

	* firebird2/src/jrd/btr.cpp (1.162.2.2):
	
	Fixed unregistered FB2 bug: endless loop when exception during
	index's expression evaluation occured

2006-06-02 08:53  dimitr

	* firebird2/builds/install/misc/firebird.conf (1.20.4.3):
	
	Provided some self-docs about the possible XNET issues.

2006-06-01 11:19  dimitr

	* firebird2/src/jrd/pag.cpp (1.98.4.1):
	
	Fixed bug in the ODS architecture checking logic.

2006-06-01 04:28  asfernandes

	* firebird2/builds/win32/msvc6/Firebird2Boot2.dsw (1.3.2.1):
	
	file Firebird2Boot2.dsw was added on branch B2_0_Release on
	2006-06-05 17:45:13 +0000

2006-06-01 04:28  asfernandes

	* firebird2/builds/win32/msvc6/Firebird2Boot2.dsw (1.3):
	
	Rename Firebird2Boot2.* to Firebird2Boot.*

2006-05-30 16:53  alexpeshkoff

	* firebird2/src/dsql/array.epp (1.37.2.1):
	
	bacport: fixed RC2 regression in diagnostics

2006-05-30 14:20  asfernandes

	* firebird2/src/jrd/: unicode_util.cpp (1.6.4.1), unicode_util.h
	(1.4.4.1):
	
	Backport fix of problem "STARTS WITH not working properly on an
	indexed column with charset UTF8" reported by Michael Weissenbacher
	in fb-devel

2006-05-29 18:57  alexpeshkoff

	* firebird2/src/remote/protocol.cpp (1.52.2.1):
	
	backport: Report failure instead of having AV in case of too many
	suggested protocol versions

2006-05-29 18:56  alexpeshkoff

	* firebird2/: builds/install/misc/firebird.conf (1.20.4.2),
	src/common/config/config.cpp (1.66.4.2):
	
	backport: Limit packet size which we can process correctly

2006-05-28 09:42  robocop

	* firebird2/builds/win32/msvc6/gpre_embed.dsp (1.2):
	
	Disable RTTI in the boot build, too.

2006-05-28 03:12  asfernandes

	* firebird2/: builds/win32/make_all.bat (1.38.4.1),
	builds/win32/make_boot.bat (1.27.4.1), builds/win32/make_boot2.bat
	(1.2.4.1), builds/win32/make_examples.bat (1.16.2.1),
	builds/win32/make_icu.bat (1.6.4.1), builds/win32/preprocess.bat
	(1.33.4.1), builds/win32/preprocess2.bat (1.2.4.1),
	builds/win32/run_all.bat (1.6.4.1), builds/win32/setenvvar2.bat
	(1.3.4.1), doc/README.build.mingw.html (1.16.4.1),
	doc/README.build.msvc.html (1.10.12.1):
	
	Remove the old build system. Make the new one as: make_icu.bat,
	make_boot.bat, make_all.bat.

2006-05-26 05:52  asfernandes

	* firebird2/builds/win32/msvc6/gbak_embed.dsp (1.1.2.1):
	
	file gbak_embed.dsp was added on branch B2_0_Release on 2006-06-05
	17:45:13 +0000

2006-05-26 05:52  asfernandes

	* firebird2/builds/win32/msvc6/isql_embed.dsp (1.1.2.1):
	
	file isql_embed.dsp was added on branch B2_0_Release on 2006-06-05
	17:45:13 +0000

2006-05-26 05:52  asfernandes

	* firebird2/builds/win32/msvc6/utilities_embed.dsp (1.1.2.1):
	
	file utilities_embed.dsp was added on branch B2_0_Release on
	2006-06-05 17:45:13 +0000

2006-05-26 05:52  robocop

	* firebird2/builds/win32/msvc6/: Firebird2Boot2.dsw (1.2),
	gbak_embed.dsp (1.1), gpre_embed.dsp (1.1), isql_embed.dsp (1.1),
	utilities_embed.dsp (1.1):
	
	Finally got the new Windows build system working also in VC6.
	Thanks to Adriano.

2006-05-25 13:38  alexpeshkoff

	* firebird2/src/remote/inet.cpp (1.160.2.2):
	
	backported fix from HEAD - avoid unneeded log entries

2006-05-24 15:13  dimitr

	* firebird2/src/: jrd/cmp.cpp (1.203.2.2), jrd/rse.cpp (1.104.2.1),
	dsql/pass1.cpp (1.260.2.1):
	
	Restored my previous solution. The final decision is that NOT IN
	cannot be index-optimized reliably.

2006-05-23 15:11  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/misc/firebird.init.d.s
	use.in (1.4.4.2):
	
	backported fix

2006-05-23 09:51  dimitr

	* firebird2/src/jrd/par.cpp (1.132.4.1):
	
	Removed one of the Nickolay's protections in order to be able to
	restore databases containing views with check option.

2006-05-23 05:52  dimitr

	* firebird2/src/jrd/cmp.cpp (1.203.2.1):
	
	Restored the old plan distribution rules in v2.0. The new ones are
	neither complete nor reliable. To be revisited in HEAD.

2006-05-20 08:11  robocop

	* firebird2/builds/win32/msvc6/Firebird2Boot2.dsw (1.1):
	
	Work in progress.

2006-05-19 14:19  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/super/makeInstallImage
	.sh.in (1.17.4.1):
	
	backported - added nbackup to SS binary packages

2006-05-19 13:10  dimitr

	* firebird2/src/jrd/opt.cpp (1.261.2.2):
	
	Fixed bug with explicit plans and dependent vs free streams.

2006-05-18 15:28  asfernandes

	* firebird2/src/jrd/evl_string.h (1.22.4.1):
	
	Fix FB2 regression - '' CONTAINING '' should return true - thanks
	to Arno

2006-05-17 20:48  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.56.4.1):
	
	Fixed wrong ALL results in the ODS11 optimizer.

2006-05-16 17:36  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.166.2.1):
	
	fixed regression, introduced by me in RC2

2006-05-03 11:21  dimitr

	* firebird2/doc/WhatsNew (1.95.2.6):
	
	More docs.

2006-05-03 09:02  dimitr

	* firebird2/src/common/classes/locks.cpp (1.7.4.1):
	
	Disabled spinlocks.

2006-05-02 15:55  dimitr

	* firebird2/doc/WhatsNew (1.95.2.5):
	
	More docs.

2006-05-02 15:51  dimitr

	* firebird2/src/jrd/exe.cpp (1.176.2.1):
	
	Fixed the CHECK bug reported by Ivan Prenosil.

2006-05-02 12:57  dimitr

	* firebird2/doc/WhatsNew (1.95.2.4):
	
	More docs.

2006-05-02 11:54  hvlad

	* firebird2/src/remote/inet.cpp (1.160.2.1):
	
	Fixed RC1 bug : embedded can't connect to remote server via TCP\IP
	(connection rejected by remote interface)

2006-04-30 11:52  dimitr

	* firebird2/doc/WhatsNew (1.95.2.3):
	
	More docs.

2006-04-30 06:52  dimitr

	* firebird2/src/common/classes/rwlock.h (1.25.4.1):
	
	Sync with HEAD.

2006-04-25 19:07  alexpeshkoff

	* firebird2/configure.in (1.241.2.1):
	
	added slackware support to configure.in in 2.0.release

2006-04-25 14:50  dimitr

	* firebird2/src/jrd/IntlManager.cpp (1.6.4.1):
	
	Fixed fbintl loading on some Windows distribs.

2006-04-25 13:06  dimitr

	* firebird2/src/remote/os/win32/srvr_w32.cpp (1.34.4.1):
	
	Removed the unnessesary config option.

2006-04-25 12:47  dimitr

	* firebird2/src/common/config/: config.cpp (1.66.4.1), config.h
	(1.38.4.1):
	
	Removed the unnessesary config option.

2006-04-25 12:42  dimitr

	* firebird2/builds/install/misc/firebird.conf (1.20.4.1):
	
	Removed the unnessesary config option.

2006-04-25 09:03  alexpeshkoff

	* firebird2/doc/WhatsNew (1.95.2.2):
	
	one more fix was forgotten

2006-04-24 18:11  alexpeshkoff

	* firebird2/builds/install/misc/classicLibrary.sh.in (1.4.4.3):
	
	1. Fixed access to files in include directory 2. gds_drop is too
	'strong' utility to be root SUID - let it    better be usable only
	by root

2006-04-24 10:23  alexpeshkoff

	* firebird2/doc/WhatsNew (1.95.2.1):
	
	added my latest changes

2006-04-24 04:09  asfernandes

	* firebird2/builds/install/misc/posixLibrary.sh.in (1.4.4.4):
	
	Misc

2006-04-23 15:28  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/misc/firebird.init.d.s
	lackware.in (1.1):
	
	file firebird.init.d.slackware.in was initially added on branch
	B2_0_Release.

2006-04-23 15:28  alexpeshkoff

	* firebird2/builds/install/:
	arch-specific/linux/classic/rpmheader.txt.in (1.3.4.1),
	arch-specific/linux/misc/firebird.init.d.slackware.in (1.1.2.1),
	arch-specific/linux/misc/linuxLibrary.sh.in (1.3.4.2),
	arch-specific/linux/misc/superLinux.sh.in (1.2.4.2),
	arch-specific/linux/super/rpmheader.txt.in (1.4.4.1),
	misc/classicLibrary.sh.in (1.4.4.2), misc/posixLibrary.sh.in
	(1.4.4.3), misc/superLibrary.sh.in (1.1.6.2):
	
	1. fixed some linux install scripts problems 2. added slackware
	support

2006-04-23 15:26  alexpeshkoff

	* firebird2/src/utilities/gsec/gsec.cpp (1.53.2.1):
	
	fixed illegal error reporting - warning about too long password is
	a victim

2006-04-23 01:25  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.261.2.1):
	
	Fix "no current record .." bug when an undependent stream A is
	dependent on stream B and B is dependent on stream C.  Stream A was
	merged with the stream C and only B was correctly joined.

2006-04-20 11:55  hvlad

	* firebird2/src/jrd/btr.cpp (1.162.2.1):
	
	Bug fix: don't use page buffer after page was released - it can be
	replaced by another page and may lead to serious corruptions

2006-04-18 11:57  alexpeshkoff

	* firebird2/builds/install/misc/posixLibrary.sh.in (1.4.4.2):
	
	fixed SF#1459368 - bad access rights after install

2006-04-18 11:52  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/misc/firebird.init.d.d
	ebian.in (1.4.4.2):
	
	removed obsolete comment

2006-04-18 10:56  alexpeshkoff

	* firebird2/src/utilities/guard/guard.cpp (1.8.12.3):
	
	Better way to delete pidfile, thanks to Claudio

2006-04-17 12:33  alexpeshkoff

	* firebird2/src/remote/server.cpp (1.126.2.3):
	
	removed unneeded h-file

2006-04-16 21:56  kkuznetsov

	* firebird2/src/common/classes/semaphore.h (1.24.2.1):
	
	Backported from HEAD solaris changes

2006-04-16 19:10  asfernandes

	* firebird2/src/remote/server.cpp (1.126.2.2):
	
	Use THREAD_SLEEP as sleep don't exist in WIN32

2006-04-16 19:01  alexpeshkoff

	* firebird2/src/jrd/execute_statement.cpp (1.14.4.1):
	
	Fixed bug in VC7.1 builds, reported by Ivan Prenosil

2006-04-16 18:08  alexpeshkoff

	* firebird2/src/common/classes/ClumpletReader.cpp (1.18.2.2):
	
	fixed undocumented use of isc_spb_command_line in db_stat

2006-04-16 17:29  asfernandes

	* firebird2/src/utilities/guard/guard.cpp (1.8.12.2):
	
	Correction

2006-04-16 16:35  alexpeshkoff

	* firebird2/src/common/classes/ClumpletReader.cpp (1.18.2.1):
	
	fixed bug, noticed by Roman Rokytskyy with commit/rollback in
	repair

2006-04-16 14:28  alexpeshkoff

	* firebird2/src/burp/restore.epp (1.101.4.1):
	
	make it possible to restore files, created by gbak 1.5.3 and server
	2.0

2006-04-16 13:55  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.client.util (1.34.4.1):
	
	fixed a couple of issues with firebird SS
	install/startup/shutdown/uninstall

2006-04-16 13:51  alexpeshkoff

	* firebird2/builds/install/:
	arch-specific/linux/classic/postinstall.sh.in (1.13.4.1),
	arch-specific/linux/misc/firebird.init.d.debian.in (1.4.4.1),
	arch-specific/linux/misc/firebird.init.d.generic.in (1.3.4.1),
	arch-specific/linux/misc/firebird.init.d.gentoo.in (1.2.4.1),
	arch-specific/linux/misc/firebird.init.d.mandrake.in (1.4.4.1),
	arch-specific/linux/misc/firebird.init.d.suse.in (1.4.4.1),
	arch-specific/linux/misc/linuxLibrary.sh.in (1.3.4.1),
	arch-specific/linux/misc/superLinux.sh.in (1.2.4.1),
	arch-specific/linux/super/postuninstall.sh.in (1.4.4.1),
	misc/classicLibrary.sh.in (1.4.4.1), misc/posixLibrary.sh.in
	(1.4.4.1), misc/superLibrary.sh.in (1.1.6.1):
	
	fixed a couple of issues with firebird SS
	install/startup/shutdown/uninstall

2006-04-16 13:48  alexpeshkoff

	* firebird2/src/: remote/inet_server.cpp (1.58.4.1),
	remote/serve_proto.h (1.9.12.1), remote/server.cpp (1.126.2.1),
	utilities/guard/guard.cpp (1.8.12.1), utilities/ibmgr/ibmgr.cpp
	(1.20.4.1), utilities/ibmgr/ibmgr.h (1.12.4.1),
	utilities/ibmgr/ibmgrswi.h (1.4.12.1), utilities/ibmgr/srvrmgr.cpp
	(1.30.4.1):
	
	fixed a couple of issues with firebird SS
	install/startup/shutdown/uninstall

2006-04-14 17:43  alexpeshkoff

	* firebird2/src/include/old_fb_blk.h (1.4.12.1):
	
	backported recommended by Claudio fix

2006-04-13 13:00  alexpeshkoff

	* firebird2/src/remote/allr.cpp (1.31.4.1):
	
	removed 16-bit support, breaking big-blocks allocation

2006-04-13 05:29  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.9.4.1),
	builds/win32/msvc6/intl.dsp (1.27.4.1),
	builds/win32/msvc7/intl.vcproj (1.22.4.1),
	src/intl/lc_iso8859_2.cpp (1.12.4.1), src/intl/ld.cpp (1.18.4.1),
	src/intl/collations/xx88592plk.h (1.1.2.2), src/jrd/intlnames.h
	(1.19.4.1):
	
	Backport Polish collation ISO_PLK for ISO8859_2 charset -
	contributed by Jaroslaw Glowacki

2006-04-13 05:28  asfernandes

	* firebird2/src/isql/show.epp (1.86.2.1):
	
	Backport fix for SHOW GENERATOR

2006-04-13 05:04  asfernandes

	* firebird2/src/intl/collations/xx88592plk.h (1.1.2.1):
	
	file xx88592plk.h was added on branch B2_0_Release on 2006-04-13
	03:29:49 +0000

2006-04-13 05:04  asfernandes

	* firebird2/src/intl/collations/xx88592plk.h (1.1):
	
	Polish collation ISO_PLK for ISO8859_2 charset - contributed by
	Jaroslaw Glowacki

2006-04-12 09:36  alexpeshkoff

	* firebird2/src/common/classes/ClumpletReader.h (1.15.4.1):
	
	turn of debugging in release

2006-04-09 17:46  alexpeshkoff

	* firebird2/src/jrd/isc_sync.cpp (1.103):
	
	make CS lock manager semaphores have correct access rights

2006-04-09 14:47  alexpeshkoff

	* firebird2/src/dsql/hsh.cpp (1.31):
	
	fixed AV during massive addition of relations to DSQL hash

2006-04-09 12:59  alexpeshkoff

	* firebird2/src/jrd/nbak.cpp (1.52):
	
	fixed access rights to delta file

2006-04-09 08:53  robocop

	* firebird2/src/remote/server.cpp (1.126):
	
	Handle zero-length strings even if we have our buffer full.

2006-04-09 08:50  robocop

	* firebird2/src/remote/merge.cpp (1.21):
	
	We can't handle more than 255 bytes for some items when merging
	information. Let's be consistent between the length indicator and
	the bytes we put in the buffer.

2006-04-09 08:46  robocop

	* firebird2/src/remote/: inet.cpp (1.160), protocol.cpp (1.52),
	remote.cpp (1.43), xdr.cpp (1.22):
	
	Style.

2006-04-09 02:53  robocop

	* firebird2/src/remote/server.cpp (1.125):
	
	Refactor this damn unreadable code and take into account the
	problem Adriano found with zero length file names in my previous
	commit.

2006-04-08 05:29  robocop

	* firebird2/src/lock/print.cpp (1.48):
	
	Misc.

2006-04-08 05:28  robocop

	* firebird2/src/msgs/messages.sql (1.71):
	
	Correction.

2006-04-08 05:09  asfernandes

	* firebird2/src/dsql/gen.cpp (1.98):
	
	Fix problem which occur when select a field with NONE charset when
	using another connection charset - second part of problem reported
	by Michal Kubecek

2006-04-08 02:03  robocop

	* firebird2/src/: isql/isql.epp (1.174), msgs/facilities.sql
	(1.57), msgs/history.sql (1.33), msgs/messages.sql (1.70):
	
	Adjust isql to the full words stated in the IB5 docs for the
	command line options.

2006-04-07 11:16  dimitr

	* firebird2/src/dsql/: array.epp (1.37), blob.epp (1.20):
	
	More threading related fixes. As a side effect, it disables a
	primitive client-side caching of a few predefined queries, but it
	doesn't show any performance difference.

2006-04-07 06:51  robocop

	* firebird2/src/remote/server.cpp (1.124):
	
	I think I'm fixing a potential buffer overrun here.

2006-04-07 04:57  asfernandes

	* firebird2/: builds/posix/Makefile.in.client.fbudf (1.10),
	src/common/classes/class_test.cpp (1.27),
	src/common/classes/sparse_bitmap.h (1.14), src/jrd/rse.cpp (1.104):
	
	Misc

2006-04-07 04:55  asfernandes

	* firebird2/src/remote/server.cpp (1.123):
	
	Correction

2006-04-06 16:43  alexpeshkoff

	* firebird2/src/isql/isql.epp (1.173):
	
	fixed regression in switch

2006-04-06 15:34  alexpeshkoff

	* firebird2/src/remote/server.cpp (1.122):
	
	validate port_context before use to avoid AV in remote

2006-04-06 15:30  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.166):
	
	make service output look the same for both CS and SS

2006-04-06 10:17  robocop

	* firebird2/src/: common/fb_exception.cpp (1.23),
	common/classes/ClumpletReader.cpp (1.18),
	common/classes/ClumpletWriter.cpp (1.14), common/classes/alloc.cpp
	(1.80), common/classes/class_perf.cpp (1.17),
	common/classes/class_test.cpp (1.26), common/classes/fb_string.cpp
	(1.31), common/classes/fb_string.h (1.5),
	common/classes/semaphore.h (1.24), common/classes/sparse_bitmap.h
	(1.13), common/classes/tree.h (1.50), config/Lex.cpp (1.3),
	config/Lex.h (1.4), intl/lc_narrow.cpp (1.16), intl/utils/dtest2.c
	(1.4), intl/utils/mapgen4.c (1.5), isql/isql.epp (1.172),
	jrd/blb.cpp (1.117), jrd/btr.cpp (1.162), jrd/cch.cpp (1.129),
	jrd/cmp.cpp (1.203), jrd/dfw.epp (1.178), jrd/evl.cpp (1.165),
	jrd/exe.cpp (1.176), jrd/functions.cpp (1.24), jrd/met.epp (1.182),
	jrd/nbak.cpp (1.51), jrd/opt.cpp (1.261), jrd/rse.cpp (1.103),
	jrd/tra.cpp (1.117), jrd/validation.cpp (1.16), jrd/vio.cpp
	(1.151), misc/makeHeader.cpp (1.2), remote/server.cpp (1.121),
	utilities/gsec/gsec.cpp (1.53), utilities/rebuild/rebuild.cpp
	(1.19), vulcan/RefObject.h (1.4):
	
	Style.

2006-04-06 08:32  robocop

	* firebird2/src/jrd/: gds.cpp (1.193), gds_proto.h (1.41), ibase.h
	(1.114):
	
	Stop complainers related to the argument types of fb_interpret.

2006-04-06 06:19  aafemt

	* firebird2/builds/posix/Makefile.in.client.fbudf (1.9):
	
	Since timestamp routines are compiled-in directly, no need to link
	against fbclient.

2006-04-05 18:34  asfernandes

	* firebird2/src/jrd/: jrd.cpp (1.237), met.epp (1.181), met_proto.h
	(1.50):
	
	Allow collation IDs greater than 127

2006-04-05 18:24  asfernandes

	* firebird2/src/burp/backup.epp (1.81):
	
	Remove obsolete comment

2006-04-05 09:08  dimitr

	* firebird2/src/remote/inet.cpp (1.159):
	
	Nagle algorithm is now disabled by default, so there's no need to
	print an appropriate message in the server log.

2006-04-05 08:25  kkuznetsov

	* firebird2/src/common/classes/alloc.cpp (1.79):
	
	Add check for result of mmap() on Solaris platforms

2006-04-05 07:04  dimitr

	* firebird2/src/remote/inet.cpp (1.158):
	
	1) Set NoNagle depending on config only.  2) Set socket options for
	Win32 CS.

2006-04-05 06:38  dimitr

	* firebird2/src/dsql/make.cpp (1.110):
	
	Fixed the regression caused by my changes re. Dialect 1.

2006-04-05 06:36  dimitr

	* firebird2/src/jrd/cch.cpp (1.128):
	
	gds_alloc() no longer throws exceptions. Let's handle it properly.

2006-04-05 00:48  robocop

	* firebird2/src/alice/: alice.cpp (1.83), alice.h (1.49), tdr.cpp
	(1.48):
	
	Misc.

2006-03-30 07:59  kkuznetsov

	* firebird2/extern/SfIO/read.me (1.1):
	
	Add readme

2006-03-29 19:47  dimitr

	* firebird2/src/: jrd/cmp.cpp (1.202), jrd/exe.h (1.82),
	misc/blrtable.cpp (1.23):
	
	Fixed yet another bug in cursors. Will this ever end? :-)

2006-03-29 17:26  dimitr

	* firebird2/src/jrd/btr.cpp (1.161):
	
	Fixed the bug that caused unexpected bugcheck(205) in big
	databases.

2006-03-29 17:20  asfernandes

	*
	firebird2/builds/install/arch-specific/win32/pt/instalacao_leia-me.
	txt (1.3):
	
	Misc

2006-03-29 15:44  paul_reeves

	* firebird2/builds/:
	install/arch-specific/win32/BuildExecutableInstall.bat (1.15),
	install/arch-specific/win32/FirebirdInstall_20.iss (1.12),
	install/arch-specific/win32/Readme.txt (1.9),
	install/arch-specific/win32/installation_readme.txt (1.9),
	win32/make_examples.bat (1.16):
	
	Minor tweaks to the Win32 build/install stuff. Updated readme and
	install_readme.

2006-03-29 15:43  paul_reeves

	* firebird2/builds/install/arch-specific/win32/pt/:
	custom_messages_pt.inc (1.3), instalacao_leia-me.txt (1.2),
	leia-me.txt (1.2):
	
	Win32 installer - latest portuguese translations

2006-03-29 15:41  paul_reeves

	* firebird2/builds/install/arch-specific/win32/it/:
	custom_messages_it.inc (1.1), leggimi.txt (1.1),
	leggimi_installazione.txt (1.1):
	
	Add italian translations of install strings for Windows installs

2006-03-29 11:41  hvlad

	* firebird2/src/dsql/pass1.cpp (1.260):
	
	Make input parameters of EXECUTE BLOCK statement nullable

2006-03-29 11:39  kkuznetsov

	* firebird2/extern/SfIO/include/stdio.h (1.1):
	
	Add modifyed SFIO include file to public CVS

2006-03-28 12:16  dimitr

	* firebird2/src/jrd/dyn_mod.epp (1.67):
	
	Misc.

2006-03-28 11:55  dimitr

	* firebird2/src/jrd/evl.cpp (1.164):
	
	Protected from assignments to not existing fields.

2006-03-28 11:54  dimitr

	* firebird2/src/msgs/: facilities.sql (1.56), messages.sql (1.69),
	system_errors.sql (1.28):
	
	Added new error message.

2006-03-28 11:51  dimitr

	* firebird2/: src/include/gen/codetext.h (1.38),
	src/include/gen/iberror.h (1.39), src/include/gen/msgs.h (1.52),
	src/include/gen/rdb_codes.h (1.37), src/include/gen/sql_code.h
	(1.41), lang_helpers/gds_codes.ftn (1.31),
	lang_helpers/gds_codes.pas (1.31):
	
	Added new error message.

2006-03-28 11:36  dimitr

	* firebird2/src/jrd/exe.h (1.81):
	
	Fixed a minor regression in the permission checking logic.  Let's
	first check the relation privileges and only then the column ones.

2006-03-28 06:31  mkubecek

	* firebird2/src/: isql/isql.epp (1.171), isql/isql.h (1.54),
	msgs/facilities.sql (1.55), msgs/history.sql (1.32),
	msgs/messages.sql (1.68):
	
	Fix of isql command line parser: check for repeated switches or
	database name.

2006-03-28 06:04  robocop

	* firebird2/doc/README.garbage_collector (1.2):
	
	Misc.

2006-03-26 22:51  hvlad

	* firebird2/doc/README.garbage_collector (1.1):
	
	Documentation for garbage collector

2006-03-26 07:58  robocop

	* firebird2/src/isql/isql.epp (1.170):
	
	- Misc.  - Style - Avoiding one indentation level.

2006-03-26 06:58  robocop

	* firebird2/src/msgs/history.sql (1.31):
	
	Misc.

2006-03-26 05:34  asfernandes

	* firebird2/src/isql/isql.epp (1.169):
	
	Correction

2006-03-26 00:41  mkubecek

	* firebird2/src/: isql/isql.epp (1.168), isql/isql.h (1.53),
	msgs/facilities.sql (1.54), msgs/messages.sql (1.67):
	
	Fix of isql command line parser: allow only abbreviations of
	standard switch names, check integer arguments to be integers.

2006-03-25 08:07  robocop

	* firebird2/: configure.in (1.241), src/common/utils_proto.h
	(1.11), src/include/gen/autoconfig_msvc.h (1.99), src/jrd/common.h
	(1.137), src/jrd/svc.cpp (1.165), src/utilities/gsec/security.epp
	(1.16):
	
	Only strcmp and strncmp have common names across all plartforms.
	Cater for differences in strcasecmp/stricmp and
	strncasecmp/strnicmp.

2006-03-25 08:01  robocop

	* firebird2/src/: isql/show.epp (1.86), jrd/thd.cpp (1.47):
	
	Misc.

2006-03-21 02:55  asfernandes

	* firebird2/builds/posix/Makefile.in.client.qli (1.11):
	
	Misc

2006-03-20 17:29  alexpeshkoff

	* firebird2/src/remote/inet.cpp (1.157):
	
	fixed server hang in case of broken client

2006-03-19 16:37  alexpeshkoff

	* firebird2/configure.in (1.240):
	
	Let FreeBSD use editline by default

2006-03-19 16:32  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.client.qli (1.10),
	Makefile.in.embed.qli (1.19):
	
	removed absolutely unneeded setuid - thanks to Sergey Skvortsov

2006-03-19 14:56  alexpeshkoff

	* firebird2/configure.in (1.239):
	
	fixing build on FreeBSD/amd64

2006-03-18 07:22  robocop

	* firebird2/src/jrd/blb.cpp (1.116):
	
	Totally misc.

2006-03-18 02:57  asfernandes

	* firebird2/src/jrd/blb.cpp (1.115):
	
	Misc

2006-03-18 02:47  asfernandes

	* firebird2/doc/WhatsNew (1.95):
	
	Misc

2006-03-17 17:08  dimitr

	* firebird2/src/remote/os/win32/window.cpp (1.16):
	
	Let's not duplicate things.

2006-03-17 14:36  alexpeshkoff

	* firebird2/doc/WhatsNew (1.94):
	
	Misc

2006-03-17 11:41  robocop

	* firebird2/doc/WhatsNew (1.93):
	
	Document isql's command line arguments explanation.

2006-03-17 10:39  hvlad

	* firebird2/doc/WhatsNew (1.92):
	
	Update WhatsNew

2006-03-17 10:28  hvlad

	* firebird2/src/jrd/: blb.cpp (1.114), blb.h (1.22):
	
	Fixed SF #1446987

2006-03-17 09:15  dimitr

	* firebird2/doc/WhatsNew (1.91):
	
	Updated docs.

2006-03-17 08:56  hvlad

	* firebird2/src/jrd/vio.cpp (1.150):
	
	Fixed Beta2 bug reported in Russian newsgroup : AV when dropping FK
	with inactive index. Style

2006-03-16 14:45  alexpeshkoff

	* firebird2/src/jrd/utl.cpp (1.90):
	
	misc

2006-03-16 10:07  robocop

	* firebird2/src/: msgs/facilities.sql (1.53), msgs/history.sql
	(1.30), msgs/messages.sql (1.66), isql/isql.epp (1.167),
	isql/isql.h (1.52):
	
	Give isql a more useful help when receiving incorrect command line
	arguments, in sync with other utilities. Courtesy of Michal
	Kubecek.  Example: isql -?

2006-03-16 09:55  robocop

	* firebird2/src/jrd/sch.cpp (1.34):
	
	1.- Style.  2.- Don't overflow in case of long error message.

2006-03-16 09:53  robocop

	* firebird2/builds/install/misc/firebird.conf (1.20):
	
	Misc.

2006-03-16 03:26  asfernandes

	* firebird2/src/jrd/pag.cpp (1.98):
	
	Misc

2006-03-15 18:34  alexpeshkoff

	* firebird2/src/jrd/: sch.cpp (1.33), thd.cpp (1.46), thd.h (1.43):
	
	fixed bugcheck in case of OS error in mutex

2006-03-15 18:32  alexpeshkoff

	* firebird2/src/jrd/: common.h (1.136), inf_pub.h (1.9), pag.cpp
	(1.97), utl.cpp (1.89):
	
	applied patch of Sergey Skvortsov - port for FreeBSD AMD64

2006-03-15 18:28  alexpeshkoff

	* firebird2/src/: include/fb_exception.h (1.21),
	common/fb_exception.cpp (1.22):
	
	better support for OS error code in system_call_failed

2006-03-15 18:27  alexpeshkoff

	* firebird2/src/: alice/alice.h (1.48), burp/burp.cpp (1.111),
	burp/burp.h (1.72):
	
	return error in case of unexpected status_exception

2006-03-15 18:25  alexpeshkoff

	* firebird2/src/: jrd/vio.cpp (1.149), remote/server.cpp (1.120):
	
	we should not loose status vector held in status_exception

2006-03-15 18:23  alexpeshkoff

	* firebird2/src/misc/upgrade/v2/security_database.txt (1.4):
	
	change default value of LegacyHash

2006-03-15 18:19  alexpeshkoff

	* firebird2/: builds/install/misc/firebird.conf (1.19),
	src/common/config/config.cpp (1.66):
	
	change default value of LegacyHash

2006-03-15 15:03  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.8):
	
	Use different release number in ISC_FILE_VER_XXXX to distinguish
	between Fb 1.5 and Fb 2.0. Bump the build number at the same time.

2006-03-15 05:22  robocop

	* firebird2/src/remote/os/win32/wnet.cpp (1.36):
	
	Commit Alex' fix for a buffer overrun.

2006-03-15 05:21  robocop

	* firebird2/src/burp/restore.epp (1.101):
	
	Get rid of unused handle.

2006-03-14 11:57  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.259):
	
	Fix node compare function for derived fields.  Fixes field
	test-item #1449377.

2006-03-13 15:39  hvlad

	* firebird2/src/burp/restore.epp (1.100):
	
	Update statistics for system indices after restore

2006-03-13 15:32  hvlad

	* firebird2/src/jrd/sort.cpp (1.79):
	
	Fix SF #1434147 : Bugs with COUNT (DISTINCT XXX) when XXXX is a
	high integer

2006-03-10 18:46  alexpeshkoff

	* firebird2/src/jrd/: cmp.cpp (1.201), exe.cpp (1.175), exe.h
	(1.80), req.h (1.56):
	
	fixed memory leak - SF#1422471

2006-03-10 09:23  robocop

	* firebird2/src/: jrd/alt.cpp (1.60), jrd/alt_proto.h (1.14),
	jrd/dfw.epp (1.177), jrd/ibase.h (1.113), jrd/utl.cpp (1.88),
	jrd/utl_proto.h (1.20), jrd/why.cpp (1.100), jrd/why_proto.h
	(1.25), remote/server.cpp (1.119), jrd/os/vms/vmsevent.cpp (1.17):
	
	Commit correct signature for events-related calls.

2006-03-10 03:05  asfernandes

	* firebird2/builds/posix/Makefile.in.libfbembed (1.22):
	
	Misc

2006-03-10 01:23  asfernandes

	* firebird2/src/jrd/: vio.cpp (1.148), req.h (1.55):
	
	Fix SF Field-test #1439268 - Sequence of commands crash FB server -
	second part - thanks to Claudio

2006-03-10 01:08  asfernandes

	* firebird2/src/dsql/pass1.cpp (1.258):
	
	Fix incorrect malformed string error, reported by Richard Wesley

2006-03-09 18:52  dimitr

	* firebird2/src/remote/xnet.cpp (1.70):
	
	Fixed an exception during events shutdown, reported in fb-devel.

2006-03-09 16:24  kkuznetsov

	* firebird2/builds/install/arch-specific/solx86gcc/CS/prototype.in
	(1.5):
	
	Update solaris packaging

2006-03-09 14:26  kkuznetsov

	* firebird2/configure.in (1.238):
	
	Fix packaging on SOLARIS sparc port

2006-03-09 11:27  alexpeshkoff

	* firebird2/src/utilities/gsec/: call_service.cpp (1.10), gsec.cpp
	(1.52), gsec.h (1.25):
	
	always fill internal_user_data with 0's on creation

2006-03-09 10:42  kkuznetsov

	* firebird2/src/jrd/common.h (1.135):
	
	Set ODS aligment to 8 on Solaris sparc 32 bits port to avoid a lot
	of aligment problems.

2006-03-09 10:34  kkuznetsov

	* firebird2/builds/posix/: Makefile.in.libfbembed (1.21),
	prefix.solaris (1.21):
	
	Minor cleanup

2006-03-09 10:23  kkuznetsov

	* firebird2/builds/posix/prefix.solaris (1.20):
	
	Fix Solaris sparc 32 bit gcc port

2006-03-08 04:11  robocop

	* firebird2/src/: msgs/facilities.sql (1.52), msgs/history.sql
	(1.29), include/gen/msgs.h (1.51):
	
	Sync after Dmitry's changes.

2006-03-08 04:10  robocop

	* firebird2/src/jrd/: gds.cpp (1.192), gds_proto.h (1.40):
	
	Misc.

2006-03-08 03:06  asfernandes

	* firebird2/builds/posix/Makefile.in.libfbembed (1.20):
	
	Use tab instead of spaces

2006-03-07 18:51  dimitr

	* firebird2/src/: jrd/cmp.cpp (1.200), jrd/exe.h (1.79),
	jrd/par.cpp (1.132), dsql/gen.cpp (1.97):
	
	Fixed yet another bug in explicit cursors.  Unfortunately, BLR
	compatibility is not provided, so users have to recompile their
	SPs/triggers.

2006-03-07 15:43  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.56):
	
	More precise calculation of index cardinalities.

2006-03-07 15:42  dimitr

	* firebird2/src/dsql/pass1.cpp (1.257):
	
	Fixed bug in RETURNING INTO code.

2006-03-07 15:39  dimitr

	* firebird2/src/msgs/messages.sql (1.65):
	
	Fixed the error message.

2006-03-07 14:01  kkuznetsov

	* firebird2/builds/posix/Makefile.in.libfbembed (1.19):
	
	Temporally comment out my previous commit

2006-03-07 12:21  kkuznetsov

	* firebird2/builds/posix/Makefile.in.libfbembed (1.18):
	
	Fix make process on Solaris OSes

2006-03-07 11:20  dimitr

	* firebird2/src/dsql/gen.cpp (1.96):
	
	Added a context overflow check to DSQL as well.  Based on a
	bugreport by Volker Rehn.

2006-03-07 10:23  dimitr

	* firebird2/src/jrd/why.cpp (1.99):
	
	Fixed SF #1435997.

2006-03-07 06:44  robocop

	* firebird2/src/: remote/inet.cpp (1.156), remote/interface.cpp
	(1.119), jrd/validation.cpp (1.15):
	
	Style.

2006-03-07 04:12  asfernandes

	* firebird2/src/remote/server.cpp (1.118):
	
	Formatting

2006-03-07 04:11  asfernandes

	* firebird2/src/include/: fb_types.h (1.50), types_pub.h (1.4):
	
	Move ISC_STATUS_LENGTH and ISC_STATUS_ARRAY to public

2006-03-06 18:49  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.client.fbudf (1.8),
	Makefile.in.embed.fbudf (1.4):
	
	fixed FBUDF build on posix

2006-03-06 14:51  alexpeshkoff

	* firebird2/src/remote/server.cpp (1.117):
	
	Use named constant for buffer size

2006-03-06 14:36  alexpeshkoff

	* firebird2/src/remote/protocol.cpp (1.51):
	
	no need to check '<0' for unsigned variables - thanks to Adriano

2006-03-06 12:03  alexpeshkoff

	* firebird2/src/remote/: protocol.cpp (1.50), server.cpp (1.116):
	
	1. Fixed win32 classic build.  2. Attempt to fix SF#1260310.

2006-03-06 11:53  alexpeshkoff

	* firebird2/src/misc/upgrade/v2/security_database.txt (1.3):
	
	added requirement to convert security database to ods11

2006-03-06 11:40  alexpeshkoff

	* firebird2/src/jrd/os/posix/fbsyslog.cpp (1.5):
	
	make syslog messages visible on terminal

2006-03-06 02:00  asfernandes

	* firebird2/doc/README.user.embedded (1.5):
	
	Document files required for fbembed.dll

2006-03-05 11:26  alexpeshkoff

	* firebird2/src/remote/server.cpp (1.115):
	
	fixed debugging code - thanks to Claudio

2006-03-04 19:24  asfernandes

	* firebird2/src/jrd/: req.h (1.54), vio.cpp (1.147):
	
	Fix SF field-test #1439268 - Sequence of commands crash FB server

2006-03-03 17:20  alexpeshkoff

	* firebird2/src/remote/: inet.cpp (1.155), protocol.h (1.27),
	remot_proto.h (1.10), remote.cpp (1.42), remote.h (1.46),
	server.cpp (1.114):
	
	Fixed SF bug 1385092

2006-03-03 17:08  alexpeshkoff

	* firebird2/src/jrd/why.cpp (1.98):
	
	don't let printf() damage sockets in debug build

2006-03-03 17:06  alexpeshkoff

	* firebird2/src/jrd/err.cpp (1.61):
	
	slightly better diagnostic in log

2006-03-03 17:03  alexpeshkoff

	* firebird2/src/common/classes/alloc.h (1.61):
	
	let's try to make gcc4 happy

2006-03-03 11:56  kkuznetsov

	* firebird2/builds/posix/: prefix.solaris (1.19),
	prefix.solaris-64gcc (1.6):
	
	Removed profile gcc flag

2006-03-01 23:58  asfernandes

	* firebird2/src/jrd/evl_string.h (1.22):
	
	Fix AV in Knuth-Morris-Pratt algorithm implementation

2006-02-24 10:21  robocop

	* firebird2/src/: isql/isql.h (1.51), isql/show.epp (1.85),
	msgs/facilities.sql (1.51), msgs/messages.sql (1.64):
	
	Fix misleading error message reported by Michal Kubecek.

2006-02-24 02:33  asfernandes

	* firebird2/src/jrd/: unicode_util.cpp (1.6), unicode_util.h (1.4):
	
	Constify

2006-02-24 02:04  robocop

	* firebird2/src/jrd/isc.h (1.22):
	
	Fix compile-time error reported by Michal Kubecek.

2006-02-23 08:36  robocop

	* firebird2/src/jrd/cvt.cpp (1.71):
	
	Better play safe with int.

2006-02-23 08:30  robocop

	* firebird2/src/jrd/cvt.cpp (1.70):
	
	Try to put the correct pad character.

2006-02-23 08:22  robocop

	* firebird2/src/jrd/nbak.h (1.19):
	
	Misc.

2006-02-23 08:13  hvlad

	* firebird2/doc/WhatsNew (1.90):
	
	Misc

2006-02-23 07:51  robocop

	* firebird2/src/: jrd/btr.cpp (1.160), jrd/dyn_proto.h (1.12),
	jrd/filters.cpp (1.49), jrd/idx.cpp (1.103), jrd/met_proto.h
	(1.49), jrd/nav.cpp (1.60), jrd/nbak.h (1.18), jrd/par.cpp (1.131),
	jrd/sdw.h (1.8), jrd/why.cpp (1.97), jrd/os/pio_proto.h (1.16),
	jrd/os/posix/unix.cpp (1.42), jrd/os/vms/map.cpp (1.13),
	jrd/os/vms/vms.cpp (1.25), jrd/os/vms/vmslock.cpp (1.11),
	jrd/os/win32/winnt.cpp (1.30), remote/allr.cpp (1.31),
	remote/inet.cpp (1.154), remote/remote.cpp (1.41),
	remote/os/win32/wnet.cpp (1.35):
	
	More cleanup.

2006-02-23 06:21  robocop

	* firebird2/: src/jrd/isc.cpp (1.58), doc/WhatsNew (1.89):
	
	Misc.

2006-02-23 06:07  robocop

	* firebird2/src/: burp/burp.cpp (1.110), burp/burp.h (1.71),
	common/config/config_impl.h (1.16), jrd/blb.cpp (1.113),
	jrd/btr.cpp (1.159), jrd/btr.h (1.43), jrd/cch.cpp (1.127),
	jrd/cch.h (1.28), jrd/cch_proto.h (1.24), jrd/cvt.cpp (1.69),
	jrd/dbt.cpp (1.34), jrd/dfw.epp (1.176), jrd/dpm.epp (1.63),
	jrd/entry.h (1.20), jrd/exe.cpp (1.174), jrd/exe.h (1.78),
	jrd/ext.cpp (1.64), jrd/ext.h (1.12), jrd/fil.h (1.14),
	jrd/filters.cpp (1.48), jrd/fun.epp (1.72), jrd/gds.cpp (1.191),
	jrd/ibase.h (1.112), jrd/ibsetjmp.h (1.8), jrd/idx.cpp (1.102),
	jrd/inf.cpp (1.62), jrd/ini.epp (1.75), jrd/inuse.cpp (1.9),
	jrd/inuse_proto.h (1.4), jrd/isc.cpp (1.57), jrd/isc.h (1.21),
	jrd/isc_proto.h (1.13), jrd/isc_sync.cpp (1.102), jrd/jrd.cpp
	(1.236), jrd/jrd.h (1.148), jrd/jrd_proto.h (1.40), jrd/lck.cpp
	(1.51), jrd/lck.h (1.21), jrd/log.h (1.9), jrd/met.epp (1.180),
	jrd/mov.cpp (1.25), jrd/nav.cpp (1.59), jrd/par.cpp (1.130),
	jrd/perf.cpp (1.36), jrd/plugin_manager.h (1.20), jrd/req.h (1.53),
	jrd/rlck.cpp (1.35), jrd/rse.cpp (1.102), jrd/rse.h (1.45),
	jrd/scl.h (1.13), jrd/sdl.cpp (1.44), jrd/sdl.h (1.9),
	jrd/sdl_proto.h (1.17), jrd/sdw.cpp (1.60), jrd/sdw_proto.h (1.14),
	jrd/shut.cpp (1.38), jrd/smp_impl.h (1.6), jrd/sort.cpp (1.78),
	jrd/sort.h (1.26), jrd/svc.cpp (1.164), jrd/svc.h (1.38),
	jrd/svc_proto.h (1.19), jrd/sym.h (1.5), jrd/thd.cpp (1.45),
	jrd/thd.h (1.42), jrd/tra.cpp (1.116), jrd/tra.h (1.51),
	jrd/utl.cpp (1.87), jrd/validation.cpp (1.14), jrd/vio.cpp (1.146),
	jrd/why.cpp (1.96), jrd/os/posix/unix.cpp (1.41),
	jrd/os/vms/extvms.cpp (1.26), jrd/os/vms/map.cpp (1.12),
	jrd/os/vms/rdbint.cpp (1.16), jrd/os/vms/vms.cpp (1.24),
	jrd/os/vms/vmsevent.cpp (1.16), jrd/os/vms/vmslock.cpp (1.10),
	jrd/os/win32/winnt.cpp (1.29), lock/driver.cpp (1.18),
	misc/align.cpp (1.11), remote/inet.cpp (1.153),
	remote/inter_proto.h (1.15), remote/interface.cpp (1.118),
	remote/remote.h (1.45), remote/os/win32/ibconfig.cpp (1.15),
	remote/os/win32/wnet.cpp (1.34), utilities/gsec/gsec.cpp (1.51),
	utilities/gsec/gsec.h (1.24), utilities/gstat/dba.epp (1.67),
	utilities/gstat/ppg.cpp (1.29), utilities/gstat/ppg_proto.h (1.12):
	
	Mark unused data members, discover more code associated to
	conditional compilation, clean some places, replace custom loops by
	memcpy and memset when possible, etc.

2006-02-23 06:03  robocop

	* firebird2/src/jrd/cmp.cpp (1.199):
	
	We better do not have loop variables with the same name in nested
	loops.	:-)

2006-02-22 16:25  hvlad

	* firebird2/doc/WhatsNew (1.88):
	
	Update WhatsNew

2006-02-22 15:55  hvlad

	* firebird2/src/jrd/dfw.epp (1.175):
	
	Fixed SF #1436066 : Adding index during DB activity causes GFIX
	errors

2006-02-22 14:55  dimitr

	* firebird2/doc/WhatsNew (1.87):
	
	An update.

2006-02-22 08:21  robocop

	* firebird2/builds/mac_os_x/CS/CS.pbproj/project.pbxproj (1.13):
	
	This was the only project file referencing legacy mem.cpp.

2006-02-22 08:19  robocop

	* firebird2/src/jrd/sha.cpp (1.7):
	
	This file lacked indentation.

2006-02-22 08:11  dimitr

	* firebird2/src/jrd/cmp.cpp (1.198):
	
	Sorry, the unused code has been committed.

2006-02-22 06:30  dimitr

	* firebird2/src/jrd/cmp.cpp (1.197):
	
	Fixed imcomplete invariants tracking for subqueries.  Views are
	still a problem, so more to follow.

2006-02-22 03:50  asfernandes

	* firebird2/src/jrd/unicode_util.cpp (1.5):
	
	Fixed SF field-test $1433583 - key size exceeds implementation
	restriction

2006-02-21 05:29  robocop

	* firebird2/src/common/classes/: fb_tls.h (1.15), tree.h (1.49):
	
	The whole indentation was screwed in those files.

2006-02-20 14:20  kkuznetsov

	* firebird2/src/jrd/sdl.cpp (1.43):
	
	Quick fix compile error: inline function has prototype

2006-02-20 09:25  kkuznetsov

	* firebird2/src/common/config/config_impl.h (1.15):
	
	Fix Sun C++ compiler visibility error

2006-02-20 08:59  kkuznetsov

	* firebird2/src/common/classes/: fb_tls.h (1.13), fb_tls.h (1.14):
	
	misc

2006-02-20 08:46  kkuznetsov

	* firebird2/src/common/classes/tree.h (1.48):
	
	Support Sun C++ compiller in Bee+tree though conditional
	compilation.

2006-02-20 08:45  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64SCC (1.5):
	
	Add defines to support Sun C++ compiller in FB Code.

2006-02-19 22:16  asfernandes

	* firebird2/src/jrd/: dfw.epp (1.174), vio.cpp (1.145):
	
	Don't allow to drop indices used in explicit plans inside
	SPs/triggers

2006-02-19 00:39  robocop

	* firebird2/src/jrd/opt.cpp (1.260):
	
	Misc.

2006-02-15 14:35  dimitr

	* firebird2/src/dsql/pass1.cpp (1.256):
	
	There's no need to transform NOT ANY to ALL, as NOT ANY effectively
	uses indices.

2006-02-15 14:34  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.196), rse.cpp (1.101):
	
	More clever solution for bug #459059.  Deoptimization of NOT ANY is
	no longer necessary.

2006-02-10 20:40  dimitr

	* firebird2/builds/win32/: preprocess.bat (1.33), preprocess2.bat
	(1.2):
	
	Committed changes for the win32 build process.

2006-02-10 04:35  robocop

	* firebird2/src/jrd/rse.cpp (1.100):
	
	This is why we put {} around if/else always: to avoid errors like
	this one, where indentation is not what the compiler follows.

2006-02-10 04:28  robocop

	* firebird2/src/: include/memory_routines.h (1.10), jrd/blb.cpp
	(1.112), jrd/cmp.cpp (1.195), jrd/dfw.epp (1.173), jrd/exe.cpp
	(1.173), jrd/ext.cpp (1.63), jrd/ini.epp (1.74), jrd/jrd.cpp
	(1.235), jrd/jrd.h (1.147), jrd/met.epp (1.179), jrd/opt.cpp
	(1.259), jrd/par.cpp (1.129), jrd/rse.cpp (1.99), jrd/tra.cpp
	(1.115), jrd/validation.cpp (1.13):
	
	Misc.

2006-02-09 16:50  kkuznetsov

	* firebird2/src/jrd/rse.cpp (1.98):
	
	Fix aligment issues on Solaris sparc V9 (64 bits)

2006-02-09 12:00  kkuznetsov

	* firebird2/src/include/memory_routines.h (1.9):
	
	Minor fixes big thanks to Alex and Dmitry

2006-02-09 08:48  hvlad

	* firebird2/doc/sql.extensions/README.isc_info_xxx (1.4):
	
	Correct documentation for isc_info_creation_date

2006-02-09 08:42  hvlad

	* firebird2/src/jrd/inf.cpp (1.61):
	
	Correct way to work on big-endian systems

2006-02-08 22:21  hvlad

	* firebird2/doc/sql.extensions/README.isc_info_xxx (1.3):
	
	Document isc_info_creation_date

2006-02-08 22:20  hvlad

	* firebird2/src/jrd/: inf.cpp (1.60), inf_pub.h (1.8):
	
	Implemented new isc_info_creation_date

2006-02-08 11:11  hvlad

	* firebird2/src/jrd/btr.cpp (1.158):
	
	bugfix

2006-02-08 10:25  kkuznetsov

	* firebird2/builds/posix/: prefix.solaris (1.18),
	prefix.solaris-64SCC (1.4), prefix.solaris-64gcc (1.5):
	
	Minor updates to Solaris sparc 64 prefixes

2006-02-07 19:41  dimitr

	* firebird2/src/remote/xnet.cpp (1.69):
	
	Fixed broken XNET logic. In fact, this affects all types of
	connections as the security database is accessed locally.

2006-02-07 18:21  hvlad

	* firebird2/src/jrd/isc_sync.cpp (1.101):
	
	Fixed unregistered bug: fb_lock_print fails with message: The
	requested operation cannot be performed on a file with a
	user-mapped section open.

2006-02-07 09:08  robocop

	* firebird2/src/: jrd/Optimizer.cpp (1.55), jrd/blp.h (1.20),
	jrd/blr.h (1.22), jrd/cmp.cpp (1.194), jrd/evl.cpp (1.163),
	jrd/exe.h (1.77), jrd/gds.cpp (1.190), jrd/nav.cpp (1.58),
	jrd/nod.h (1.17), jrd/opt.cpp (1.258), jrd/par.cpp (1.128),
	jrd/rse.h (1.44), misc/blrtable.cpp (1.22):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Tenth step: some code was tagged PC_ENGINE but was for
	SCROLLABLE_CURSORS instead, hence restore it. Also, clean unused
	data members, obsolete BLR verbs and the like.

2006-02-06 17:13  kkuznetsov

	* firebird2/extern/icu/source/config/mh-solaris (1.5):
	
	minor fixes

2006-02-06 17:12  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64SCC (1.3):
	
	More fixes to SCC port

2006-02-06 15:27  dimitr

	* firebird2/builds/win32/msvc7/fbudf.vcproj (1.16):
	
	Fixed MSVC7 build.

2006-02-06 14:01  kkuznetsov

	* firebird2/extern/icu/source/config/mh-solaris (1.4):
	
	misc

2006-02-06 09:13  kkuznetsov

	* firebird2/src/include/memory_routines.h (1.8):
	
	Add 2 aligment fixes templates

2006-02-05 19:02  dimitr

	* firebird2/src/remote/: xnet.cpp (1.68), xnet_proto.h (1.16),
	os/win32/srvr_w32.cpp (1.34):
	
	Fixed XNET to follow the common call architecture for the remote
	subsystem. Just hope I didn't break the logic.

2006-02-05 13:39  hvlad

	* firebird2/doc/sql.extensions/README.isc_info_xxx (1.2):
	
	Typo's

2006-02-05 13:33  hvlad

	* firebird2/doc/sql.extensions/README.isc_info_xxx (1.1):
	
	Documentation for new isc_info_xxx calls

2006-02-05 12:36  hvlad

	* firebird2/src/jrd/: inf.cpp (1.59), inf_pub.h (1.7):
	
	Implemented SF #1315814  (isc_info_active_transactions_count) and
	#1089646 (isc_transaction_info - get isolation level)

2006-02-05 12:06  hvlad

	* firebird2/src/jrd/tra.cpp (1.114):
	
	1. Let SUPERSERVER_V2 also check for transactions numbers overflow
	2. Correction

2006-02-05 12:04  hvlad

	* firebird2/src/jrd/pag.cpp (1.96):
	
	Make code some simpler. Thanks to Claudio

2006-02-04 17:10  dimitr

	* firebird2/src/remote/xnet.cpp (1.67):
	
	Implemented SRVR_debug for XNet connections on win32.

2006-02-04 12:32  dimitr

	* firebird2/src/remote/os/win32/srvr_w32.cpp (1.33):
	
	Fixed SRVR_debug for INet connections on win32.

2006-02-04 11:37  dimitr

	* firebird2/src/remote/: inet.cpp (1.152), interface.cpp (1.117),
	protocol.h (1.26), remote.h (1.44), server.cpp (1.113):
	
	Minor cleanup.

2006-02-04 05:38  robocop

	* firebird2/: builds/win32/msvc6/fbudf.dsp (1.13),
	src/common/classes/timestamp.cpp (1.11):
	
	Use SUPERCLIENT for fbudf for avoiding exception-related code.

2006-02-04 05:20  robocop

	* firebird2/: lang_helpers/gds_codes.ftn (1.30),
	lang_helpers/gds_codes.pas (1.30), src/include/gen/msgs.h (1.50):
	
	Sync after Vlad's changes.

2006-02-04 05:19  robocop

	* firebird2/src/msgs/: facilities.sql (1.50), history.sql (1.28):
	
	Misc.

2006-02-04 03:40  robocop

	* firebird2/src/: extlib/fbudf/fbudf.cpp (1.26), jrd/gds.cpp
	(1.189):
	
	I misread the logic: it's true (not false) that tells Timestamp to
	not call the operating system to get the current time. Thanks to D.
	Sibiryakov.

2006-02-04 00:47  asfernandes

	* firebird2/doc/WhatsNew (1.86):
	
	Fixed typo

2006-02-03 23:05  hvlad

	* firebird2/src/jrd/: blb.cpp (1.111), lck.h (1.20):
	
	Correction

2006-02-03 18:45  hvlad

	* firebird2/src/include/gen/: codetext.h (1.37), iberror.h (1.38),
	msgs.h (1.49), rdb_codes.h (1.36), sql_code.h (1.40):
	
	New error message

2006-02-03 18:44  hvlad

	* firebird2/src/: jrd/tra.cpp (1.113), msgs/facilities.sql (1.49),
	msgs/messages.sql (1.63), msgs/system_errors.sql (1.27):
	
	Prevent transaction numbers from overflow MAX_SLONG boundary

2006-02-03 17:57  hvlad

	* firebird2/src/: jrd/blb.cpp (1.110), msgs/facilities.sql (1.48),
	msgs/messages.sql (1.62):
	
	Replace one fb_assert with BUGCHECK as Claudio suggested some time
	ago

2006-02-03 17:22  hvlad

	* firebird2/src/msgs/messages.sql (1.61):
	
	Fixed isql's statistics output

2006-02-03 14:49  hvlad

	* firebird2/src/jrd/tra.cpp (1.112):
	
	Prevent unnecessary blocking of garbage collection by
	read-committed transactions

2006-02-03 14:23  hvlad

	* firebird2/src/jrd/: inf.cpp (1.58), jrd.cpp (1.234), pag.cpp
	(1.95), pag_proto.h (1.14):
	
	Don't overwrite dbb_oldest_snapshot and another transaction numbers
	with oldest values from header page after user call to
	isc_info_oldest_snapshot etc

2006-02-03 14:13  hvlad

	* firebird2/src/: burp/burp.cpp (1.109), isql/isql.epp (1.166),
	lock/lock.cpp (1.114), qli/format.cpp (1.33), qli/mov.cpp (1.39),
	qli/picstr.cpp (1.28), remote/inet.cpp (1.151), remote/server.cpp
	(1.112), utilities/gstat/dba.epp (1.66), utilities/gstat/ppg.cpp
	(1.28):
	
	Replace "../jrd/jrd_time.h" with  "../common/classes/timestamp.h"

2006-02-03 13:24  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64SCC (1.2):
	
	Fix 64 switches

2006-02-03 13:23  kkuznetsov

	* firebird2/extern/icu/source/config/mh-solaris (1.3):
	
	Add 64 bit swithes to solaris port of  icu

2006-02-03 09:39  robocop

	* firebird2/src/: common/classes/timestamp.h (1.11), jrd/cch.cpp
	(1.126), jrd/cvt.cpp (1.68), jrd/dmp.cpp (1.30), jrd/evl.cpp
	(1.162), jrd/gds.cpp (1.188), jrd/isc_sync.cpp (1.100), jrd/jrd.cpp
	(1.233), jrd/perf.cpp (1.35), jrd/svc.cpp (1.163), jrd/utl.cpp
	(1.86), lock/print.cpp (1.47):
	
	Replace jrd_time.h by our timestamp.h, but I left timestamp.h's
	#includes commented where it *seemed* not necessary.

2006-02-03 09:37  robocop

	* firebird2/src/jrd/exe.h (1.76):
	
	More scrollable cursors related code.

2006-02-03 09:19  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64SCC (1.1):
	
	Prepare for use Sun CC compiler on Solaris sparc platform

2006-02-03 03:28  robocop

	* firebird2/src/jrd/: jrd.h (1.146), log.cpp (1.22), opt.cpp
	(1.257), pag.cpp (1.94), rse.h (1.43):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Ninth step: while doing cleanup, I discovered some data members
	that aren't used anymore or that should be inside conditional code.
	This is the result.

2006-02-02 14:17  dimitr

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.26), fbudf.vcproj
	(1.15):
	
	Fixed the win32 build.

2006-02-02 13:56  dimitr

	* firebird2/src/jrd/opt.cpp (1.256):
	
	Fixed a bug with NOT ANY/ALL reported by Alex.

2006-02-02 08:57  robocop

	* firebird2/src/jrd/: cch.cpp (1.125), jrd.h (1.145):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Eighth step: dbb_refresh_ranges belongs to the obsolete
	functionality and since it's never set but tested in cch.cpp with
	two AND, the whole condition will be always false, hence remove the
	code.

2006-02-02 08:40  robocop

	* firebird2/src/: jrd/exe.h (1.75), jrd/sort.cpp (1.77),
	misc/blrtable.cpp (1.21):
	
	Misc.

2006-02-02 08:37  robocop

	* firebird2/src/jrd/: nav.cpp (1.57), rse_proto.h (1.15):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Seventh step: since RSE_MARK_CRACK became a no-op, remove it from
	the sources.

2006-02-02 08:32  robocop

	* firebird2/src/jrd/: cmp.cpp (1.193), cmp_proto.h (1.29), evl.cpp
	(1.161), exe.cpp (1.172), exe_proto.h (1.14), jrd.cpp (1.232),
	jrd.h (1.144), nav.cpp (1.56), nav_proto.h (1.17), opt.cpp (1.255),
	opt_proto.h (1.14), par.cpp (1.127), req.h (1.52), rlck.cpp (1.34),
	rlck_proto.h (1.14), rse.cpp (1.97), rse_proto.h (1.14), shut.cpp
	(1.37), sort.cpp (1.76), tra.cpp (1.111), tra.h (1.50), vio.cpp
	(1.144), vio_proto.h (1.27):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Sixth step: remove the places protected by the macro PC_ENGINE.
	More to come. (I guess all of you who have pending functional
	changes to post will love this commit. <g>)

2006-02-02 01:39  robocop

	* firebird2/src/extlib/fbudf/fbudf.cpp (1.25):
	
	fbudf wasn't really thread safe (despite the Mutex) when dealing
	with the non-reentrant functions localtime and gmtime because we
	need to copy the contents of the result pointer to a local variable
	before releasing the Mutex.

2006-02-02 01:27  robocop

	* firebird2/: src/extlib/fbudf/fbudf.cpp (1.24),
	builds/win32/msvc6/fbudf.dsp (1.12),
	builds/win32/msvc6/Firebird2.dsw (1.38),
	src/common/classes/timestamp.cpp (1.10),
	src/common/classes/timestamp.h (1.10):
	
	Declare independence day from client library for fbudf . For builds
	other than MSVC6, the following has to be done: - add to fbudf
	project the files timestamp.cpp and timestamp.h - for the same
	project, define FBUDF_EXPORTS as preprocessor macro - for the
	firebird2 workspace/solution/make/etc get rid of the dependency of
	fbudf on fbclient. Build files that I indentified that need fixes
	are: builds\posix\Makefile.in.client.fbudf
	builds\posix\Makefile.in.embed.fbudf
	builds\win32\msvc7\fbudf.vcproj builds\win32\msvc7\Firebird2.sln
	MacOs build files ignore fbudf completely.  This change eliminates
	the problem with the client library having different names
	depending on the build type (SS, CS, embedded).

2006-02-02 01:03  robocop

	* firebird2/src/jrd/gds.cpp (1.187):
	
	Do not lose time getting the accurate timestamp from the operating
	system if we are going to override it imediately with the user
	supplied value in isc_encode_date and isc_encode_timestamp. Also,
	this avoids an exception escaping from the API functions if the
	system call fails.

2006-02-01 23:45  robocop

	* firebird2/src/jrd/: jrd.h (1.143), nav_proto.h (1.16), req.h
	(1.51), rse_proto.h (1.13):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Fourth step: remove forward declarations of classes Bookmark and
	RefreshRange. More to come.

2006-02-01 10:21  robocop

	* firebird2/src/jrd/: blk.h (1.26), dbt.cpp (1.33), rse.h (1.42):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Third step: remove references to the deleted objects Bookmark and
	RefreshRange in blk.h and dbt.cpp (debug). Remove definition of
	Bookmark from rse.h. More to come.

2006-02-01 09:55  robocop

	* firebird2/src/jrd/: cmp.cpp (1.192), evl.cpp (1.160), exe.cpp
	(1.171), nav.cpp (1.55), rse.cpp (1.96), shut.cpp (1.36), vio.cpp
	(1.143):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	Second step: remove them from #include clauses in other files. More
	to come.

2006-02-01 09:51  robocop

	* firebird2/builds/: mac_os_x/CS/CS.pbproj/project.pbxproj (1.12),
	posix/make.shared.variables (1.60), win32/msvc6/engine.dsp (1.60),
	win32/msvc6/engine_classic.dsp (1.56), win32/msvc6/engine_embed.dsp
	(1.35), win32/msvc7/engine.vcproj (1.50),
	win32/msvc7/engine_classic.vcproj (1.50),
	win32/msvc7/engine_embed.vcproj (1.39):
	
	The files rng.cpp, rng.h, rng_proto.h, bookmark.cpp and bookmark.h
	belong exclusively to PC_ENGINE, that's obsolete functionality. 
	First step: remove them from the build configurations. More to
	come.

2006-01-31 08:18  robocop

	* firebird2/src/jrd/pcmet.epp (1.40):
	
	Change misleading comment: the file is used for expression indices,
	cannot be deprecated as it was part of the PC_ENGINE feature.

2006-01-29 04:23  robocop

	* firebird2/src/burp/backup.epp (1.80):
	
	Skip system objects: exceptions, blob filters and procedures.

2006-01-29 02:52  robocop

	* firebird2/src/jrd/btn.cpp (1.22):
	
	Totally misc.

2006-01-28 15:43  asfernandes

	* firebird2/src/intl/: lc_iso8859_2.cpp (1.12), lc_narrow.h (1.5):
	
	Fixed problem "key size exceeds implementation restriction for
	index ..." reported by Michal Kubecek in fb-devel

2006-01-28 08:37  dimitr

	* firebird2/src/jrd/btn.cpp (1.21):
	
	More fixes, thanks to Claudio.

2006-01-28 05:12  robocop

	* firebird2/src/: iscguard/iscguard.cpp (1.46), jrd/jrd.cpp
	(1.231), jrd/nav.cpp (1.54), jrd/opt.cpp (1.254), jrd/tra.cpp
	(1.110):
	
	Misc.

2006-01-27 08:59  dimitr

	* firebird2/src/jrd/cmp.cpp (1.191):
	
	Fixed bug reported in fb-support - wrong permission checks for view
	columns.

2006-01-27 08:36  hvlad

	* firebird2/src/dsql/dsql.cpp (1.162):
	
	Fixed unregistered bug: AV in request driven by freed cursor (when
	request is dropped flag REQ_orphan is set for child requests but
	this flag is never checked)

2006-01-26 13:23  dimitr

	* firebird2/src/: iscguard/iscguard.cpp (1.45),
	iscguard/iscguard.rh (1.2), remote/os/win32/window.cpp (1.15),
	remote/os/win32/window.rh (1.2):
	
	Reduced dependencies upon window messages + cleanup.

2006-01-26 12:21  dimitr

	* firebird2/src/dsql/ddl.cpp (1.168):
	
	CREATE VIEW should be aware that a column alias doesn't necessarily
	mean an expression.

2006-01-26 12:17  dimitr

	* firebird2/src/jrd/: dfw.epp (1.172), irq.h (1.8):
	
	Hopefully, this should fix SF #1404157.

2006-01-26 11:45  dimitr

	* firebird2/src/jrd/btn.cpp (1.20):
	
	1) An attempt to fix the endianess/alignment issues in the b-tree
	code.  2) Some adjustments in the pointers management.

2006-01-26 11:41  dimitr

	* firebird2/src/include/memory_routines.h (1.7):
	
	1) An attempt to fix the endianess/alignment issues in the b-tree
	code.  2) Some adjustments in the pointers management.

2006-01-26 09:00  robocop

	* firebird2/src/qli/show.epp (1.41):
	
	Beware of PC_ENGINE in qli: it's used to protect code meant to be
	marked with EXPRESSION_INDICES instead, therefore probably all
	places should be enabled unconditionally. At least with one change
	(this one) it now shows expression indices correctly.

2006-01-26 08:21  robocop

	* firebird2/src/: include/gen/msgs.h (1.48), msgs/history.sql
	(1.27):
	
	Sync after Dmitry Yemanov's changes.

2006-01-25 13:20  dimitr

	* firebird2/src/jrd/tra.cpp (1.109):
	
	Fixed a number of inconsistencies in the rollback code.

2006-01-25 13:11  dimitr

	* firebird2/src/jrd/exe.cpp (1.170):
	
	Fixed the issue with ROW_COUNT being cleared after SUSPEND.

2006-01-25 10:48  dimitr

	* firebird2/src/msgs/messages.sql (1.60):
	
	A small correction.

2006-01-25 09:40  robocop

	* firebird2/src/dsql/: parse.cpp (1.173), parse.y (1.200):
	
	Fix SF Bug# 1408079 and also the same problem with unterminated
	comment blocks /* ...

2006-01-25 08:04  robocop

	* firebird2/src/utilities/gstat/dba.epp (1.65):
	
	I want to continue compiling FB2 successfully with my tools, if you
	don't object.  :-)

2006-01-22 20:14  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.255):
	
	Fix incorrect "Ambiguous field name error" reported by Ivan
	Prenosil:
	
	SELECT	   (SELECT RDB$FIELD_NAME   FROM RDB$RELATION_FIELDS	  
	WHERE RDB$FIELD_SOURCE = RDB$FIELDS.RDB$FIELD_NAME)   FROM
	RDB$FIELDS  WHERE RDB$FIELD_NAME NOT IN     (SELECT
	RDB$FIELD_SOURCE FROM RDB$RELATION_FIELDS)

2006-01-21 16:30  hvlad

	* firebird2/src/utilities/gstat/dba.epp (1.64):
	
	1. Add isc_dpb_no_garbage_collect to gfix attachment to not force a
	sweep 2. Fix unregistered bug - wrong statistics if relation\index
	data is longer than 2^32 bytes length 3. Fix unregistered bug -
	average index key length rounded to integer value

2006-01-21 16:29  hvlad

	* firebird2/src/jrd/tra.cpp (1.108):
	
	Attachment with isc_dpb_no_garbage_collect option will not force a
	sweep

2006-01-21 15:55  asfernandes

	* firebird2/src/dsql/: dsql.h (1.89), make.cpp (1.109), metd.epp
	(1.86):
	
	Fixed problem caused by usage of UNICODE_FSS system domains in
	users views and tables - thanks to Dmitry

2006-01-20 14:32  hvlad

	* firebird2/src/dsql/: parse.cpp (1.172), dsql.tab.h (1.65):
	
	Regenerated parser files after parse.y change By bison 2.1 now

2006-01-20 14:31  hvlad

	* firebird2/src/dsql/parse.y (1.199):
	
	Again fix issue with parser and not correctly stored source for
	CURRENT_TIME\CURRENT_TIMESTAMP in procedure parameters default
	values. Reported by Martijn Tonies

2006-01-19 17:53  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.54):
	
	Temporary rolled back one one of my previous fixes due to
	discovered issues.

2006-01-19 15:32  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.client.fbudf (1.7):
	
	applied patch from Michal Kubecek

2006-01-18 12:54  alexpeshkoff

	* firebird2/src/gpre/int_cxx.cpp (1.41):
	
	fixed gcc warning(s)

2006-01-18 11:43  alexpeshkoff

	* firebird2/src/jrd/: alt.cpp (1.59), dpm.epp (1.62), dsc.cpp
	(1.28), dsc2.h (1.8), dsc_pub.h (1.7), filters.cpp (1.47),
	intl_builtin.cpp (1.28), isc_sync.cpp (1.99), jrd.h (1.142),
	perf.cpp (1.34):
	
	fixed gcc warning(s)

2006-01-17 10:20  robocop

	* firebird2/doc/WhatsNew (1.85):
	
	Restore missing WhatsNew entries that I deleted on bad merge.

2006-01-17 08:52  robocop

	* firebird2/src/: intl/lc_big5.h (1.7), jrd/dsc.h (1.26),
	qli/exe.cpp (1.48):
	
	Misc.

2006-01-17 08:39  robocop

	* firebird2/src/jrd/Optimizer.h (1.16):
	
	Disable the debug info for the optimizer in the public repository
	as it might produce release builds that create an output file with
	that information.

2006-01-17 08:37  robocop

	* firebird2/doc/WhatsNew (1.84):
	
	Fix my previous entry in the WhatsNew.

2006-01-17 05:40  paul_reeves

	* firebird2/: builds/install/misc/firebird.conf (1.18),
	doc/WhatsNew (1.83), src/common/config/config.cpp (1.65),
	src/common/config/config.h (1.38), src/dsql/make.cpp (1.108):
	
	Forward port OldColumnNaming from Fb 1.5.3

2006-01-16 18:17  dimitr

	* firebird2/doc/WhatsNew (1.82):
	
	Updated the docs.

2006-01-16 17:48  alexpeshkoff

	* firebird2/src/: remote/inet_server.cpp (1.58),
	utilities/nbackup.cpp (1.48), utilities/gsec/gsec.cpp (1.50),
	utilities/gstat/dba.epp (1.63):
	
	fixed gcc warning(s)

2006-01-16 17:46  alexpeshkoff

	* firebird2/src/qli/meta.epp (1.60):
	
	ported fix from vulcan

2006-01-16 17:45  alexpeshkoff

	* firebird2/src/: lock/lock.cpp (1.113), qli/exe.cpp (1.47),
	qli/format.cpp (1.32), qli/show.epp (1.40):
	
	fixed gcc warning(s)

2006-01-16 17:41  alexpeshkoff

	* firebird2/src/: intl/lc_big5.cpp (1.13), intl/lc_big5.h (1.6),
	intl/lc_jis.cpp (1.13), intl/lc_unicode_ucs2.cpp (1.11),
	isql/show.epp (1.84):
	
	fixed gcc warning(s)

2006-01-16 17:31  alexpeshkoff

	* firebird2/src/dsql/: dsql.cpp (1.161), metd.epp (1.85), pass1.cpp
	(1.254):
	
	fixed gcc warning(s)

2006-01-16 16:38  alexpeshkoff

	* firebird2/src/: alice/alice.cpp (1.82), burp/burp.cpp (1.108),
	common/classes/ClumpletReader.h (1.15), common/classes/semaphore.h
	(1.23):
	
	fixed gcc warning(s)

2006-01-16 16:21  paul_reeves

	* firebird2/builds/install/arch-specific/win32/: Readme.txt (1.8),
	installation_readme.txt (1.8), ba/Instalacija_ProcitajMe.txt (1.4),
	de/installation_liesmich.txt (1.3), de/liesmich.txt (1.3),
	pl/instalacja_czytajto.txt (1.3):
	
	Catch up with commit of some win32 install docs that were part of
	beta 1

2006-01-16 11:01  alexpeshkoff

	* firebird2/src/qli/meta.epp (1.59):
	
	ported fix from vulcan

2006-01-16 09:47  alexpeshkoff

	* firebird2/src/remote/inet.cpp (1.150):
	
	fixed posix build

2006-01-15 19:11  asfernandes

	* firebird2/src/dsql/: gen.cpp (1.95), pass1.cpp (1.253):
	
	Fixed problem causing collation lost in sqlsubtype when using
	dynamic charset - reported by Ivan Prenosil

2006-01-15 17:04  dimitr

	* firebird2/src/: jrd/Optimizer.cpp (1.53), jrd/cvt.cpp (1.67),
	jrd/dsc.h (1.25), jrd/exe.cpp (1.169), jrd/rse.cpp (1.95),
	qli/mov.cpp (1.38):
	
	Fixed bug related to expression indices vs. collates, reported by
	Ivan.

2006-01-15 14:39  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.client.util (1.34):
	
	fixed posix build

2006-01-15 14:34  alexpeshkoff

	* firebird2/src/utilities/ibmgr/: ibmgr.cpp (1.20), srvrmgr.cpp
	(1.30):
	
	fixed posix build and warnings

2006-01-15 14:19  arnobrinkman

	* firebird2/src/jrd/: Optimizer.cpp (1.52), Optimizer.h (1.15):
	
	Fix bug with lower/upper -exlude flag for indexes

2006-01-15 13:48  alexpeshkoff

	* firebird2/src/jrd/req.h (1.50):
	
	fixed gcc warning

2006-01-14 19:03  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.9),
	builds/win32/msvc6/intl.dsp (1.27), builds/win32/msvc7/intl.vcproj
	(1.22), src/intl/lc_iso8859_1.cpp (1.15), src/intl/ld.cpp (1.18),
	src/intl/collations/win_cz.h (1.1),
	src/intl/collations/win_cz_ci_ai.h (1.1), src/jrd/intlnames.h
	(1.19):
	
	Add Czech collations - contributed by Ivan Prenosil:  - WIN_CZ
	(case-insensitive, accent-sensitive)  - WIN_CZ_CI_AI
	(case-insensitive, accent-insensitive)

2006-01-14 08:00  robocop

	* firebird2/src/: dsql/ddl.cpp (1.167), isql/extract.epp (1.66),
	isql/show.epp (1.83), jrd/Optimizer.cpp (1.51), jrd/Optimizer.h
	(1.14), jrd/btr.cpp (1.157), jrd/common.h (1.134), jrd/dfw.epp
	(1.171), jrd/dyn_def.epp (1.103), jrd/dyn_del.epp (1.51),
	jrd/opt.cpp (1.253), jrd/pcmet.epp (1.39), jrd/validation.cpp
	(1.12):
	
	EXPRESSION_INDICES code is considered stable and therefore there's
	no need to keep it protected by macros. Please do a full rebuild.

2006-01-14 05:56  robocop

	* firebird2/src/remote/os/win32/srvr_w32.cpp (1.32):
	
	Detect if some undocumented startup option failed (Windows).

2006-01-14 05:54  robocop

	* firebird2/src/utilities/ibmgr/ibmgr.cpp (1.19):
	
	Totally misc.

2006-01-14 05:48  robocop

	* firebird2/src/: burp/burp.cpp (1.107), common/utils.cpp (1.16),
	common/utils_proto.h (1.10), jrd/gds.cpp (1.186), jrd/sch.cpp
	(1.32), jrd/utl.cpp (1.85), jrd/os/config_root.h (1.12),
	jrd/os/darwin/config_root.cpp (1.5), jrd/os/vms/extvms.cpp (1.25),
	qli/dtr.cpp (1.40), qli/lex.cpp (1.34), remote/inet.cpp (1.149),
	remote/remote.cpp (1.40), utilities/gsec/gsec.cpp (1.49),
	utilities/ibmgr/ibmgr.cpp (1.18):
	
	Change from getenv to readenv. This is still getenv in Linux/UNIX
	but GetEnvironmentVariable in Windows.

2006-01-13 23:25  robocop

	* firebird2/src/burp/: spit.h (1.10), std_desc.h (1.9):
	
	Totally misc.

2006-01-13 10:33  dimitr

	* firebird2/src/jrd/: met.epp (1.178), par.cpp (1.126):
	
	Fixed SF #1404215.

2006-01-13 08:36  dimitr

	* firebird2/src/burp/: burp.h (1.70), spit.cpp (1.31), spit.h
	(1.9), std_desc.h (1.8):
	
	1) Fixed stdin/stdout redirection in win32 gsplit 2) Make the code
	more GCC4 friendly

2006-01-12 14:21  dimitr

	* firebird2/src/remote/interface.cpp (1.116):
	
	Fixed the wrong local connection.

2006-01-10 23:20  robocop

	* firebird2/doc/WhatsNew (1.81):
	
	Misc.

2006-01-10 16:00  kkuznetsov

	* firebird2/src/: common/classes/fb_string.h (1.4), jrd/status.h
	(1.8):
	
	Fix compile error on Solaris - udefined va_list

2006-01-10 09:31  dimitr

	* firebird2/src/burp/std_desc.h (1.7):
	
	Correction.

2006-01-10 08:59  dimitr

	* firebird2/doc/sql.extensions/README.select_expressions (1.3):
	
	Corrections, thanks to Claudio.

2006-01-09 20:57  dimitr

	* firebird2/src/burp/: burp.cpp (1.106), burp.h (1.69), std_desc.h
	(1.6):
	
	Minor cleanup + solved one of the GCC4 compile issues.

2006-01-09 15:17  dimitr

	* firebird2/doc/WhatsNew (1.80):
	
	More docs.

2006-01-09 13:45  dimitr

	* firebird2/doc/sql.extensions/README.select_expressions (1.2):
	
	More docs.

2006-01-09 11:13  dimitr

	* firebird2/doc/README.xnet (1.2):
	
	Added description of XNET.

2006-01-08 09:21  dimitr

	* firebird2/src/jrd/btr.cpp (1.156):
	
	Fixed BUGCHECK(205) related to ODS11 index changes.

2006-01-08 02:11  robocop

	* firebird2/src/: common/fb_exception.cpp (1.21),
	include/fb_exception.h (1.20):
	
	Avoid a crash.

2006-01-07 17:57  alexpeshkoff

	* firebird2/src/: common/utils.cpp (1.15),
	common/classes/MetaName.cpp (1.6), common/classes/fb_string.cpp
	(1.30), isql/isql.epp (1.165), jrd/dfw.epp (1.170):
	
	fixed compilation after changes in exception

2006-01-07 17:55  alexpeshkoff

	* firebird2/src/common/fb_exception.cpp (1.20):
	
	avoid vararg constructors in status_exception

2006-01-07 17:53  alexpeshkoff

	* firebird2/src/remote/interface.cpp (1.115):
	
	rollback temporary fix after fixing status_exception

2006-01-07 17:50  alexpeshkoff

	* firebird2/src/include/fb_exception.h (1.19):
	
	avoid vararg constructors in status_exception

2006-01-07 02:32  robocop

	* firebird2/src/: alice/alice_meta.epp (1.47),
	gpre/gpre_meta_boot.cpp (1.50):
	
	Misc.

2006-01-07 01:34  robocop

	* firebird2/src/common/fb_exception.cpp (1.19):
	
	Complete Alex fix.

2006-01-07 01:33  robocop

	* firebird2/src/jrd/os/config_root.h (1.11):
	
	Totally misc.

2006-01-07 01:31  robocop

	* firebird2/src/: alice/alice_meta.epp (1.46), dudley/exe.epp
	(1.60), dudley/trn.cpp (1.36), gpre/gpre_meta.epp (1.54),
	gpre/gpre_meta_boot.cpp (1.49), jrd/cmp.cpp (1.190), jrd/dyn.epp
	(1.80), jrd/intl.cpp (1.83), jrd/jrd.cpp (1.230), jrd/pag.cpp
	(1.93), qli/command.cpp (1.24), qli/meta.epp (1.58),
	remote/os/win32/srvr_w32.cpp (1.31), utilities/install/install.cpp
	(1.8), utilities/install/registry.cpp (1.12),
	utilities/install/services.cpp (1.19):
	
	Comment excessive dependencies on license.h.

2006-01-06 13:27  alexpeshkoff

	* firebird2/src/: jrd/ibase.h (1.111), remote/interface.cpp
	(1.114), remote/server.cpp (1.111):
	
	simpler way to detect redirection attempt

2006-01-06 12:21  alexpeshkoff

	* firebird2/src/: remote/interface.cpp (1.113),
	common/fb_exception.cpp (1.18):
	
	fixed "invalid database handle" error

2006-01-05 18:30  alexpeshkoff

	* firebird2/src/jrd/ibase.h (1.110):
	
	don't use internal type in public file

2006-01-05 18:13  dimitr

	* firebird2/src/jrd/opt.cpp (1.252):
	
	Allowed expression indices to be used for navigation on outer
	streams.

2006-01-05 11:10  dimitr

	* firebird2/src/jrd/cch.cpp (1.124):
	
	Little cleanup.

2006-01-04 06:55  robocop

	* firebird2/src/dsql/metd.epp (1.84):
	
	Misc.

2006-01-03 16:47  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.189), scl.epp (1.71), scl_proto.h
	(1.22), vio.cpp (1.142):
	
	1) Replaced TEXT* with MetaName& in SCL.  2) Fixed SF #1396017.

2006-01-03 16:07  alexpeshkoff

	* firebird2/src/common/classes/: MetaName.cpp (1.5), MetaName.h
	(1.4):
	
	MetaName can now handle NULL in constructors and assignments

2006-01-03 12:28  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.188), exe.cpp (1.168), jrd.cpp
	(1.229), req.h (1.49):
	
	Fixed the garbage trigger name (reported by Alex).

2005-12-31 06:58  robocop

	* firebird2/src/jrd/: nav.cpp (1.53), rse.cpp (1.94), rse.h (1.41):
	
	Isolate scrollable cursors (checked by Dmitry Y.)

2005-12-31 04:49  robocop

	* firebird2/src/utilities/ibmgr/: ibmgr.h (1.12), srvrmgr.cpp
	(1.29):
	
	Misc.

2005-12-30 17:08  alexpeshkoff

	* firebird2/src/dbs/security.sql (1.8):
	
	fixed SF bug 229237

2005-12-30 16:59  alexpeshkoff

	* firebird2/src/utilities/ibmgr/: ibmgr.cpp (1.17), ibmgr.h (1.11),
	srvrmgr.cpp (1.28):
	
	front-ported one forgotten 1.5 commit to 2.0

2005-12-30 16:13  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/misc/firebird.init.d.d
	ebian.in (1.4):
	
	fixed runuser problem on Debian

2005-12-30 07:57  robocop

	* firebird2/src/isql/: isql.epp (1.164), show.epp (1.82):
	
	Parse the server version output (that can be large with
	redirection) correctly when isql -z is used.

2005-12-29 10:32  alexpeshkoff

	* firebird2/src/isql/isql.epp (1.163):
	
	make server-version output a bit more readable

2005-12-29 09:06  alexpeshkoff

	* firebird2/src/: remote/merge.cpp (1.20), isql/isql.epp (1.162):
	
	fixed bugs in server version reporting

2005-12-28 11:07  dimitr

	* firebird2/src/jrd/gds.cpp (1.185):
	
	Fixed POSIX builds.

2005-12-28 08:11  aafemt

	* firebird2/doc/README.build.mingw.html (1.16):
	
	Misc

2005-12-28 07:58  aafemt

	* firebird2/builds/posix/: make.defaults (1.44), make.rules (1.28),
	prefix.mingw (1.43):
	
	Strip executables in prod build

2005-12-28 07:42  robocop

	* firebird2/src/jrd/evl.cpp (1.159):
	
	Misc.

2005-12-28 07:09  aafemt

	* firebird2/builds/posix/Makefile.in.client.util (1.33):
	
	Redundant objects

2005-12-28 07:08  aafemt

	* firebird2/builds/posix/prefix.mingw (1.42):
	
	Adapted for GCC 3.4

2005-12-28 07:07  aafemt

	* firebird2/doc/README.build.mingw.html (1.15):
	
	Update

2005-12-28 07:06  aafemt

	* firebird2/doc/README.incompatibilities.txt (1.6):
	
	More info

2005-12-28 03:21  robocop

	* firebird2/doc/README.incompatibilities.txt (1.5):
	
	Misc.

2005-12-27 11:57  dimitr

	* firebird2/doc/README.incompatibilities.txt (1.4):
	
	More info.

2005-12-27 10:42  dimitr

	* firebird2/src/isql/show.epp (1.81):
	
	Fixed stack buffer overrun.

2005-12-27 09:09  robocop

	* firebird2/: src/misc/codes.epp (1.20), src/include/gen/iberror.h
	(1.37), doc/README.incompatibilities.txt (1.3):
	
	Misc.

2005-12-26 22:18  hvlad

	* firebird2/src/common/classes/stack.h (1.18):
	
	Avoid frequent (unneeded and inefficient) allocation\deallocation
	of stack entryes

2005-12-26 22:17  hvlad

	* firebird2/src/jrd/cch.cpp (1.123):
	
	Restored accidentally committed wrong file

2005-12-26 22:13  hvlad

	* firebird2/src/jrd/cch.cpp (1.122):
	
	Avoid frequent (unneeded and inefficient) allocation \ deallocation
	of stack entryes

2005-12-26 17:10  alexpeshkoff

	* firebird2/src/isql/isql.epp (1.161):
	
	Fixed buffer overrun in case of bad data returned by
	isc_database_info()

2005-12-26 12:59  alexpeshkoff

	* firebird2/doc/README.incompatibilities.txt (1.2):
	
	Misc

2005-12-26 11:30  dimitr

	* firebird2/src/: misc/codes.epp (1.19), include/gen/iberror.h
	(1.36):
	
	Continued fixing public headers.

2005-12-26 10:47  dimitr

	* firebird2/src/jrd/nav.cpp (1.52):
	
	Never rely on eof/bof markers for non-scrollable-cursors code. 
	This fixes the newly introduced bug as well as the original issue.

2005-12-26 00:12  hvlad

	* firebird2/src/jrd/cmp.cpp (1.187):
	
	Missing assignment

2005-12-25 08:43  robocop

	* firebird2/src/jrd/gds.cpp (1.184):
	
	Do not use the harcoded c:\Program Files path while possible: it
	doesn't have to live in the C: partition and it's localized in
	non-English Windows versions.

2005-12-25 08:40  robocop

	* firebird2/src/remote/os/win32/srvr_w32.cpp (1.30):
	
	- Handle gracefully the exceptions that happen at startup in
	Windows.  - Show the version string if asked explicitly.  - Some
	minor cleanup.

2005-12-25 05:42  robocop

	* firebird2/src/jrd/gds.cpp (1.183):
	
	Solve chicken and egg problem: when we can't locate the config
	file, we throw an exception but if we try to trap and decode the
	failure in another place, it tries to know the location of the
	messages file (to interpret the status vector), which in turn
	requires to locate the config file. Therefore, we crash
	mysteriously.

2005-12-25 05:38  robocop

	* firebird2/src/jrd/os/: posix/fbsyslog.cpp (1.4),
	win32/fbsyslog.cpp (1.5), fbsyslog.h (1.5):
	
	Agreed with Dmitry: when we are reporting an error, we don't know
	how critical it is. No need to copy/clone the string and risk more
	failures, since we don't need to change it to send it to the
	operating system.

2005-12-25 05:36  robocop

	* firebird2/src/jrd/os/darwin/config_root.cpp (1.4):
	
	Mark this Darwin-specific file as out of sync WRT the
	platform-neutral header file config_root.h: has a duplicate
	function and the constructor doesn't match.

2005-12-25 05:29  robocop

	* firebird2/src/jrd/os/config_root.h (1.10):
	
	[s|g]etConfigFile renamed [s|g]setConfigFilePath. Clearer, since we
	have a class named ConfigFile but the function only returns a
	string with the path, not an object.

2005-12-25 05:01  robocop

	* firebird2/src/: common/fb_exception.cpp (1.17),
	remote/os/win32/property.cpp (1.15):
	
	Misc.

2005-12-25 04:59  robocop

	* firebird2/src/: common/config/config.cpp (1.64),
	common/config/config_file.h (1.13), config/Configuration.cpp (1.3),
	config/Configuration.h (1.3), jrd/db_alias.cpp (1.18):
	
	[s|g]etConfigFile renamed [s|g]setConfigFilePath. Clearer, since we
	have a class named ConfigFile but the function only returns a
	string with the path, not an object.

2005-12-24 18:05  alexpeshkoff

	* firebird2/src/extlib/fbudf/fbudf.cpp (1.23):
	
	make fbudf use fb2 class Mutex, when needed

2005-12-24 18:03  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.client.fbudf (1.6):
	
	fixed fbudf

2005-12-24 08:29  robocop

	* firebird2/src/iscguard/iscguard.cpp (1.44):
	
	Misc.

2005-12-24 08:28  robocop

	* firebird2/src/common/classes/alloc.cpp (1.78):
	
	Don't crash the debug build if the allocations report file cannot
	be opened.

2005-12-24 00:32  robocop

	* firebird2/src/include/gen/autoconfig_msvc.h (1.98):
	
	Make sure gmtime_r is marked as missing in Win32.

2005-12-24 00:11  robocop

	* firebird2/src/jrd/gds.cpp (1.182):
	
	Fix the non-VMS version of gds__validate_lib_path: We shouldn't
	modify the result from getenv().  Also, fix some null terminator
	issues.

2005-12-24 00:08  robocop

	* firebird2/src/extlib/fbudf/: fbudf.cpp (1.22), fbudf.h (1.9),
	fbudf.sql (1.9):
	
	Add getExactTimestampUTC and put some indications. Alex will fix my
	stub code.  It seems gmtime doesn't work as expected at least with
	VC6.

2005-12-23 16:39  dimitr

	* firebird2/doc/README.incompatibilities.txt (1.1):
	
	Added some docs.

2005-12-23 12:42  alexpeshkoff

	* firebird2/builds/install/: misc/posixLibrary.sh.in (1.4),
	arch-specific/linux/super/postinstall.sh.in (1.10):
	
	fix fbmgr operation

2005-12-23 10:40  alexpeshkoff

	* firebird2/src/vulcan/JString.h (1.6):
	
	fixed posix build

2005-12-23 10:21  alexpeshkoff

	* firebird2/configure.in (1.237):
	
	test presence of gmtime_r()

2005-12-23 09:52  alexpeshkoff

	* firebird2/src/remote/: inet.cpp (1.148), interface.cpp (1.112):
	
	Misc

2005-12-23 09:24  alexpeshkoff

	* firebird2/src/common/classes/ClumpletWriter.cpp (1.13):
	
	fixed problems with empty SPB

2005-12-23 02:42  robocop

	* firebird2/src/: include/fb_exception.h (1.18),
	jrd/IntlManager.cpp (1.6), vulcan/JString.cpp (1.5),
	vulcan/JString.h (1.5), vulcan/PathName.cpp (1.4),
	vulcan/PathName.h (1.4):
	
	Const correctness and the like.

2005-12-22 07:22  robocop

	* firebird2/src/include/fb_exception.h (1.17):
	
	This alternative constructor shouldn't be public, but MSVC6 doesn't
	obey the private clause if there's another constructor made public.
	Maybe no compiler does.

2005-12-22 07:02  robocop

	* firebird2/src/remote/interface.cpp (1.111):
	
	Fix for crash in Alex' disable multi-hop config param.

2005-12-21 22:59  dimitr

	* firebird2/src/jrd/exe.cpp (1.167):
	
	Simplify PSQL cursor handling a bit.

2005-12-21 22:58  dimitr

	* firebird2/src/jrd/nav.cpp (1.51):
	
	Fixed bug with infinite circular retrievals.

2005-12-21 18:49  dimitr

	* firebird2/src/dsql/dsql.h (1.88):
	
	More realistic BLR buffer. We don't need redundant allocations.

2005-12-21 11:15  alexpeshkoff

	* firebird2/doc/WhatsNew (1.79):
	
	my changes

2005-12-21 11:12  alexpeshkoff

	* firebird2/src/jrd/ibase.h (1.109):
	
	added dpb/spb tags to support redirection control

2005-12-21 11:09  alexpeshkoff

	* firebird2/src/: common/config/config.cpp (1.63),
	common/config/config.h (1.37), remote/interface.cpp (1.110),
	remote/server.cpp (1.110):
	
	added Redirection parameter to firebird.conf

2005-12-21 11:04  alexpeshkoff

	* firebird2/builds/install/misc/firebird.conf (1.17):
	
	added Redirection parameter to firebird.conf

2005-12-20 21:36  kkuznetsov

	* firebird2/extern/icu/source/configure (1.4):
	
	
	
	reflect changes to configure.in for sun threading

2005-12-20 14:24  dimitr

	* firebird2/doc/WhatsNew (1.78):
	
	Updated.

2005-12-20 13:14  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.client.gbak (1.15),
	Makefile.in.client.gdef (1.14), Makefile.in.client.gfix (1.17),
	Makefile.in.client.gpre (1.21), Makefile.in.client.gsec (1.8),
	Makefile.in.client.isql (1.13), Makefile.in.client.qli (1.9),
	Makefile.in.client.util (1.32):
	
	fix non-nptl SS build

2005-12-20 12:12  dimitr

	* firebird2/src/jrd/os/win32/mod_loader.cpp (1.8):
	
	Fixed win32 implementation of ModuleLoader::Module.

2005-12-20 09:18  aafemt

	* firebird2/configure.in (1.236):
	
	deleted libfbcommon as was suggested by Jim

2005-12-19 17:24  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.162):
	
	fixed server properties info using ibExpert

2005-12-19 14:59  dimitr

	* firebird2/src/jrd/: Optimizer.cpp (1.50), Optimizer.h (1.13):
	
	Fixed the issue related to non-indexed relationships (reported in
	fb-devel).

2005-12-19 11:02  alexpeshkoff

	* firebird2/src/dudley/extract.epp (1.43):
	
	fixed warning

2005-12-18 18:56  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.boot.gpre (1.25),
	Makefile.in.client.gbak (1.14), Makefile.in.client.gdef (1.13),
	Makefile.in.client.gfix (1.16), Makefile.in.client.gpre (1.20),
	Makefile.in.client.gsec (1.7), Makefile.in.client.isql (1.12),
	Makefile.in.client.qli (1.8), Makefile.in.client.util (1.31),
	Makefile.in.codes (1.20), Makefile.in.embed.gbak (1.15),
	Makefile.in.embed.gdef (1.11), Makefile.in.embed.gfix (1.18),
	Makefile.in.embed.gpre (1.20), Makefile.in.embed.isql (1.12),
	Makefile.in.embed.lockmgr (1.10), Makefile.in.embed.qli (1.18),
	Makefile.in.embed.util (1.28), Makefile.in.examples (1.8),
	Makefile.in.fbserver (1.22), Makefile.in.libfbembed (1.17),
	Makefile.in.msgs (1.17), Makefile.in.refDatabases (1.29),
	Makefile.in.static.gbak (1.12), Makefile.in.static.gpre (1.19),
	Makefile.in.static.isql (1.11), make.defaults (1.43),
	make.shared.targets (1.21), make.shared.variables (1.59):
	
	deleted libfbcommon as was suggested by Jim

2005-12-18 18:56  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.firebird (1.67):
	
	correctly build public ibase.h

2005-12-18 18:47  alexpeshkoff

	* firebird2/src/misc/makeHeader.cpp (1.1):
	
	simple utility to build public ibase.h

2005-12-18 17:10  alexpeshkoff

	* firebird2/src/common/classes/locks.h (1.22):
	
	use mutex instead of spin lock

2005-12-18 17:08  alexpeshkoff

	* firebird2/src/lock/lock.h (1.33):
	
	avoid overflows in UCHAR lhb_version

2005-12-18 16:23  alexpeshkoff

	* firebird2/builds/install/misc/classicLibrary.sh.in (1.4):
	
	let all users run applications

2005-12-17 13:59  aafemt

	* firebird2/builds/win32/defs/fbclient_s.def (1.3):
	
	Some more mangled exports

2005-12-17 13:55  aafemt

	* firebird2/src/: include/types_pub.h (1.3), jrd/ibase.h (1.108):
	
	Move type declarations to appropriate header

2005-12-17 13:48  aafemt

	* firebird2/src/jrd/val.h (1.32):
	
	Fix warning

2005-12-17 11:37  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.49):
	
	Fixed optimizer. Some adjustments may follow.

2005-12-17 08:09  dimitr

	* firebird2/doc/WhatsNew (1.77):
	
	Correction.

2005-12-17 05:31  robocop

	* firebird2/doc/WhatsNew (1.76):
	
	Misc.

2005-12-17 03:26  robocop

	* firebird2/src/utilities/gstat/dba.epp (1.62):
	
	Gstat should display the Win32 error text, not the error code in
	English versions.

2005-12-14 03:20  robocop

	* firebird2/: doc/WhatsNew (1.75), src/msgs/history.sql (1.26):
	
	Misc.

2005-12-14 01:06  arnobrinkman

	* firebird2/src/jrd/validation.cpp (1.11):
	
	Fix incorrect report of corrupt-message on primary/unique index
	validation. Reported by Vlad.

2005-12-14 00:19  arnobrinkman

	* firebird2/src/jrd/Optimizer.cpp (1.48):
	
	Another "workaround" for prepared statements on empty tables.  To
	be reviewed by Dmitry Yemanov.

2005-12-13 16:41  dimitr

	* firebird2/doc/WhatsNew (1.74):
	
	Misc.

2005-12-13 15:20  dimitr

	* firebird2/doc/WhatsNew (1.73):
	
	Described changes for Beta 2.

2005-12-12 19:39  dimitr

	* firebird2/src/jrd/blb.cpp (1.109):
	
	Fixed one more compatibility issue with arrays.

2005-12-12 18:36  dimitr

	* firebird2/src/dsql/make.cpp (1.107):
	
	Fixed a few wrong error messages + minor cleanup.

2005-12-12 18:27  dimitr

	* firebird2/src/dsql/pass1.cpp (1.252):
	
	Ported solution for SF #1371274 from Yaffil + minor cleanup.

2005-12-12 14:58  dimitr

	* firebird2/src/jrd/: dfw.epp (1.169), met.epp (1.177), trig.h
	(1.19):
	
	Fixed SF #1191206.

2005-12-12 14:54  dimitr

	* firebird2/: src/msgs/facilities.sql (1.47), src/msgs/messages.sql
	(1.59), src/msgs/system_errors.sql (1.26),
	src/include/gen/codetext.h (1.36), src/include/gen/iberror.h
	(1.35), src/include/gen/msgs.h (1.47), src/include/gen/rdb_codes.h
	(1.35), src/include/gen/sql_code.h (1.39),
	lang_helpers/gds_codes.ftn (1.29), lang_helpers/gds_codes.pas
	(1.29):
	
	More error messages.

2005-12-12 11:57  dimitr

	* firebird2/src/msgs/: facilities.sql (1.46), messages.sql (1.58),
	system_errors.sql (1.25):
	
	Added new error messages.

2005-12-12 11:55  dimitr

	* firebird2/src/jrd/blb.cpp (1.108):
	
	Better error reporting.

2005-12-12 11:52  dimitr

	* firebird2/src/jrd/rse.cpp (1.93):
	
	Fixed SF #1292106.

2005-12-12 11:50  dimitr

	* firebird2/: src/include/gen/codetext.h (1.35),
	src/include/gen/iberror.h (1.34), src/include/gen/msgs.h (1.46),
	src/include/gen/rdb_codes.h (1.34), src/include/gen/sql_code.h
	(1.38), lang_helpers/gds_codes.ftn (1.28),
	lang_helpers/gds_codes.pas (1.28):
	
	Added new error messages.

2005-12-12 11:01  dimitr

	* firebird2/src/jrd/trig.h (1.18):
	
	Fixed SF #609538.

2005-12-11 14:42  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.161):
	
	report error when user requested unknown info

2005-12-11 09:32  robocop

	* firebird2/src/gpre/cmp.cpp (1.34):
	
	Misc.

2005-12-10 11:25  dimitr

	* firebird2/src/jrd/blb.cpp (1.107):
	
	Rolled back one of my previous commits.  We cannot forbid
	array->array assignments.

2005-12-10 11:15  dimitr

	* firebird2/src/jrd/svc.cpp (1.160):
	
	Fixed regressions with SAPI.

2005-12-10 11:15  dimitr

	* firebird2/src/common/classes/ClumpletReader.cpp (1.17):
	
	Undone my changes in clumplets to follow Alex's solution.

2005-12-10 11:05  dimitr

	* firebird2/src/common/classes/ClumpletReader.cpp (1.16):
	
	Fixed regressions with SAPI.

2005-12-09 22:50  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.8),
	src/intl/charsets.h (1.8), src/intl/cs_narrow.cpp (1.8),
	src/intl/lc_ascii.cpp (1.17), src/intl/ld.cpp (1.17),
	src/intl/charsets/cs_w1258.h (1.1), src/jrd/intlnames.h (1.18):
	
	Add Vietnamese charset WIN1258 - contributed by Nguyen The Phuong

2005-12-09 11:17  dimitr

	* firebird2/examples/empbuild/empbuild.e (1.6):
	
	Fixed compilation of empbuild.

2005-12-09 06:07  robocop

	* firebird2/src/gpre/: c_cxx.cpp (1.66), cmp.cpp (1.33),
	cmp_proto.h (1.13), gpre.cpp (1.75), gpre.h (1.81), pat.cpp (1.28):
	
	Forward-port Ann's enhancement to gpre to allow more range for
	identifiers (more changes may be needed in the future to complete
	the feature).

2005-12-09 06:00  robocop

	* firebird2/src/jrd/: pwd.cpp (1.48), svc.cpp (1.159):
	
	Misc.

2005-12-08 16:33  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.158):
	
	fixed problem with isc_spb_res_access_mode

2005-12-08 16:20  alexpeshkoff

	* firebird2/src/jrd/ibase.h (1.107):
	
	rolled back my last change - was done due to bug in ib6.0
	documentation

2005-12-08 16:16  alexpeshkoff

	* firebird2/src/jrd/ibase.h (1.106):
	
	fixed comment

2005-12-08 14:52  dimitr

	* firebird2/src/jrd/: ini.epp (1.73), trig.h (1.17):
	
	An attempt to fix the regression with allowed updates of
	index-constrained columns.  No guarantees that it won't cause some
	MET/DFW conflicts, but I'm out of better ideas.

2005-12-06 13:30  dimitr

	* firebird2/src/jrd/exe.cpp (1.166):
	
	Misc.

2005-12-06 11:11  dimitr

	* firebird2/src/jrd/blb.cpp (1.106):
	
	More changes re. blobs handling.

2005-12-06 02:02  asfernandes

	* firebird2/src/jrd/evl.cpp (1.158):
	
	Fixed problem "STARTING WITH and subselect CASE bug" reported by
	Mustafa WILMAZ on fb-devel

2005-12-05 23:13  hvlad

	* firebird2/src/jrd/Optimizer.cpp (1.47):
	
	Use EXE_find_request in optimizer at index expression comparison to
	avoid AV in case of using index simultaneously in some connections

2005-12-05 14:42  dimitr

	* firebird2/src/: include/fb_types.h (1.49), include/types_pub.h
	(1.2), jrd/ibase.h (1.105):
	
	Fixed 64bit builds.

2005-12-05 14:25  dimitr

	* firebird2/src/jrd/exe.cpp (1.165):
	
	Fixed crash caused by my recent commit.

2005-12-05 13:57  dimitr

	* firebird2/builds/posix/Makefile.in.firebird (1.66):
	
	Changed location of some defines in order to avoid internals inside
	ibase.h.

2005-12-05 13:45  dimitr

	* firebird2/src/jrd/blb.cpp (1.105):
	
	Oops.

2005-12-05 13:40  dimitr

	* firebird2/src/jrd/: blb.cpp (1.104), blb_proto.h (1.23), exe.cpp
	(1.164):
	
	1. Cleanup.  2. Made array->blob assignments possible.

2005-12-05 12:45  alexpeshkoff

	* firebird2/src/burp/burp.cpp (1.105):
	
	let use services to backup security database

2005-12-05 12:44  dimitr

	* firebird2/builds/win32/make_all.bat (1.38):
	
	Changed location of some defines in order to avoid internals inside
	ibase.h.

2005-12-05 12:39  dimitr

	*
	firebird2/builds/install/arch-specific/win32/BuildExecutableInstall
	.bat (1.14):
	
	Changed location of some defines in order to avoid internals inside
	ibase.h.

2005-12-05 12:31  dimitr

	* firebird2/src/misc/headers.sed (1.5):
	
	Changed location of some defines in order to avoid internals inside
	ibase.h.

2005-12-05 12:28  dimitr

	* firebird2/src/: include/fb_types.h (1.48), include/types_pub.h
	(1.1), jrd/ibase.h (1.104), dsql/sqlda_pub.h (1.5):
	
	Changed location of some defines in order to avoid internals inside
	ibase.h.

2005-12-05 12:06  dimitr

	* firebird2/src/jrd/exe.cpp (1.163):
	
	Let's explicitly initialize unavailable trigger contexts with NULLs
	instead of relying on EVL_field.  This solves wrong error reporting
	in universal triggers vs req_warning.

2005-12-04 22:23  asfernandes

	* firebird2/src/intl/collations/xx885913lt.h (1.3):
	
	Fixed SF field-test $1368741 - wrong result for UPPER()

2005-12-04 13:30  dimitr

	* firebird2/src/jrd/svc.cpp (1.157):
	
	Restored the old code as Alex has already fixed the issue.

2005-12-04 13:21  hvlad

	* firebird2/src/dsql/: dsql.tab.h (1.64), parse.cpp (1.171):
	
	Regenerate parser files

2005-12-04 13:18  hvlad

	* firebird2/src/dsql/parse.y (1.198):
	
	1. Correct end_default_opt rule 2. Fix wrong error reporting found
	by Claudio

2005-12-04 13:08  alexpeshkoff

	* firebird2/src/common/classes/string_test.cpp (1.4):
	
	added test to trim characters >= 128

2005-12-04 13:06  alexpeshkoff

	* firebird2/src/common/classes/fb_string.cpp (1.29):
	
	fixed trim of characters >= 128

2005-12-04 06:32  robocop

	* firebird2/src/jrd/: met.epp (1.176), par.cpp (1.125):
	
	I think I solved the code that puzzled John three years ago:
	procedure parameters ids start at zero, but we were allocating
	num_of_params plus one for both input an output params. This
	explains why when iterating we ignored the last element of the
	vector containing them. Crap that we inherited from IB.

2005-12-03 12:09  dimitr

	* firebird2/doc/sql.extensions/README.universal_triggers (1.3):
	
	Fixed typos.

2005-12-03 11:22  dimitr

	* firebird2/src/jrd/svc.cpp (1.156):
	
	Fixed restore process.

2005-12-03 11:22  dimitr

	* firebird2/src/common/classes/ClumpletReader.cpp (1.15):
	
	More missing stuff.

2005-12-03 10:48  dimitr

	* firebird2/src/common/classes/ClumpletReader.cpp (1.14):
	
	Fixed backup.

2005-12-03 08:01  robocop

	* firebird2/src/isql/isql.epp (1.160):
	
	Avoid the intermediate buffer.

2005-12-03 07:43  robocop

	* firebird2/src/jrd/: cmp.cpp (1.186), dfw.epp (1.168), ini.epp
	(1.72), met.epp (1.175), par.cpp (1.124), val.h (1.31):
	
	Finish Mike work after 3 years. :-)

2005-12-03 07:39  robocop

	* firebird2/src/intl/lc_narrow.cpp (1.15):
	
	Misc.

2005-12-02 23:19  hvlad

	* firebird2/src/jrd/: svc.cpp (1.155), svc.h (1.37):
	
	Allocate strings members of Service from the same pool as Service
	itself

2005-12-02 17:54  alexpeshkoff

	* firebird2/src/: common/classes/ClumpletReader.cpp (1.13),
	common/classes/ClumpletReader.h (1.14), jrd/svc.cpp (1.154),
	jrd/svc.h (1.36):
	
	fixed problems, caused by my previous commit

2005-12-02 17:49  alexpeshkoff

	* firebird2/src/qli/lex.cpp (1.33):
	
	fixed a warning

2005-12-02 17:48  alexpeshkoff

	* firebird2/src/jrd/: evl.cpp (1.157), exe.cpp (1.162), opt.cpp
	(1.251):
	
	fixed some warnings

2005-12-02 17:34  alexpeshkoff

	* firebird2/src/dudley/extract.epp (1.42):
	
	mark wal_info() NOT_USED_OR_REPLACED

2005-12-02 08:35  robocop

	* firebird2/src/jrd/: blb.cpp (1.103), blk.h (1.25), btr.h (1.42),
	cmp.cpp (1.185), dbg.cpp (1.32), dbt.cpp (1.32), dfw.epp (1.167),
	dpm.epp (1.61), evl.cpp (1.156), exe.cpp (1.161), exe.h (1.74),
	ext.cpp (1.62), gds.cpp (1.181), idx.cpp (1.101), ini.epp (1.71),
	jrd.cpp (1.228), jrd.h (1.141), lck.cpp (1.50), met.epp (1.174),
	nav_proto.h (1.15), par.cpp (1.123), req.h (1.48), rlck.cpp (1.33),
	rlck_proto.h (1.13), rse.cpp (1.92), rse.h (1.40), rse_proto.h
	(1.12), shut.cpp (1.35), tra.cpp (1.107), tra.h (1.49),
	validation.cpp (1.10), vio.cpp (1.141), os/vms/extvms.cpp (1.24):
	
	1.- Make "vec" type safe and get rid of several code contortions.
	Fix some small bugs meanwhile.	2.- Put inside PC_ENGINE several
	data members that belong to that feature.  3.- Put inside PC_ENGINE
	the code that does cleanup on those unused data members.

2005-12-02 01:28  asfernandes

	* firebird2/src/dsql/blob.epp (1.19):
	
	Lookup for procedure parameters in isc_blob_lookup_desc

2005-12-01 18:39  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.153):
	
	removed unneeded assertion

2005-12-01 18:32  alexpeshkoff

	* firebird2/src/remote/interface.cpp (1.109):
	
	removed unneeded any more function

2005-12-01 08:12  robocop

	* firebird2/doc/sql.extensions/README.ddl.txt (1.7):
	
	Document the blob filter restriction in FB2.

2005-12-01 06:46  robocop

	* firebird2/builds/win32/msvc6/: fbclient.dsp (1.51), fbembed.dsp
	(1.36):
	
	Add alloc.cpp to the "common" section in fbclient and fbembed
	projects as Dmitry did in MSVC7.

2005-12-01 06:34  robocop

	* firebird2/src/jrd/svc.cpp (1.152):
	
	Finish incomplete change and comment an assertion that doesn't
	compile with the new code.

2005-12-01 06:33  robocop

	* firebird2/src/jrd/dsc.cpp (1.27):
	
	Fix assertion with wrong operator precedence and a few misc
	changes.

2005-12-01 04:00  robocop

	* firebird2/src/common/classes/ClumpletReader.cpp (1.12):
	
	Totally misc.

2005-12-01 03:34  robocop

	* firebird2/doc/sql.extensions/README.set_transaction.txt (1.1):
	
	Add documentation for the extra options exposed through the DSQL's
	SET TRANSACTION command. This functionality exists already using
	TPB's.

2005-11-30 18:32  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.151):
	
	use ClumpletReader in SVC_start

2005-11-30 18:30  alexpeshkoff

	* firebird2/src/jrd/dsc.cpp (1.26):
	
	Use better type in declaration - thanks to Claudio

2005-11-30 18:11  alexpeshkoff

	* firebird2/src/common/classes/: ClumpletReader.cpp (1.11),
	ClumpletReader.h (1.13), ClumpletWriter.cpp (1.12):
	
	Clumplet's improvements

2005-11-30 13:36  dimitr

	* firebird2/src/remote/: inet.cpp (1.147), os/win32/wnet.cpp
	(1.33):
	
	Fixed lost PORT_async flag for WNET + misc.

2005-11-30 10:03  dimitr

	* firebird2/src/dsql/pass1.cpp (1.251):
	
	Simplified code a bit. Fixed the crash with the usage of TRIM in
	aggregation.

2005-11-30 08:45  robocop

	* firebird2/src/remote/interface.cpp (1.108):
	
	Misc.

2005-11-30 07:12  robocop

	* firebird2/src/gpre/: ada.cpp (1.50), c_cxx.cpp (1.65), cob.cpp
	(1.61), ftn.cpp (1.57), pas.cpp (1.51):
	
	Misc.

2005-11-29 17:13  hvlad

	* firebird2/src/dsql/parse.cpp (1.170):
	
	Regenerated parser files after parse.y change

2005-11-29 17:09  hvlad

	* firebird2/src/dsql/parse.y (1.197):
	
	Second attempt to fix issue with parser and not correctly stored
	source for DEFAULT CURRENT_TIME\DEFAULT CURRENT_TIMESTAMP

2005-11-29 15:25  dimitr

	* firebird2/src/jrd/os/win32/config_root.cpp (1.19):
	
	Fixed broken (again by myself) root lookup for fbclient.

2005-11-29 12:36  dimitr

	* firebird2/src/jrd/gds.cpp (1.180):
	
	Fixed the bug I introduced with my GDS changes.

2005-11-29 07:39  robocop

	* firebird2/src/msgs/messages.sql (1.57):
	
	Undo Alex mistake with the facility number.

2005-11-29 07:24  robocop

	* firebird2/src/dsql/dsql.h (1.87):
	
	Misc.

2005-11-29 07:18  robocop

	* firebird2/src/jrd/btr.cpp (1.155):
	
	Misc.

2005-11-29 00:06  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.250):
	
	Fix column-name problem with UNION and derived fields.	Problem
	found by Volker Rehn.

2005-11-28 22:43  hvlad

	* firebird2/src/jrd/: btr.cpp (1.154), btr_proto.h (1.36), idx.cpp
	(1.100):
	
	1. Move IDX\eval_expr_idx into BTR_eval_expression 2. Replace
	similar code in BTR_key by new BTR_eval_expression 3. Use
	EXE_find_request in index expression evaluation to avoid AV in case
	of using index simultaneously in some connections

2005-11-28 14:58  hvlad

	* firebird2/src/jrd/pcmet.epp (1.38):
	
	Correct previous fix

2005-11-28 11:27  paul_reeves

	* firebird2/builds/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.13), readme_snapshot.txt (1.1):
	
	Update win32 build installer script for snapshot builds.

2005-11-27 21:52  alexpeshkoff

	* firebird2/src/: alice/exe.cpp (1.43), alice/tdr.cpp (1.47),
	burp/burp.cpp (1.104), burp/restore.epp (1.99),
	common/classes/ClumpletReader.cpp (1.10),
	common/classes/ClumpletReader.h (1.12),
	common/classes/ClumpletWriter.cpp (1.11),
	common/classes/ClumpletWriter.h (1.9), dsql/preparse.cpp (1.38),
	dudley/exe.epp (1.59), gpre/gpre_meta.epp (1.53), isql/isql.epp
	(1.159), jrd/blb.cpp (1.102), jrd/blb_proto.h (1.22), jrd/blk.h
	(1.24), jrd/cvt2.cpp (1.53), jrd/dfw.epp (1.166), jrd/dsc.cpp
	(1.25), jrd/dsc.h (1.24), jrd/fun.epp (1.71), jrd/ibase.h (1.103),
	jrd/jrd.cpp (1.227), jrd/met.epp (1.173), jrd/ods.h (1.38),
	jrd/pwd.cpp (1.47), jrd/sdl.cpp (1.42), jrd/sdl_proto.h (1.16),
	jrd/svc.cpp (1.150), jrd/tra.cpp (1.106), jrd/val.h (1.30),
	jrd/why.cpp (1.95), msgs/messages.sql (1.56), qli/meta.epp (1.57),
	remote/inet.cpp (1.146), remote/inet_server.cpp (1.57),
	remote/interface.cpp (1.107), remote/server.cpp (1.109),
	remote/xnet.cpp (1.66), remote/os/win32/wnet.cpp (1.32),
	utilities/create_db.cpp (1.10), utilities/nbackup.cpp (1.47),
	utilities/gsec/gsec.cpp (1.48), utilities/gstat/dba.epp (1.61):
	
	1. Moved data structures, written to database file, into ods.h.  2.
	Added new types of clumplets to ClumpletReader and ClupmletWriter. 
	3. Applied modified ClumpletReader and ClupmletWriter to /remote
	and partially /jrd.  4. Added active protection from remote
	brute-force attack to services API.

2005-11-27 16:04  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.firebird (1.65):
	
	rebuild libraries not only during boot_phase1

2005-11-27 13:05  hvlad

	* firebird2/src/jrd/sch.cpp (1.31):
	
	Fixed SF bug 1175157

2005-11-27 07:42  robocop

	* firebird2/src/isql/: extract.epp (1.65), show.epp (1.80):
	
	Fix for problems with triggers v/s checks (some triggers not
	extracted, other automatically generated triggers belonging to
	CHECK, view's CHECK OPTION and CASCADE being extracted).

2005-11-26 17:15  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.249):
	
	Add missing nodes to sub-select detection

2005-11-26 10:10  robocop

	* firebird2/src/jrd/Optimizer.cpp (1.46):
	
	Misc.

2005-11-25 16:39  hvlad

	* firebird2/src/jrd/pcmet.epp (1.37):
	
	Fixed AV after incorrect expression index metadata loading in case
	of not scanned relation

2005-11-25 16:20  dimitr

	* firebird2/src/jrd/: blb.cpp (1.101), evl.cpp (1.155):
	
	1) Prepare the blobs mover to be ready for dtype_blob variables. 
	2) Fix the string routines to work with PSQL blobs.

2005-11-25 15:58  dimitr

	* firebird2/src/dsql/ddl.cpp (1.166):
	
	Let's generate blr_blob2 for PSQL blobs instead of blr_quad.  This
	allow PSQL blobs to carry the charset/collation attributes.

2005-11-25 15:23  dimitr

	* firebird2/src/jrd/: ini.epp (1.70), trig.h (1.16):
	
	Fixed corrupted IDs of system generators caused by my changes re.
	system triggers loading.

2005-11-25 13:49  arnobrinkman

	* firebird2/src/jrd/Optimizer.cpp (1.45):
	
	Fix explicit PLAN issue with ODS11 optimizer

2005-11-25 10:31  dimitr

	* firebird2/src/jrd/os/win32/config_root.cpp (1.18):
	
	Disable usage of the registry to locate the root.

2005-11-25 07:30  robocop

	* firebird2/src/jrd/nav.cpp (1.50):
	
	Totally misc.

2005-11-25 06:54  dimitr

	* firebird2/src/include/gen/: msgs.h (1.45), sql_code.h (1.37):
	
	Damn, I'm much sorry.

2005-11-24 15:03  dimitr

	* firebird2/src/remote/inet.cpp (1.145):
	
	Fixed cleanup of the broken port in classic. Let's always close the
	connection properly.

2005-11-24 13:15  dimitr

	* firebird2/src/remote/server.cpp (1.108):
	
	Fixed a couple of issues in the port cleanup logic: - improper
	thread data operations - no rollback for a broken INET port

2005-11-24 12:53  dimitr

	* firebird2/src/jrd/gds.cpp (1.179):
	
	Fixed builtin lookups for error messages and SQLCODEs. 
	IMPORTANT!!! You have to rebuild the tree from scratch!

2005-11-24 12:51  dimitr

	* firebird2/src/misc/codes.epp (1.18):
	
	Fixed builtin lookups for error messages and SQLCODEs.

2005-11-24 09:43  dimitr

	* firebird2/src/jrd/par.cpp (1.122):
	
	Misc.

2005-11-24 09:34  dimitr

	* firebird2/src/jrd/gds.cpp (1.178):
	
	Reworked the BLR printer to use Firebird::string as its buffer.

2005-11-24 05:03  robocop

	* firebird2/src/remote/interface.cpp (1.106):
	
	Misc.

2005-11-23 21:18  dimitr

	* firebird2/src/jrd/: filters.cpp (1.46), gds.cpp (1.177):
	
	1. Fixed memory corruption in filters.cpp 2. Increased internal
	buffer in gds.cpp to avoid overflows 3. Made this buffer
	dynamically allocated to avoid stack corruptions 4. Minor cleanup

2005-11-23 15:22  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.44):
	
	Fixed wrong optimization of join orders.

2005-11-23 10:23  kkuznetsov

	* firebird2/builds/install/arch-specific/solx86gcc/CS/prototype.in
	(1.4):
	
	Some more updates

2005-11-22 00:52  hvlad

	* firebird2/src/: dsql/hsh.cpp (1.30), jrd/jrd.h (1.140):
	
	Enlarged dsql and jrd hash tables sizes

2005-11-22 00:33  hvlad

	* firebird2/src/jrd/: cch.cpp (1.121), dfw.epp (1.165), jrd.cpp
	(1.226), jrd.h (1.139), nbak.cpp (1.50), nbak.h (1.17), shut.cpp
	(1.34):
	
	Eliminate unnecessary JRD_get_thread_data call in nbak.  Checked
	against B2_0_BV_Stable3 branch

2005-11-21 18:58  hvlad

	* firebird2/src/dsql/parse.cpp (1.169):
	
	Regenerated parser files after parse.y change

2005-11-21 18:57  hvlad

	* firebird2/src/dsql/parse.y (1.196):
	
	Fixed issue with parser and not correctly stored source for DEFAULT
	CURRENT_TIME\DEFAULT CURRENT_TIMESTAMP

2005-11-21 18:55  hvlad

	* firebird2/src/jrd/met.epp (1.172):
	
	Fixed unregistered bug with DROP DEFAULT reported in fb-devel by
	"Robert"

2005-11-20 18:02  alexpeshkoff

	* firebird2/src/remote/interface.cpp (1.105):
	
	fixed redirection issues

2005-11-20 16:40  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.149):
	
	fixed work with embedded service manager

2005-11-19 19:45  arnobrinkman

	* firebird2/src/jrd/Optimizer.cpp (1.43):
	
	no message

2005-11-18 06:31  robocop

	* firebird2/src/common/classes/array.h (1.34):
	
	Fix for Alex's removeRange & removeCount methods in Array class.

2005-11-18 05:39  robocop

	* firebird2/src/: dsql/dsql.tab.h (1.63), dsql/keywords.cpp (1.48),
	dsql/parse.cpp (1.168), dsql/parse.y (1.195), remote/interface.cpp
	(1.104):
	
	Fix clash with winbase.h on IGNORE.

2005-11-17 15:24  kkuznetsov

	* firebird2/builds/install/arch-specific/solx86gcc/CS/prototype.in
	(1.3):
	
	Start update Solaris packaging for FB2

2005-11-17 12:32  asfernandes

	* firebird2/src/burp/burp.cpp (1.103):
	
	1) Make "total" to Claudio taste :-) 2) Fix error found by Vlad

2005-11-17 07:55  kkuznetsov

	* firebird2/builds/posix/: prefix.solaris (1.17),
	prefix.solaris-64gcc (1.4), prefix.solx86gcc (1.19):
	
	Sync solaris prefixes

2005-11-17 05:22  robocop

	* firebird2/src/dsql/: dsql.cpp (1.160), dsql.tab.h (1.62), gen.cpp
	(1.94), keywords.cpp (1.47), node.h (1.70), parse.cpp (1.167),
	parse.y (1.194):
	
	Let Ivan Prenosil test his beloved transaction options.

2005-11-16 08:49  hvlad

	* firebird2/src/dsql/: dsql.cpp (1.159), dsql.h (1.86), metd.epp
	(1.83):
	
	Cached charsets by id (not only by name) in dsql. Removed
	irq_cs_bpc request as unneeded anymore

2005-11-16 06:41  robocop

	* firebird2/src/jrd/dyn_def.epp (1.102):
	
	Fix crash caused by ODS < 11 and rdb$system_flag in rdb$roles,
	found by Dmitry.

2005-11-16 02:27  skidder

	* firebird2/src/jrd/blb.cpp (1.100):
	
	Fix the issue with bad incremental backups created when large blobs
	were changed.  Direct thanks to Hui Wang of BroadView QA team who
	chased down the problem.

2005-11-15 09:48  dimitr

	* firebird2/src/burp/canonical.cpp (1.36):
	
	Avoid buffer overruns when restoring corrupted data (always check
	for the declared length).  Look at remote/xdr.cpp for example.
	
	TODO: print a warning during backup in this case.

2005-11-13 11:01  hvlad

	* firebird2/src/jrd/dfw.epp (1.164):
	
	Fixed bug in DFW reported by Claudio in fb-devel (lost
	status-vector during phase 0 execution)

2005-11-13 00:36  robocop

	* firebird2/src/dsql/dsql.cpp (1.158):
	
	What about putting the nodes you added in node.h also in the DSQL
	debugging facilility, folks? :-)

2005-11-12 19:48  dimitr

	* firebird2/src/dsql/metd.epp (1.82):
	
	Globals must die, epysode III.

2005-11-11 06:42  robocop

	* firebird2/src/jrd/tra.cpp (1.105):
	
	Totally misc.

2005-11-11 01:43  asfernandes

	* firebird2/src/burp/burp.cpp (1.102):
	
	Fix problem of empty arguments passing garbage in SPB

2005-11-09 00:57  robocop

	* firebird2/src/isql/isql.epp (1.158):
	
	Let isql yell always, irregardless of the switches.

2005-11-09 00:54  robocop

	* firebird2/src/msgs/messages.sql (1.55):
	
	Correct messages.

2005-11-09 00:49  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.248):
	
	Fix problem with sub-queries/derived tables in the HAVING clause

2005-11-08 16:24  dimitr

	* firebird2/src/jrd/evl.cpp (1.154):
	
	Fixed division when compile-time and runtime scales don't match. 
	Look at multiply2() for example.

2005-11-08 13:49  dimitr

	* firebird2/src/jrd/cmp.cpp (1.184):
	
	Fixed corruption of the impure area introduced by myself a few
	months ago.

2005-11-08 06:59  robocop

	* firebird2/src/jrd/: cvt2.cpp (1.52), exe.cpp (1.160):
	
	Solved SF Bug# 1184099.  To be reviewed by Adriano.

2005-11-06 07:23  robocop

	* firebird2/src/jrd/rse.cpp (1.91):
	
	Totally misc.

2005-11-06 04:31  robocop

	* firebird2/src/jrd/: rse.cpp (1.90), rse.h (1.39):
	
	Get rid of some redundant or unused stuff.

2005-11-06 04:29  robocop

	* firebird2/src/jrd/: dyn_del.epp (1.50), evl_string.h (1.21):
	
	Misc.

2005-11-06 04:20  robocop

	* firebird2/src/jrd/: tra.cpp (1.104), tra.h (1.48):
	
	Backport Ann's fix for the system txn.

2005-11-06 02:56  robocop

	* firebird2/src/jrd/: Optimizer.cpp (1.42), Optimizer.h (1.12),
	ext.cpp (1.61), opt.cpp (1.250):
	
	Non-member functions that are used in other modules should have a
	prefix.  Created a couple of temporary vars for code
	simplification.

2005-11-05 15:50  arnobrinkman

	* firebird2/src/jrd/: Optimizer.cpp (1.41), Optimizer.h (1.11):
	
	Use candidate cost for decision which candidate to use.  Stop using
	indexes when total cost is greater as the previous used total cost.
	 Fix excludeLower/exludeUpper problem with using more operators to
	the same field.

2005-11-04 06:20  robocop

	* firebird2/src/burp/restore.epp (1.98):
	
	Gbak must write always the system flag when creating objects.  This
	is the first step before we are able to make rdb$system_flag field
	mandatory in the future.

2005-11-04 06:19  robocop

	* firebird2/src/jrd/dyn_mod.epp (1.66):
	
	DYN must write always the system flag when creating objects.  This
	is the first step before we are able to make rdb$system_flag field
	mandatory in the future.

2005-11-04 05:46  robocop

	* firebird2/src/: jrd/dyn_mod.epp (1.65), msgs/facilities.sql
	(1.45), msgs/messages.sql (1.54):
	
	Fixing SET DEFAULT so it operates on rdb$relation_fields only and
	raises an error if DROP DEFAULT finds the default belonging to an
	explicit domain. Thanks to Ann for committing the messages to the
	central db.

2005-11-02 01:11  robocop

	* firebird2/src/jrd/dyn.epp (1.79):
	
	Misc.

2005-10-31 08:28  hvlad

	* firebird2/src/jrd/vio.cpp (1.140):
	
	Fixed FB2 regression

2005-10-30 09:15  robocop

	* firebird2/src/dsql/ddl.cpp (1.165):
	
	Fix SF-bug field-test #1192225.

2005-10-30 08:44  robocop

	* firebird2/src/jrd/dyn_def.epp (1.101):
	
	DYN must write always the system flag when creating objects.  This
	is the first step before we are able to make rdb$system_flag field
	mandatory in the future.

2005-10-30 03:29  robocop

	* firebird2/src/jrd/os/posix/guid.cpp (1.11):
	
	Totally misc.

2005-10-29 16:57  asfernandes

	* firebird2/src/burp/burp.cpp (1.101):
	
	Fixed problem of GBAK adding a garbage byte to SPB, when called
	with -SE. Reproducable with: gbak -C -SE service_mgr c:\t.fbk
	localhost:c:\t.fdb

2005-10-29 11:15  dimitr

	* firebird2/src/dsql/: ddl.cpp (1.164), dsql.cpp (1.157), node.h
	(1.69), parse.cpp (1.166), parse.y (1.193), pass1.cpp (1.247):
	
	Implemented RECREATE TRIGGER.

2005-10-29 05:46  robocop

	* firebird2/src/jrd/os/posix/guid.cpp (1.10):
	
	Totally misc.

2005-10-28 18:34  alexpeshkoff

	* firebird2/src/dsql/metd.epp (1.81):
	
	Fixed SS deadlock in DSQL

2005-10-28 17:25  alexpeshkoff

	* firebird2/src/common/classes/semaphore.h (1.22):
	
	Retry when system call is interrupted

2005-10-28 17:18  alexpeshkoff

	* firebird2/src/jrd/os/posix/guid.cpp (1.9):
	
	Retry when system call is interrupted

2005-10-28 10:11  dimitr

	* firebird2/src/jrd/evl.cpp (1.153):
	
	Fixed the bug reported by Jim.

2005-10-28 09:39  dimitr

	* firebird2/src/jrd/grant.epp (1.53):
	
	Forgot one more fix.

2005-10-28 08:18  dimitr

	* firebird2/src/jrd/grant.epp (1.52):
	
	Misc.

2005-10-28 07:37  dimitr

	* firebird2/src/dsql/ddl.cpp (1.163):
	
	Fixed the bug noticed by Claudio.

2005-10-28 06:15  robocop

	* firebird2/src/remote/os/win32/window.rc (1.2):
	
	Fix funny message in a resource.

2005-10-28 06:15  robocop

	* firebird2/src/jrd/btr.cpp (1.153):
	
	Misc.

2005-10-27 23:52  hvlad

	* firebird2/src/jrd/: btr.cpp (1.152), Optimizer.cpp (1.40),
	Optimizer.h (1.10), btr.h (1.41), opt.cpp (1.249):
	
	Fixed SF #223060 Slow processing of GREATER-THEN operator

2005-10-27 15:51  alexpeshkoff

	* firebird2/builds/install/arch-specific/linux/:
	classic/makeInstallImage.sh.in (1.18), super/makeInstallImage.sh.in
	(1.17):
	
	added new stuff to the packages

2005-10-26 20:21  dimitr

	* firebird2/src/dsql/: ddl.cpp (1.162), node.h (1.68), parse.cpp
	(1.165), parse.y (1.192):
	
	1) Fixed check constraints 2) A bit simplified generation of check
	option triggers 3) Cleanup of unused parser stuff

2005-10-26 17:11  hvlad

	* firebird2/src/jrd/: btr.cpp (1.151), btr.h (1.40), idx.cpp
	(1.99):
	
	Don't allow to create primary key constraint on non-null fields
	with null values.  For example:
	
	create table buggg (f1 int not null, f2 int not null); commit;
	
	insert into buggg values (1, 1) commit;
	
	alter table buggg add pk int not null primary key; or alter table
	buggg add constraint pk_buggg primary key (pk) or alter table buggg
	add constraint pk_buggg primary key (f1, f2, pk)

2005-10-26 16:03  alexpeshkoff

	* firebird2/builds/install/misc/classicLibrary.sh.in (1.3):
	
	fixed bug with access to QLI's help

2005-10-25 22:42  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.246):
	
	Fix NEW/OLD context problem found by Dmitry

2005-10-24 14:29  alexpeshkoff

	* firebird2/src/: misc/upgrade/v2/security_database.sql (1.2),
	dbs/security.sql (1.7), jrd/pwd.cpp (1.46):
	
	finished rdb$users to match vulcan

2005-10-24 13:56  dimitr

	* firebird2/src/jrd/grant.epp (1.51):
	
	Bugfix (workaround) for #1334034.

2005-10-22 14:35  aafemt

	* firebird2/: builds/posix/Makefile.in.client.gbak (1.13),
	builds/posix/Makefile.in.client.gfix (1.15),
	builds/posix/Makefile.in.client.gsec (1.6),
	builds/posix/Makefile.in.client.util (1.30), src/jrd/svc.cpp
	(1.148):
	
	Fix MinGW SS build

2005-10-22 13:51  dimitr

	* firebird2/doc/WhatsNew (1.72):
	
	More docs.

2005-10-22 13:09  dimitr

	* firebird2/src/msgs/messages.sql (1.53):
	
	Restored the XCPCODE reporting to be compatible with 1.5.  A
	temporary solution.

2005-10-22 13:06  dimitr

	* firebird2/src/: jrd/exe.cpp (1.159), include/gen/msgs.h (1.44):
	
	Restored the XCPCODE reporting to be compatible with 1.5.  A
	temporary solution.

2005-10-22 07:58  robocop

	* firebird2/lang_helpers/: gds_codes.ftn (1.27), gds_codes.pas
	(1.27):
	
	Generate lang-helpers after Dmitry's changes.

2005-10-21 11:49  dimitr

	* firebird2/doc/sql.extensions/README.current_time (1.2):
	
	Typo.

2005-10-21 11:47  dimitr

	* firebird2/src/jrd/evl.cpp (1.152):
	
	Oops, committed unfinished work by accident. Restored.

2005-10-21 11:42  dimitr

	* firebird2/src/: dsql/pass1.cpp (1.245), jrd/evl.cpp (1.151),
	jrd/exe.h (1.73), jrd/par.cpp (1.121), jrd/constants.h (1.24):
	
	Better (and more honest) diagnostics.

2005-10-21 11:35  dimitr

	* firebird2/src/: msgs/facilities.sql (1.44), msgs/messages.sql
	(1.52), msgs/system_errors.sql (1.24), include/gen/codetext.h
	(1.34), include/gen/iberror.h (1.33), include/gen/msgs.h (1.43),
	include/gen/rdb_codes.h (1.33), include/gen/sql_code.h (1.36):
	
	Added new error message.

2005-10-21 10:47  dimitr

	* firebird2/src/dsql/ddl.cpp (1.161):
	
	Change the visibility rules for uncommitted relations.	The goal is
	to simplify them and fix known issues with ALTER TABLE.  Hopefully,
	this won't cause any side effects.

2005-10-20 15:03  hvlad

	* firebird2/src/jrd/: tra.cpp (1.103), vio.cpp (1.139):
	
	Fixed AV in notify_garbage_collector

2005-10-20 06:09  robocop

	* firebird2/: lang_helpers/gds_codes.ftn (1.26),
	lang_helpers/gds_codes.pas (1.26), src/include/gen/codetext.h
	(1.33), src/include/gen/iberror.h (1.32), src/include/gen/msgs.h
	(1.42), src/include/gen/rdb_codes.h (1.32),
	src/include/gen/sql_code.h (1.35), src/msgs/facilities.sql (1.43),
	src/msgs/messages.sql (1.51), src/msgs/system_errors.sql (1.23):
	
	Try to please the team leader before it's too late.  :-) We have
	definitely serious problems with firebird.msg mismatches.

2005-10-19 11:02  dimitr

	* firebird2/src/dbs/security.sql (1.6):
	
	Cleanup.

2005-10-17 19:15  alexpeshkoff

	* firebird2/src/: dbs/security.sql (1.5), jrd/pwd.cpp (1.45):
	
	let user_name be in unicode_fss in table rdb$users

2005-10-16 13:36  hvlad

	* firebird2/src/jrd/vio.cpp (1.138):
	
	1. Proper fix to "can't find record fragment" bug occured when user
	  transaction back out record modified by system transaction 2.
	Restore gc_thread's ability to collect garbage in system tables

2005-10-16 13:19  hvlad

	* firebird2/src/jrd/blb.cpp (1.99):
	
	Fixed FB2 regression with blobs

2005-10-15 15:02  alexpeshkoff

	* firebird2/src/jrd/: dsc.h (1.23), val.h (1.29):
	
	Fixed ODS problem with arrays

2005-10-14 06:51  robocop

	* firebird2/src/msgs/: facilities.sql (1.42), history.sql (1.25),
	messages.sql (1.50):
	
	Changed the command-line help in isql when you type isql -?

2005-10-14 06:12  robocop

	* firebird2/src/jrd/jrd.cpp (1.225):
	
	Misc.

2005-10-14 06:10  robocop

	* firebird2/doc/README.isql_enhancements.txt (1.5):
	
	Explain other isql options.

2005-10-13 21:11  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.7),
	src/intl/lc_iso8859_1.cpp (1.14), src/jrd/idx.h (1.17),
	src/jrd/intlnames.h (1.17):
	
	1) Remove feature that allow one collation name to be used with
	more than one charset.	2) Remove PT_BR for WIN1252, let's live
	with WIN_PTBR only.

2005-10-13 21:09  asfernandes

	* firebird2/: lang_helpers/gds_codes.ftn (1.25),
	lang_helpers/gds_codes.pas (1.25), src/include/gen/codetext.h
	(1.32), src/include/gen/iberror.h (1.31), src/include/gen/msgs.h
	(1.41), src/include/gen/rdb_codes.h (1.31),
	src/include/gen/sql_code.h (1.34):
	
	Regenerate files

2005-10-13 15:39  dimitr

	* firebird2/src/jrd/blb.cpp (1.98):
	
	Fixed SF #1211328.

2005-10-13 15:36  dimitr

	* firebird2/src/msgs/: facilities.sql (1.41), messages.sql (1.49),
	system_errors.sql (1.22):
	
	Added new error message.

2005-10-13 10:11  dimitr

	* firebird2/src/jrd/: ini.epp (1.69), ini_proto.h (1.12), met.epp
	(1.171):
	
	Let's load real system triggers from the database, not the ones
	hardcoded in trigs.h.  Otherwise weird things happen when we access
	a database with older ODS.

2005-10-13 10:03  dimitr

	* firebird2/src/jrd/idx.cpp (1.98):
	
	Temporary fix for the issue found by Tom Cole.

2005-10-12 08:47  dimitr

	* firebird2/src/utilities/gsec/gsec.cpp (1.47):
	
	Misc.

2005-10-12 07:57  dimitr

	* firebird2/doc/WhatsNew (1.71):
	
	Updated docs.

2005-10-08 11:56  robocop

	* firebird2/doc/sql.extensions/README.ddl.txt (1.6):
	
	Misc: missing double quote in readme.

2005-10-08 09:02  robocop

	* firebird2/src/isql/isql.epp (1.157):
	
	Fix display alignment problem with CHAR type and small binary
	fields.

2005-10-08 08:52  robocop

	* firebird2/src/dsql/: ddl.cpp (1.160), dsql.h (1.85), make.cpp
	(1.106):
	
	Close the remaining, third item in SF Bug #217042. Now the four
	items are solved.  However, this third item was the tip of the
	iceberg: computed fields silently dropped implicit or explicit
	charset/collation/sub_type specification, whether it was derived
	from the expression or dictated by an explicit cast.  Also, had to
	invent a new flag to deal with relations being just created now and
	whose db_key_length obviously doesn't exist. Still looking for
	better solution.

2005-10-08 08:47  robocop

	* firebird2/src/dsql/pass1.cpp (1.244):
	
	Totally misc.

2005-10-07 17:38  asfernandes

	* firebird2/src/intl/lc_ascii.cpp (1.16):
	
	Remove ugly WIN1251 upper/lower - use default

2005-10-07 10:52  robocop

	* firebird2/: lang_helpers/gds_codes.ftn (1.24),
	lang_helpers/gds_codes.pas (1.24), src/include/gen/codetext.h
	(1.31), src/include/gen/iberror.h (1.30), src/include/gen/msgs.h
	(1.40), src/include/gen/sql_code.h (1.33), src/jrd/dfw.epp (1.163),
	src/msgs/facilities.sql (1.40), src/msgs/history.sql (1.24),
	src/msgs/messages.sql (1.48), src/msgs/system_errors.sql (1.21):
	
	Moved another hardcoded error string to the msg database.

2005-10-06 12:26  dimitr

	* firebird2/src/jrd/flu.cpp (1.52):
	
	Restored the v1.5 diagnostics logic.  Don't report the access error
	immediately as other suffix attempts could succeed.

2005-10-06 09:01  robocop

	* firebird2/src/: isql/isql.epp (1.156), isql/isql.h (1.50),
	msgs/facilities.sql (1.39), msgs/history.sql (1.23),
	msgs/messages.sql (1.47):
	
	Update isql accordingly to my previous Fix SF Bug #1292007 Move
	more hardcoded error strings to the msg database.

2005-10-06 08:08  robocop

	* firebird2/: lang_helpers/gds_codes.ftn (1.23),
	lang_helpers/gds_codes.pas (1.23), src/dsql/pass1.cpp (1.243),
	src/include/gen/codetext.h (1.30), src/include/gen/iberror.h
	(1.29), src/include/gen/msgs.h (1.39), src/include/gen/rdb_codes.h
	(1.30), src/include/gen/sql_code.h (1.32), src/msgs/facilities.sql
	(1.38), src/msgs/messages.sql (1.46), src/msgs/system_errors.sql
	(1.20):
	
	Fix SF Bug #1292007 Move some hardcoded error texts to the msg
	database.

2005-10-05 10:54  dimitr

	* firebird2/src/jrd/dpm.epp (1.60):
	
	Restored the fragmentation logic I removed one year ago.  I cannot
	reproduce the old bug anymore and this code allows smaller version
	stubs.

2005-10-05 10:39  robocop

	* firebird2/src/remote/xnet.cpp (1.65):
	
	Fix allocation bug.

2005-10-05 08:23  robocop

	* firebird2/builds/win32/msvc6/intl.dsp (1.26):
	
	Fix MSVC6 "intl" project file that Adriano invalidated accidentally
	by manual editing.

2005-10-04 16:15  alexpeshkoff

	* firebird2/src/jrd/isc_file.cpp (1.98):
	
	mark AIX case as untested in this file

2005-10-04 10:00  robocop

	* firebird2/src/qli/parse.cpp (1.40):
	
	Solve problem with QLI and SQL quoted identifiers created
	previously.

2005-10-04 07:15  robocop

	* firebird2/src/extlib/ib_udf2.sql (1.8):
	
	Declare UDF lower as "LOWER" in ib_udf2.sql and go on with life.

2005-10-03 15:46  dimitr

	* firebird2/src/jrd/dyn.epp (1.78):
	
	Fixed bug SF #223128.

2005-10-03 14:41  dimitr

	* firebird2/doc/WhatsNew (1.70):
	
	Updated docs.

2005-10-03 14:34  dimitr

	* firebird2/doc/: sql.extensions/README.current_time (1.1),
	README.instsvc (1.5):
	
	Updated docs.

2005-10-03 14:26  dimitr

	* firebird2/doc/sql.extensions/README.returning (1.2):
	
	Updated docs.

2005-10-03 10:53  alexpeshkoff

	* firebird2/src/utilities/gsec/call_service.cpp (1.9):
	
	fixed a bug querying service state - thanks to Claudio

2005-10-01 09:16  robocop

	* firebird2/src/: jrd/isc_file.cpp (1.97), msgs/history.sql (1.22):
	
	Misc.

2005-09-30 19:49  dimitr

	* firebird2/builds/win32/msvc6/: Firebird2.dsw (1.37), gsec.dsp
	(1.18):
	
	Fixed MSVC6 build.

2005-09-30 19:45  dimitr

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.25), gsec.vcproj
	(1.20):
	
	Fixed MSVC7 build.

2005-09-30 18:25  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.client.gsec (1.5),
	Makefile.in.embed.gbak (1.14), Makefile.in.embed.gfix (1.17),
	Makefile.in.embed.util (1.27):
	
	Reanimated -database switch in gsec. Also fixed linux CS build
	after solaris-related changes.

2005-09-30 18:21  alexpeshkoff

	* firebird2/src/msgs/messages.sql (1.45):
	
	reanimated -database switch in gsec

2005-09-30 18:16  alexpeshkoff

	* firebird2/src/jrd/: err_proto.h (1.26), isc_f_proto.h (1.20),
	isc_file.cpp (1.96), jrd.cpp (1.224), svc.cpp (1.147):
	
	  1. reanimated -database switch in gsec\n  2. isc_file.cpp should
	now compile at AIX\n  3.Use PathName to store database name in
	jrd.cpp during attach/create

2005-09-30 18:10  alexpeshkoff

	* firebird2/src/utilities/gsec/: call_service.cpp (1.8), gsec.cpp
	(1.46), gsec.h (1.23), gsecswi.h (1.5):
	
	reanimated -database switch in gsec

2005-09-30 14:06  asfernandes

	* firebird2/src/intl/lc_iso8859_13.cpp (1.2):
	
	Fix problem reported by Konstantin

2005-09-30 13:40  dimitr

	* firebird2/src/jrd/cmp.cpp (1.183):
	
	Fixed two bugs with PSQL cursors.

2005-09-30 12:34  paul_reeves

	* firebird2/builds/win32/: setenvvar.bat (1.9), setenvvar2.bat
	(1.3):
	
	Evaluate available compilers in correct order.

2005-09-30 10:48  dimitr

	* firebird2/src/jrd/: btr.cpp (1.150), btr_proto.h (1.35):
	
	Fixed server crashes caused by buffer overruns if too big index key
	was used.

2005-09-30 10:43  robocop

	* firebird2/src/isql/show.epp (1.79):
	
	SHOW command should also show procedure parameters defaults.

2005-09-30 09:52  robocop

	* firebird2/src/isql/extract.epp (1.64):
	
	Update isql to extract procedure parameters defaults in a script as
	a tribute to Vlad.  Note: Vlad is still alive.

2005-09-30 09:50  robocop

	* firebird2/src/dsql/ddl.cpp (1.159):
	
	Trim unneeded blanks and some control characters between DEFAULT
	clause and the default value itself in procedure parameters, too. 
	Trim unneded blanks and some control characters before the BEGIN or
	DECLARE clauses in a procedure body.

2005-09-29 11:22  aafemt

	* firebird2/configure.in (1.235):
	
	MinGW also can do threaded CS

2005-09-28 16:03  kkuznetsov

	* firebird2/extern/icu/source/runConfigureICU (1.9):
	
	Fix my previos commit

2005-09-28 15:23  dimitr

	* firebird2/src/dsql/: parse.cpp (1.164), parse.y (1.191):
	
	Temporarely rolled back to the previous end_trigger logic due to
	found issues.  Still looking for a proper solution.

2005-09-28 11:26  kkuznetsov

	* firebird2/extern/icu/source/: runConfigureICU (1.8),
	config/mh-solaris-gcc (1.6):
	
	Maked Solaris gcc ICU build unified

2005-09-27 22:41  arnobrinkman

	* firebird2/src/dsql/ddl.cpp (1.158):
	
	Fix another "with check option" issue <sigh>

2005-09-27 21:23  hvlad

	* firebird2/src/dsql/dsql.cpp (1.156):
	
	Make code more robust. Reported privately by Tom Cole

2005-09-27 13:17  dimitr

	* firebird2/src/dsql/: parse.cpp (1.163), parse.y (1.190):
	
	Significant changes in the DDL source parsing (begin_*, end_*
	rules): 1) store WITH CHECK OPTION instead of WITH CHECK (views) 2)
	store DEFAULT <value> instead of <value> (procedure parameters) 3)
	attempt to fix the bug in end_trigger causing longer string to be
	stored (try e.g. DEFAULT CURRENT_TIME NOT NULL) 4) major cleanup of
	begin_trigger and indentation, simplified some parser rules Now
	awaiting for the Claudio's attack :-)

2005-09-27 09:47  robocop

	* firebird2/src/: common/utils.cpp (1.14), jrd/dfw.epp (1.162):
	
	Source code comments.

2005-09-27 09:46  robocop

	* firebird2/src/jrd/vio.cpp (1.137):
	
	Putting, deleting or changing the comment on an index shouldn't
	cause the index to be rebuilt. The logic was applied previously to
	user generators only. To be reviewed by Dmitry.

2005-09-26 10:43  robocop

	* firebird2/src/utilities/gstat/dba.epp (1.60):
	
	Gstat will have problems if it has to seek to a db page beyond 4GB
	from BOF, because we detect a problem that didn't happen. I put the
	check that appears in my old VC6 MSDN examples and that matches
	Vulcan's logic.

2005-09-25 00:50  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.6),
	builds/posix/Makefile.in.intl (1.23), builds/win32/msvc6/intl.dsp
	(1.25), builds/win32/msvc7/intl.vcproj (1.21),
	src/intl/country_codes.h (1.3), src/intl/lc_iso8859_13.cpp (1.1),
	src/intl/ld.cpp (1.16), src/intl/collations/xx885913lt.h (1.2),
	src/jrd/intlnames.h (1.16):
	
	Forward-port collation LT_LT from 1.5 branch

2005-09-24 07:11  robocop

	* firebird2/src/utilities/fbcpl/fbdialog.cpp (1.5):
	
	Set interactive to false for now to be able to compile. To be
	reviewed by Paul Reeves.

2005-09-24 07:11  robocop

	* firebird2/src/jrd/: dfw.epp (1.161), dsc.cpp (1.24), dsc_proto.h
	(1.9):
	
	It shouldn't be possible to write BLR to create tables with fields
	using unknown data types.

2005-09-24 07:09  robocop

	* firebird2/src/isql/extract.epp (1.63):
	
	Better check for isql ignoring implicit rdb$<number> domains.

2005-09-24 07:09  robocop

	* firebird2/src/jrd/gds.cpp (1.176):
	
	Let's hope this fixes the incompatibilities between safe_interpret
	and the old gds_interprete.

2005-09-22 09:09  robocop

	* firebird2/src/include/firebird.h (1.38):
	
	Totally misc.

2005-09-22 08:14  robocop

	* firebird2/src/jrd/os/posix/unix.cpp (1.40):
	
	Misc.

2005-09-21 10:31  kkuznetsov

	* firebird2/src/include/firebird.h (1.37):
	
	Adding ability to build CS server with threaded services (can be
	controled throught configure platform varyable service_thread_CS):
	1)Add new define STD_UTIL
	
	Build tested Solaris x86 and Linux x86

2005-09-21 10:30  kkuznetsov

	* firebird2/builds/posix/: Makefile.in.embed.gbak (1.13),
	Makefile.in.embed.gfix (1.16), Makefile.in.embed.util (1.26),
	firebird.vers (1.10):
	
	Adding ability to build CS server with threaded services (can be
	controled throught configure platform varyable service_thread_CS):
	1)Moving object files of utils to superclient temp directory 2)Add
	new define STD_UTIL 3) Hide utils functions to local scope of
	libfbembed
	
	Build tested Solaris x86 and Linux x86

2005-09-19 16:48  dimitr

	* firebird2/src/dsql/ddl.cpp (1.157):
	
	Let's recognize an attempt to alter a not existing table earlier
	than in DYN.  In particular, this prevents a server crash
	introduced by some recent DDL checks.

2005-09-19 12:43  dimitr

	* firebird2/src/utilities/install/: install_svc.cpp (1.21),
	servi_proto.h (1.11), services.cpp (1.18):
	
	Added -i switch to instsvc, as agreed with Olivier and Alex times
	ago.

2005-09-16 12:50  dimitr

	* firebird2/src/dsql/make.cpp (1.105):
	
	Fixed dialect 1 regression caused by my recent changes.

2005-09-16 12:24  dimitr

	* firebird2/src/jrd/intl.cpp (1.82):
	
	Fixed bugs with nod_sleuth implementation. Exists since v1.5.0.

2005-09-15 18:42  alexpeshkoff

	* firebird2/src/jrd/os/posix/isc_ipc.cpp (1.17):
	
	slightly better diagnostics

2005-09-14 21:06  dimitr

	* firebird2/src/dsql/: gen.cpp (1.93), pass1.cpp (1.242):
	
	Fixed the issue with zero-initialized status vector during prepare.

2005-09-14 20:53  dimitr

	* firebird2/src/jrd/isc_sync.cpp (1.98):
	
	Cleanup.

2005-09-14 20:09  asfernandes

	* firebird2/src/: dsql/make.cpp (1.104), jrd/jrd.cpp (1.223),
	jrd/why_proto.h (1.24):
	
	Fix issue of SQLVAR.sqllen from non-system MBCS fields, thanks to
	Roman

2005-09-14 14:02  dimitr

	* firebird2/src/jrd/met.epp (1.170):
	
	More checks for uncommitted DDL.

2005-09-14 13:42  dimitr

	* firebird2/src/dsql/: dsql.h (1.84), metd.epp (1.80):
	
	Another attempt to fix the issue with uncommitted DDL.

2005-09-14 07:58  alexpeshkoff

	* firebird2/src/burp/: burp.h (1.68), restore.epp (1.97):
	
	fixed restore of database with broken foreign keys

2005-09-12 13:14  alexpeshkoff

	* firebird2/src/jrd/: utl.cpp (1.84), utl_proto.h (1.19), why.cpp
	(1.94), os/posix/unix.cpp (1.39):
	
	removed marker file related code

2005-09-10 09:15  robocop

	* firebird2/: lang_helpers/gds_codes.ftn (1.22),
	lang_helpers/gds_codes.pas (1.22), src/dsql/ddl.cpp (1.156),
	src/dsql/dsql.cpp (1.155), src/dsql/dsql.h (1.83), src/dsql/gen.cpp
	(1.92), src/dsql/metd.epp (1.79), src/dsql/pass1.cpp (1.241),
	src/include/gen/codetext.h (1.29), src/include/gen/iberror.h
	(1.28), src/include/gen/msg_facs.h (1.9), src/include/gen/msgs.h
	(1.38), src/include/gen/rdb_codes.h (1.29),
	src/include/gen/sql_code.h (1.31), src/msgs/facilities.sql (1.37),
	src/msgs/history.sql (1.21), src/msgs/messages.sql (1.44),
	src/msgs/system_errors.sql (1.19):
	
	- Get rid of DBB_v3 in DSQL and put a message just in case we find
	ODS<=7 (impossible in theory, since FB wouldn't open such db).	-
	Put mnemonics for two hardcoded error msgs I hijacked from DYN
	years ago. Now they are defined for the SQLERR facility.

2005-09-09 12:15  dimitr

	* firebird2/src/dsql/dsql.h (1.82):
	
	Cleanup.

2005-09-09 11:07  dimitr

	* firebird2/src/dsql/ddl.cpp (1.155):
	
	Small correction.

2005-09-09 08:40  dimitr

	* firebird2/src/dsql/ddl.cpp (1.154):
	
	Clear the DSQL metadata cache after ALTER EXTERNAL FUNCTION
	statement.

2005-09-08 18:39  alexpeshkoff

	* firebird2/src/jrd/: err_proto.h (1.25), jrd.cpp (1.222), nbak.cpp
	(1.49), pag.cpp (1.92), sdw.cpp (1.59), os/pio_proto.h (1.15),
	os/posix/unix.cpp (1.38), os/win32/winnt.cpp (1.28):
	
	fixed BOFs in PIO functions

2005-09-08 12:22  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.39):
	
	1) Commented code that doesn't work properly (until Arno is back). 
	2) Fixed some optimization issues in the new logic.  3) Small
	cleanup.

2005-09-08 12:08  dimitr

	* firebird2/src/jrd/exe.h (1.72):
	
	1) Fixed csb_validation which was defined in a wrong flags group. 
	2) Renumbering and cleanup.

2005-09-04 23:39  hvlad

	* firebird2/src/dsql/dsql.h (1.81):
	
	Removed unused member

2005-09-04 23:33  hvlad

	* firebird2/src/dsql/sym.h (1.10):
	
	Correction

2005-09-04 23:32  hvlad

	* firebird2/src/dsql/metd.epp (1.78):
	
	Add error handlers

2005-09-04 23:31  hvlad

	* firebird2/src/dsql/: array.epp (1.36), blob.epp (1.18), errd.cpp
	(1.37), errd_proto.h (1.11), utld.cpp (1.36), utld_proto.h (1.12):
	
	Small code reorganisation: 1. move two identical 'copy_status'
	functions from array.epp and blob.epp into utld.cpp 2. allow
	ERRD_punt use local instance of status-vector

2005-09-04 17:28  asfernandes

	* firebird2/src/jrd/cvt2.cpp (1.51):
	
	Use the same comparation rules of VARCHAR/NONE in text BLOB/NONE

2005-09-03 10:03  robocop

	* firebird2/src/dsql/: make.cpp (1.103), pass1.cpp (1.240):
	
	Get rid of my old hack to solve a problem between John/Mark's
	FIRST/SKIP parameters type and dialect detection. The dialect is in
	the request.

2005-09-03 09:47  robocop

	* firebird2/src/dsql/pass1.cpp (1.239):
	
	- Misc.  - Detect a limit case with params and containing or
	starting.

2005-09-03 07:56  robocop

	* firebird2/src/qli/all.cpp (1.29):
	
	Misc.

2005-09-03 07:54  robocop

	* firebird2/src/isql/isql.epp (1.155):
	
	Fix premature EOF while reading a script file when using the SHELL
	command inside it, found by Paul Reeves. Trying to find a
	compromise between MS requirements for system() call and its bad
	side effects on our isql.

2005-09-03 07:52  robocop

	* firebird2/src/: msgs/facilities.sql (1.36), msgs/messages.sql
	(1.43), qli/all.cpp (1.28), qli/dtr.cpp (1.39), qli/dtr.h (1.23),
	qli/err.cpp (1.18), qli/meta.epp (1.56), qli/parse.cpp (1.39),
	qli/words.h (1.5):
	
	Archeology: enable QLI to handle NUMERIC, DECIMAL and BIGINT in
	definitions. No dialect check made.

2005-09-02 07:30  dimitr

	* firebird2/src/dsql/: ddl.cpp (1.153), gen.cpp (1.91), make.cpp
	(1.102), make_proto.h (1.25), parse.cpp (1.162), parse.y (1.189),
	pass1.cpp (1.238):
	
	1) Made output parameter naming a common procedure instead of
	select-list private code.  2) Allowed value expressions in the
	RETURNING clause.

2005-09-02 06:59  robocop

	* firebird2/src/jrd/: status.cpp (1.14), status.h (1.7):
	
	Please the Furies and change Mike's license with his permission.

2005-08-31 18:08  dimitr

	* firebird2/src/jrd/os/win32/fbsyslog.cpp (1.4):
	
	Cleanup.

2005-08-31 18:02  dimitr

	* firebird2/src/: remote/os/win32/cntl.cpp (1.18),
	iscguard/cntl_guard.cpp (1.19):
	
	Cleanup.

2005-08-31 16:55  dimitr

	* firebird2/src/remote/os/win32/: property.cpp (1.14), window.h
	(1.5):
	
	Cleanup.

2005-08-29 20:41  asfernandes

	* firebird2/src/dsql/ddl.cpp (1.152):
	
	Fixed problem of implict NOT NULL (in PRIMARY KEY constraint) being
	generated with the same constraint name of the PK.  Thanks to my
	brother Adilson for the test case.

2005-08-29 17:00  alexpeshkoff

	* firebird2/src/remote/inet_server.cpp (1.56):
	
	Fixed signal safety problems in SS shutdown

2005-08-29 16:57  alexpeshkoff

	* firebird2/src/jrd/gds.cpp (1.175):
	
	avoid unpredictable behaviour of gds__log() on posix in signal
	handlers

2005-08-25 14:37  dimitr

	* firebird2/src/dsql/pass1.cpp (1.237):
	
	Fixed SEGV reported by Konstantin.

2005-08-24 14:12  kkuznetsov

	* firebird2/: configure.in (1.234), builds/posix/firebird.vers
	(1.9), builds/posix/make.shared.variables (1.58),
	builds/posix/prefix.solaris (1.16), src/jrd/svc_proto.h (1.18),
	src/utilities/common/cmd_util.cpp (1.10),
	src/utilities/common/cmd_util_proto.h (1.4):
	
	Allowing using SERVICE_THREAD in CLASSIC server as platform option

2005-08-24 11:42  dimitr

	* firebird2/src/dsql/pass1.cpp (1.236):
	
	Added optional seconds precision to CURRENT_TIME and
	CURRENT_TIMESTAMP as agreed with Ann and others times ago.

2005-08-24 11:22  dimitr

	* firebird2/src/dsql/: gen.cpp (1.90), parse.cpp (1.161), parse.y
	(1.188):
	
	Added optional seconds precision to CURRENT_TIME and
	CURRENT_TIMESTAMP as agreed with Ann and others times ago.

2005-08-24 11:14  dimitr

	* firebird2/src/: jrd/blr.h (1.21), jrd/cmp.cpp (1.182),
	jrd/evl.cpp (1.150), jrd/exe.h (1.71), jrd/mov.cpp (1.24),
	jrd/par.cpp (1.120), misc/blrtable.cpp (1.20):
	
	Added optional seconds precision to CURRENT_TIME and
	CURRENT_TIMESTAMP as agreed with Ann and others times ago.

2005-08-24 11:09  dimitr

	* firebird2/src/common/classes/: timestamp.cpp (1.9), timestamp.h
	(1.9):
	
	Slightly change the round function.

2005-08-24 08:21  dimitr

	* firebird2/src/dsql/: node.h (1.67), parse.cpp (1.160), parse.y
	(1.187), pass1.cpp (1.235):
	
	Rolled back my commit as a performance looser.	More precise
	savepoints handling is being investigated.

2005-08-23 16:25  dimitr

	* firebird2/src/jrd/isc.cpp (1.56):
	
	Fixed inability to establish an IPC channel between processes with
	custom security descriptors.  Appeared as "unavailable database"
	while connecting from the service running under special account.

2005-08-23 08:52  alexpeshkoff

	* firebird2/src/jrd/: jrd_pwd.h (1.18), pwd.cpp (1.44), scl.epp
	(1.70), svc.cpp (1.146):
	
	Security fix - temporary disable logins for clients, making too
	many wrong attempts to login

2005-08-22 15:39  dimitr

	* firebird2/src/dsql/keywords.cpp (1.46):
	
	Fixed wrong keyword version.

2005-08-22 15:08  dimitr

	* firebird2/src/jrd/intl.cpp (1.81):
	
	Allowed NONE->charset conversions if called during a comparison.

2005-08-22 15:02  dimitr

	* firebird2/src/jrd/flu.cpp (1.51):
	
	Fixed another UDF access issue.

2005-08-22 12:12  dimitr

	* firebird2/src/dsql/: dsql.tab.h (1.61), node.h (1.66), parse.cpp
	(1.159), parse.y (1.186), pass1.cpp (1.234):
	
	Fixed PSQL exception handling which never worked consistently.

2005-08-22 11:16  dimitr

	* firebird2/src/common/config/dir_list.cpp (1.25):
	
	Fixed one of the UDF access issues.

2005-08-22 10:34  dimitr

	* firebird2/src/jrd/Optimizer.cpp (1.38):
	
	Fixed server crash in the optimizer.

2005-08-22 09:25  alexpeshkoff

	* firebird2/src/jrd/isc.cpp (1.55):
	
	Front-ported security fix - always require login/pass in IP
	connections.

2005-08-21 17:52  asfernandes

	* firebird2/src/: dsql/gen.cpp (1.89), dsql/make.cpp (1.101),
	dsql/pass1.cpp (1.233), jrd/entry.h (1.19), jrd/inf.cpp (1.57),
	jrd/inf_proto.h (1.10), jrd/inf_pub.h (1.6), jrd/jrd.cpp (1.221),
	jrd/jrd_proto.h (1.39), jrd/why.cpp (1.93), jrd/why_proto.h (1.23):
	
	Fixed SF field-test #1249187 - 2.0a3: String literals dest. for
	large CHAR fields truncated

2005-08-19 12:41  alexpeshkoff

	* firebird2/src/jrd/isc.cpp (1.54):
	
	Front-ported fix from 1.5.

2005-08-19 12:08  dimitr

	* firebird2/src/include/firebird.h (1.36):
	
	Fixed the win32 build.

2005-08-19 08:56  kkuznetsov

	* firebird2/src/include/firebird.h (1.35):
	
	Disabled service threads at boot time for all platform except of
	WIN_NT

2005-08-19 08:07  robocop

	* firebird2/src/qli/: expand.cpp (1.31), hsh.cpp (1.17),
	hsh_proto.h (1.9), meta.epp (1.55), parse.cpp (1.38):
	
	Try to convince QLI to handle quoted identifiers.  It acts for now
	as if dialect 3 is the only one available WRT names enclosed in
	double quotes.

2005-08-19 08:04  kkuznetsov

	* firebird2/src/common/classes/semaphore.h (1.21):
	
	Comment correction thanks to Claudio

2005-08-19 02:53  robocop

	* firebird2/builds/:
	install/arch-specific/linux/super/makeInstallImage.sh.in (1.16),
	install/misc/posixLibrary.sh.in (1.3), win32/setenvvar.bat (1.8),
	win32/setenvvar2.bat (1.2):
	
	Nitpicking.

2005-08-18 15:56  dimitr

	* firebird2/src/jrd/exe.cpp (1.158):
	
	Fixed one of the PSQL exception handling bugs. More to follow.

2005-08-18 14:33  kkuznetsov

	* firebird2/src/jrd/svc.cpp (1.145):
	
	This patch from Dimitry Sibiryakov disables services at boot time. 
	This let me compile on Solaris

2005-08-18 11:33  kkuznetsov

	* firebird2/src/common/classes/semaphore.h (1.20):
	
	Some comments added

2005-08-17 16:07  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.client.util (1.29),
	Makefile.in.embed.util (1.25), Makefile.in.fbserver (1.21),
	make.shared.variables (1.57):
	
	Added ods.cpp to posix. Also fixes for SS build.

2005-08-16 23:19  arnobrinkman

	* firebird2/src/dsql/: node.h (1.65), pass1.cpp (1.232):
	
	Allow outer reference in derived table to higher scope-levels

2005-08-16 15:39  dimitr

	* firebird2/builds/win32/msvc6/: engine.dsp (1.59),
	engine_classic.dsp (1.55), engine_embed.dsp (1.34), gstat.dsp
	(1.19):
	
	Moved the ODS checking routine from ods.h to a separate module.

2005-08-16 15:35  dimitr

	* firebird2/: src/jrd/ods.cpp (1.1), src/jrd/ods.h (1.37),
	src/jrd/ods_proto.h (1.1), src/jrd/pag.cpp (1.91),
	src/utilities/gstat/dba.epp (1.59), src/jrd/os/posix/unix.cpp
	(1.37), builds/win32/msvc7/engine.vcproj (1.49),
	builds/win32/msvc7/engine_classic.vcproj (1.49),
	builds/win32/msvc7/engine_embed.vcproj (1.38),
	builds/win32/msvc7/gstat.vcproj (1.22):
	
	Moved the ODS checking routine from ods.h to a separate module.

2005-08-16 12:03  alexpeshkoff

	* firebird2/builds/install/:
	misc/changeGdsLibraryCompatibleLink.sh.in (1.3),
	misc/classicLibrary.sh.in (1.2), misc/createAliasDB.sh.in (1.2),
	misc/posixLibrary.sh.in (1.2),
	arch-specific/linux/classic/makeInstallImage.sh.in (1.17),
	arch-specific/linux/classic/postinstall.sh.in (1.13),
	arch-specific/linux/classic/postuninstall.sh.in (1.4),
	arch-specific/linux/classic/preinstall.sh.in (1.7),
	arch-specific/linux/classic/preuninstall.sh.in (1.5),
	arch-specific/linux/classic/tarMainInstall.sh.in (1.2),
	arch-specific/linux/classic/tarMainUninstall.sh.in (1.2),
	arch-specific/linux/classic/tarinstall.sh.in (1.2),
	arch-specific/linux/classic/taruninstall.sh.in (1.2),
	arch-specific/linux/misc/linuxLibrary.sh.in (1.3),
	arch-specific/linux/misc/superLinux.sh.in (1.2),
	arch-specific/linux/super/makeInstallImage.sh.in (1.15),
	arch-specific/linux/super/postinstall.sh.in (1.9),
	arch-specific/linux/super/preinstall.sh.in (1.7),
	arch-specific/linux/super/taruninstall.sh.in (1.4):
	
	new way to build linux scripts

2005-08-16 08:22  robocop

	* firebird2/doc/sql.extensions/README.ddl.txt (1.5):
	
	Update DDL documentation for setting/dropping default values in
	table fields.

2005-08-15 13:30  kkuznetsov

	* firebird2/extern/icu/source/runConfigureICU (1.7):
	
	revert my previos commit

2005-08-14 22:46  hvlad

	* firebird2/src/jrd/dfw.epp (1.160):
	
	Fix SF #1256675

2005-08-14 14:41  dimitr

	* firebird2/src/jrd/exe.cpp (1.157):
	
	Some string handling changes + fixed Alpha 3 bug + misc.

2005-08-14 08:56  robocop

	* firebird2/src/: include/gen/msgs.h (1.37), jrd/exe.cpp (1.156),
	msgs/facilities.sql (1.35), msgs/history.sql (1.20),
	msgs/messages.sql (1.42):
	
	Solve Dmitry's compatibility concerns about my solution for SF Bug
	#494981. Remember to rebuild the messages db from the scripts in
	src/msgs.

2005-08-14 07:48  robocop

	* firebird2/src/: dsql/ddl.cpp (1.151), dsql/dsql.h (1.80),
	dsql/dsql.tab.h (1.60), dsql/node.h (1.64), dsql/parse.cpp (1.158),
	dsql/parse.y (1.185), jrd/drq.h (1.12), jrd/dyn.h (1.27),
	jrd/dyn_def.epp (1.100), jrd/dyn_mod.epp (1.64), jrd/dyn_ut_proto.h
	(1.11), jrd/dyn_util.epp (1.39), msgs/facilities.sql (1.34),
	msgs/history.sql (1.19), msgs/messages.sql (1.41):
	
	Tweak DYN to solve several issues: - Allow to set and drop defaults
	for table's fields (as it has been possible with domains).  - Stop
	people from setting a default value for array types.  - Close
	checking holes that allowed people to change from scalar types to
	array types and vice/versa.  - Improve some error messages.

2005-08-13 22:24  hvlad

	* firebird2/src/jrd/dfw.epp (1.159):
	
	Temporary disable procedure parameters dependency check until
	proper solution (something like dyn_mod_parameter) will be
	implemented.  This check was never worked properly so no harm is
	done

2005-08-13 10:19  dimitr

	* firebird2/src/: burp/burp_proto.h (1.20),
	utilities/gsec/gsec_proto.h (1.12):
	
	Fixed wrong defines, thanks to Claudio.

2005-08-12 14:47  kkuznetsov

	* firebird2/extern/icu/source/: configure.in (1.5), runConfigureICU
	(1.6):
	
	Second part of making icu using Solaris threads on Solaris
	platforms Others platforms should be retested

2005-08-12 10:05  robocop

	* firebird2/: src/jrd/Optimizer.cpp (1.37), src/jrd/Optimizer.h
	(1.9), extern/icu/source/common/umutex.c (1.4):
	
	Misc.

2005-08-10 16:46  dimitr

	* firebird2/src/: alice/tdr.cpp (1.46), utilities/gstat/dba.epp
	(1.58), utilities/gstat/ppg.cpp (1.27), utilities/gstat/ppg_proto.h
	(1.11), utilities/gsec/gsec.cpp (1.45), utilities/gsec/gsec.h
	(1.22), utilities/gsec/gsec_proto.h (1.11):
	
	Moved the Services API into the engine on threadable platforms.

2005-08-10 16:43  dimitr

	* firebird2/src/: alice/alice.cpp (1.81), alice/alice.h (1.47),
	alice/alice_proto.h (1.11), burp/burp.cpp (1.100), burp/burp.h
	(1.67), burp/burp_proto.h (1.19), burp/misc.cpp (1.17):
	
	Moved the Services API into the engine on threadable platforms.

2005-08-10 16:38  dimitr

	* firebird2/src/: include/firebird.h (1.34), jrd/svc.cpp (1.144),
	jrd/svc.h (1.35):
	
	Moved the Services API into the engine on threadable platforms.

2005-08-10 15:36  hvlad

	* firebird2/src/jrd/btr.h (1.39):
	
	Correction

2005-08-10 06:42  aafemt

	* firebird2/builds/posix/: prefix.mingw (1.41), prefix.solx86gcc
	(1.18):
	
	Remove isc_ipc from platform files after it was added to main list

2005-08-09 08:51  alexpeshkoff

	* firebird2/builds/posix/prefix.freebsd (1.15):
	
	applied Renato's patch - makes it successfully buildable on freebsd

2005-08-09 08:51  kkuznetsov

	* firebird2/configure.in (1.233):
	
	Making icu debug build of icu when building debug FB

2005-08-09 08:46  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.embed.util (1.24):
	
	fixed posix CS build

2005-08-09 08:38  alexpeshkoff

	* firebird2/src/jrd/ods.h (1.36):
	
	avoid g++ warning

2005-08-09 00:17  arnobrinkman

	* firebird2/src/jrd/: opt.cpp (1.248), Optimizer.cpp (1.36),
	Optimizer.h (1.8):
	
	Some more cost based calculation. Fine-tunning will follow

2005-08-08 15:47  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.boot.gpre (1.24),
	Makefile.in.client.util (1.28), Makefile.in.embed.util (1.23),
	make.shared.variables (1.56):
	
	Applied suggested by Dmitry changes with some additions, this
	should be OK for both linux and MinGW

2005-08-08 15:22  paul_reeves

	*
	firebird2/builds/install/arch-specific/win32/BuildExecutableInstall
	.bat (1.12):
	
	Don't include embeddable client tools in Win32 distribution packs.

2005-08-08 13:20  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.client.util (1.27),
	Makefile.in.embed.util (1.22):
	
	fixed utils build - such way of adding isc_ipc to lockprint anyway
	bad

2005-08-08 11:56  alexpeshkoff

	* firebird2/builds/posix/make.shared.variables (1.55):
	
	fixed posix build

2005-08-06 07:36  dimitr

	* firebird2/src/gpre/cme.cpp (1.37):
	
	Fixed a number of issues for Dialect 1 and Dialect 3 (string
	arithmetics) + some cleanup.  The issues are: 1) '1.5' / '0.5'
	doesn't work in Dialect 1 2) avg ('1.5') doesn't work in Dialect 1
	3) 5 * '1.5' produces INT result instead of DOUBLE PRECISION in
	Dialect 1 4) sum ('1.5') produces NUMERIC(15, 2) result instead of
	DOUBLE PRECISION in Dialect 1 5) - '1.5' doesn't work in Dialect 1
	6) '1.5' * '0.5' and '1.5' / '0.5' are not forbidden in Dialect 3

2005-08-06 07:29  dimitr

	* firebird2/src/dsql/make.cpp (1.100):
	
	Fixed a number of issues for Dialect 1 and Dialect 3 (string
	arithmetics) + some cleanup.  The issues are: 1) '1.5' / '0.5'
	doesn't work in Dialect 1 2) avg ('1.5') doesn't work in Dialect 1
	3) 5 * '1.5' produces INT result instead of DOUBLE PRECISION in
	Dialect 1 4) sum ('1.5') produces NUMERIC(15, 2) result instead of
	DOUBLE PRECISION in Dialect 1 5) - '1.5' doesn't work in Dialect 1
	6) '1.5' * '0.5' and '1.5' / '0.5' are not forbidden in Dialect 3

2005-08-06 07:26  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.181), dsc.cpp (1.23), dsc.h
	(1.22):
	
	Fixed a number of issues for Dialect 1 and Dialect 3 (string
	arithmetics) + some cleanup.  The issues are: 1) '1.5' / '0.5'
	doesn't work in Dialect 1 2) avg ('1.5') doesn't work in Dialect 1
	3) 5 * '1.5' produces INT result instead of DOUBLE PRECISION in
	Dialect 1 4) sum ('1.5') produces NUMERIC(15, 2) result instead of
	DOUBLE PRECISION in Dialect 1 5) - '1.5' doesn't work in Dialect 1
	6) '1.5' * '0.5' and '1.5' / '0.5' are not forbidden in Dialect 3

2005-08-05 03:53  asfernandes

	* firebird2/: src/jrd/intlnames.h (1.15),
	builds/install/misc/fbintl.conf (1.5), src/intl/lc_iso8859_1.cpp
	(1.13), src/intl/collations/win1250bsba.h (1.1):
	
	Rename collation BO_BO to BS_BA - per Fikret request

2005-08-04 14:33  alexpeshkoff

	* firebird2/configure.in (1.232):
	
	Set default for x86 linux to build with editline

2005-08-04 13:40  kkuznetsov

	* firebird2/extern/icu/source/: common/umutex.c (1.3),
	config/mh-solaris-gcc (1.5):
	
	First step switching to sun threading of icu

2005-08-04 12:36  alexpeshkoff

	* firebird2/configure.in (1.231):
	
	Make output better understandable on 64-bit native platforms

2005-08-04 08:21  hvlad

	* firebird2/src/jrd/dfw.epp (1.158):
	
	Lost part of my previous commit. Thanks to Claudio

2005-08-04 06:02  robocop

	* firebird2/src/: jrd/dfw.epp (1.157), dsql/pass1.cpp (1.231):
	
	Totally misc.

2005-08-02 13:41  hvlad

	* firebird2/src/jrd/: dfw.epp (1.156), dfw_proto.h (1.14), tra.h
	(1.47), vio.cpp (1.136):
	
	Fixed two DFW bugs 1. Unregistered FB2 bug - expression index
	dependencies was tracked not correctly.  2. SF #1250150

2005-08-02 10:36  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.230):
	
	Sigh, if i change something then i must do it right

2005-08-01 21:05  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.229):
	
	Fix unreleased contexts problem with derived tables, found by Vlad.

2005-07-31 16:13  arnobrinkman

	* firebird2/src/dsql/make.cpp (1.99):
	
	Fix mistake, noticed by Claudio

2005-07-31 05:45  robocop

	* firebird2/src/jrd/pag.cpp (1.90):
	
	Fix SF Bug #1238104.

2005-07-31 05:33  robocop

	* firebird2/src/: jrd/blb.cpp (1.97), dsql/dsql.h (1.79):
	
	Totally misc.

2005-07-31 03:05  robocop

	* firebird2/: src/alice/alice.cpp (1.80),
	src/include/gen/codetext.h (1.28), src/include/gen/iberror.h
	(1.27), src/include/gen/msgs.h (1.36), src/include/gen/rdb_codes.h
	(1.28), src/include/gen/sql_code.h (1.30), src/msgs/facilities.sql
	(1.33), src/msgs/messages.sql (1.40), src/msgs/system_errors.sql
	(1.18), lang_helpers/gds_codes.ftn (1.21),
	lang_helpers/gds_codes.pas (1.21):
	
	Fixed misplaced error messages in gfix. For example, if you do gfix
	- housekeeping you were getting "dialect number required".

2005-07-31 02:45  robocop

	* firebird2/src/: jrd/blb.cpp (1.96), jrd/btr.cpp (1.149),
	utilities/gstat/ppg.cpp (1.26):
	
	Totally misc.

2005-07-30 20:00  asfernandes

	* firebird2/src/intl/lc_narrow.cpp (1.14):
	
	Fix problem reported by Arno

2005-07-30 03:48  asfernandes

	* firebird2/builds/win32/defs/ib_udf.def (1.2):
	
	Export IB_UDF_srand function

2005-07-29 12:42  arnobrinkman

	* firebird2/src/jrd/btr.cpp (1.148):
	
	Fix scope problem reported by Konstantin

2005-07-29 11:24  kkuznetsov

	* firebird2/builds/posix/prefix.solx86gcc (1.17):
	
	Fix solaris x86 build

2005-07-28 21:58  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.4),
	src/intl/lc_iso8859_1.cpp (1.12), src/intl/ld.cpp (1.15),
	src/jrd/intlnames.h (1.14):
	
	Bosnian collation BO_BO for WIN1250 - contributed by Fikret Hasovic

2005-07-28 21:57  asfernandes

	* firebird2/lang_helpers/: gds_codes.ftn (1.20), gds_codes.pas
	(1.20):
	
	Regenerate files

2005-07-28 15:35  arnobrinkman

	* firebird2/src/dsql/make.cpp (1.98):
	
	Fix nullable flag for descriptor generated by MAKE_desc_from_list()

2005-07-27 20:57  arnobrinkman

	* firebird2/src/dsql/ddl.cpp (1.150):
	
	Fix "WITH CHECK OPTION" bug introduced with tighter alias handling.
	 In fact the tighter alias handling was showing a hidden "bug".

2005-07-27 09:36  dimitr

	* firebird2/src/dsql/make.cpp (1.97):
	
	Fixed the GEN_ID(<name>, NULL) issue (reported by Claudio).

2005-07-27 07:36  dimitr

	* firebird2/src/dsql/: parse.cpp (1.157), parse.y (1.184):
	
	Fixed the NEXT VALUE FOR bug for dialect 3. Thanks to Claudio.

2005-07-27 00:52  arnobrinkman

	* firebird2/src/jrd/idx.cpp (1.97):
	
	Fix bug with foreign-key checks that failed due new INTL changes
	(found with an unrestorable backup)

2005-07-26 20:13  skidder

	* firebird2/src/jrd/nbak.cpp (1.48):
	
	Port a little cleanliness fix to HEAD too

2005-07-26 14:16  dimitr

	* firebird2/src/dsql/array.epp (1.35):
	
	Fixed the arrays bug introduced by myself.

2005-07-26 13:54  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.228):
	
	Fix and simplify PLAN alias lookup

2005-07-26 13:48  arnobrinkman

	* firebird2/src/dsql/dsql.h (1.78):
	
	Fix and simplify PLAN alias lookup

2005-07-26 13:43  arnobrinkman

	* firebird2/src/jrd/cmp.cpp (1.180):
	
	Fix PLAN parsing inside VIEWs

2005-07-25 16:43  arnobrinkman

	* firebird2/src/dsql/: ddl.cpp (1.149), dsql.h (1.77), node.h
	(1.63), pass1.cpp (1.227):
	
	Fix derived table issues with NEW/OLD contexts
	(Triggers/check-constraints) Also adjust IN predicate behaviour to
	derived table.	PLAN parsing for derived tables will be fixed
	later.

2005-07-25 14:01  asfernandes

	* firebird2/src/jrd/blb.cpp (1.95):
	
	Fixed field-test #1244126 - Update text BLOBs when connected with
	NONE charset

2005-07-25 13:59  asfernandes

	* firebird2/src/jrd/: ini.h (1.22), intl_builtin.cpp (1.27):
	
	Misc.

2005-07-25 07:13  dimitr

	* firebird2/src/jrd/exe.cpp (1.155):
	
	Avoid recovery to a not existent savepoint.

2005-07-25 07:03  dimitr

	* firebird2/src/jrd/: jrd.cpp (1.220), tra.cpp (1.102), tra_proto.h
	(1.18):
	
	Fixed a bugcheck (and possibly an engine crash) during server
	shutdown.  Force a TIP based rollback instead of using a
	transaction-level savepoint in this case.

2005-07-24 20:48  dimitr

	* firebird2/src/jrd/: jrd.cpp (1.219), jrd.h (1.138):
	
	Fixed one of the server shutdown bugs. More to come.

2005-07-24 20:43  dimitr

	* firebird2/src/: msgs/facilities.sql (1.32), msgs/messages.sql
	(1.39), msgs/system_errors.sql (1.17), include/gen/codetext.h
	(1.27), include/gen/iberror.h (1.26), include/gen/msgs.h (1.35),
	include/gen/rdb_codes.h (1.27), include/gen/sql_code.h (1.29):
	
	Added new error message.

2005-07-24 20:32  arnobrinkman

	* firebird2/src/jrd/btr.cpp (1.147):
	
	Fix bug SF #1242982 Equality search on first segment (integer) in
	compound indexes resulted in more scans on specific values (2^n,
	f.e. 131072) then needed.

2005-07-24 17:53  hvlad

	* firebird2/src/alice/tdr.cpp (1.45):
	
	Fixed unregistered bug - crash occured in service gfix code when it
	tried to reattach to currently unavailable database. Since service
	can't interact with end user an endless loop leads to overflow
	service buffer and crash as result.

2005-07-24 17:32  hvlad

	* firebird2/src/alice/alice.h (1.46):
	
	Fixed SF bug #1242106 (FB 2.0 Alpha 3: In-Limbo transaction
	Services API broken)

2005-07-23 14:48  dimitr

	* firebird2/doc/WhatsNew (1.69):
	
	no message

2005-07-22 12:26  aafemt

	* firebird2/builds/: posix/Makefile.in.client.gbak (1.12),
	posix/Makefile.in.client.gdef (1.12), posix/Makefile.in.client.gfix
	(1.14), posix/Makefile.in.client.gpre (1.19),
	posix/Makefile.in.client.isql (1.11), posix/Makefile.in.client.qli
	(1.7), posix/Makefile.in.client.util (1.26),
	posix/Makefile.in.embed.gbak (1.12), posix/Makefile.in.embed.gdef
	(1.10), posix/Makefile.in.embed.gfix (1.15),
	posix/Makefile.in.embed.gpre (1.19), posix/Makefile.in.embed.isql
	(1.11), posix/Makefile.in.embed.qli (1.17),
	posix/Makefile.in.embed.util (1.21), posix/Makefile.in.fbserver
	(1.20), posix/make.defaults (1.42), posix/make.rules (1.27),
	posix/make.shared.variables (1.54), posix/prefix.mingw (1.40),
	win32/defs/fbclient_s.def (1.2):
	
	Use libfbcommon wherever possible and drop ancient workaround for
	dependencies (use -MMD switch instead)

2005-07-22 04:08  asfernandes

	* firebird2/src/dsql/pass1.cpp (1.226):
	
	Fixed SF #1242379 - Collation changes VARCHAR's length

2005-07-21 07:44  robocop

	* firebird2/doc/README.intl (1.3):
	
	Misc.

2005-07-21 02:44  skidder

	* firebird2/src/jrd/gds.cpp (1.174):
	
	Oops, committed some debugging code which was not supposed to be
	exposed to public :-)

2005-07-21 02:42  skidder

	* firebird2/src/jrd/gds.cpp (1.173):
	
	Global handles need to be closed or we have the leak during
	client/engine DLL unload.  The cleanest solution would be to port
	FileObject from BV3 branch here and use it, but this hack will do
	either.

2005-07-20 14:49  dimitr

	* firebird2/src/dsql/dsql.cpp (1.154):
	
	Correction.

2005-07-20 12:04  dimitr

	* firebird2/src/dsql/: dsql.cpp (1.153), dsql.h (1.76), dsql.tab.h
	(1.59), node.h (1.62), parse.cpp (1.156), parse.y (1.183),
	pass1.cpp (1.225):
	
	Added DSQL support for ROLLBACK RETAIN.

2005-07-20 01:27  skidder

	* firebird2/src/jrd/: cch.cpp (1.120), gds.cpp (1.172):
	
	little debug logging improvements

2005-07-20 01:24  skidder

	* firebird2/src/jrd/nbak.cpp (1.47):
	
	Fix the bug which results in corrupted backups being created by
	NBACKUP

2005-07-20 01:23  skidder

	* firebird2/src/utilities/nbackup.cpp (1.46):
	
	do not overwrite destination during nbackup restore

2005-07-19 15:17  paul_reeves

	* firebird2/builds/win32/clean_all.bat (1.12):
	
	When we say clean lets make sure to include the icu tree as well.

2005-07-19 15:09  paul_reeves

	*
	firebird2/builds/install/arch-specific/win32/FirebirdInstall_20.iss
	(1.11):
	
	Make sure we ship instructions on scripted installs with the binary
	installer.

2005-07-19 14:36  paul_reeves

	* firebird2/builds/install/arch-specific/win32/pl/: czytajto.txt
	(1.2), instalacja_czytajto.txt (1.2):
	
	Update Polish text of Win32 install notes.

2005-07-18 16:04  paul_reeves

	* firebird2/builds/install/arch-specific/win32/: Readme.txt (1.7),
	ba/Instalacija_ProcitajMe.txt (1.3), ba/ProcitajMe.txt (1.2):
	
	Add updated bosnian Win32 install notes.

2005-07-18 16:00  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.7):
	
	Sync build numbers for Win32.

2005-07-17 09:00  dimitr

	* firebird2/src/dsql/: array.epp (1.34), blob.epp (1.17), dsql.h
	(1.75), metd.epp (1.77):
	
	1) Fixed threading issues in DSQL (they always existed, but were
	hidden until recently).  2) Cached all METD requests.

2005-07-16 08:46  dimitr

	* firebird2/src/dsql/metd.epp (1.76):
	
	Temporarily rolled back my fix.

2005-07-13 22:07  arnobrinkman

	* firebird2/src/dsql/: dsql.h (1.74), pass1.cpp (1.224):
	
	Send annoying unemployed code out of the door

2005-07-12 14:35  paul_reeves

	* firebird2/:
	builds/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.11), builds/install/arch-specific/win32/Readme.txt (1.6),
	builds/install/arch-specific/win32/installation_readme.txt (1.7),
	builds/win32/make_all.bat (1.37), builds/win32/make_examples.bat
	(1.15), builds/win32/make_icu.bat (1.6), src/jrd/isc_version.h
	(1.6):
	
	Minor updates to the Win32 build scripts. Disable intlbuild in
	make_examples. Update Win32 readmes.

2005-07-10 19:57  asfernandes

	* firebird2/builds/win32/: make_boot2.bat (1.2), make_icu.bat
	(1.5), msvc7/Firebird2Boot.sln (1.5), msvc7/Firebird2Boot2.sln
	(1.1), msvc7/gpre_static.vcproj (1.8):
	
	Fix normal build for MSVC7

2005-07-08 06:10  robocop

	* firebird2/src/isql/isql.epp (1.154):
	
	Fix display bug found by Adriano, caused by missing %s and try to
	make isql output more consistent. QA Tools that check for strict
	result may complain.

2005-07-08 05:43  robocop

	* firebird2/builds/win32/make_all.bat (1.36):
	
	Prevent confusing error msg "1 was unexpected at this time."

2005-07-08 05:27  robocop

	* firebird2/src/jrd/evl.cpp (1.149):
	
	No need to call SET_TDBB if we do nothing.

2005-07-08 05:25  robocop

	* firebird2/: src/config/AdminException.cpp (1.5), src/jrd/dfw.epp
	(1.155), src/jrd/met.epp (1.169), extern/icu/source/common/putil.c
	(1.4):
	
	Misc.

2005-07-06 00:39  asfernandes

	* firebird2/src/misc/intl.sql (1.2):
	
	Misc.

2005-07-05 17:24  asfernandes

	* firebird2/:
	builds/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10), builds/install/arch-specific/win32/FirebirdInstall_20.iss
	(1.10), src/misc/intl.sql (1.1), doc/README.intl (1.2):
	
	INTL script

2005-07-05 10:07  dimitr

	* firebird2/doc/sql.extensions/README.keywords (1.3):
	
	Added some docs.

2005-07-05 10:02  dimitr

	* firebird2/doc/sql.extensions/README.returning (1.1):
	
	Added some docs.

2005-07-05 03:19  asfernandes

	* firebird2/doc/README.intl (1.1):
	
	Doc.

2005-07-04 07:52  aafemt

	* firebird2/builds/: win32/defs/fbclient_s.def (1.1),
	posix/prefix.mingw (1.39):
	
	Mangled stdcall export

2005-07-02 15:32  hvlad

	* firebird2/doc/WhatsNew (1.68):
	
	Added some Alpha 3 changes

2005-07-02 10:52  dimitr

	* firebird2/doc/WhatsNew (1.67):
	
	Added all Alpha 3 changes.

2005-06-30 17:06  kkuznetsov

	* firebird2/extern/icu/source/config/mh-solaris-gcc (1.4):
	
	Still working on icu on Solaris x86: compiling it with threads

2005-06-29 11:17  kkuznetsov

	* firebird2/extern/editline/: configure (1.3), configure.in (1.3):
	
	Sun asm do not eat pipes. Fixed.

2005-06-29 11:07  kkuznetsov

	* firebird2/extern/icu/source/config/mh-solaris-gcc (1.3):
	
	Make icu happy on Solaris x86

2005-06-29 08:17  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.extern.icu (1.8):
	
	one more attempt to make it build on all platforms

2005-06-29 07:22  aafemt

	* firebird2/extern/icu/source/common/unicode/umachine.h (1.5):
	
	We can't check for U_MINGW becaise it is defined in platform.h.
	Let's rollback a bit

2005-06-27 20:36  dimitr

	* firebird2/src/utilities/gstat/dba.epp (1.57):
	
	Fixed ODS decoding in GSTAT.

2005-06-27 15:53  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.35),
	builds/win32/make_icu.bat (1.4),
	extern/icu/source/common/unicode/umachine.h (1.4):
	
	Minor tweaks to Win32 build system to integrate the icu code into
	the build.

2005-06-27 14:45  alexpeshkoff

	* firebird2/builds/install/arch-specific/linux/:
	classic/makeInstallImage.sh.in (1.16), super/makeInstallImage.sh.in
	(1.14):
	
	make it compatible with solaris build

2005-06-27 14:43  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.extern.icu (1.7):
	
	make icu build on both linux and solaris

2005-06-27 14:26  alexpeshkoff

	* firebird2/src/jrd/os/posix/unix.cpp (1.36):
	
	fixed posix build after ODS parser changes

2005-06-27 12:24  aafemt

	* firebird2/src/jrd/why.cpp (1.92):
	
	Cleanup

2005-06-27 12:22  aafemt

	* firebird2/extern/icu/source/tools/pkgdata/pkgtypes.h (1.4):
	
	Case

2005-06-27 12:20  aafemt

	* firebird2/builds/posix/prefix.mingw (1.38):
	
	Let's produce not so big files

2005-06-26 23:48  hvlad

	* firebird2/src/jrd/: cmp.cpp (1.179), dfw.epp (1.154), jrd.h
	(1.137), lck.cpp (1.49), lck.h (1.19), met.epp (1.168), vio.cpp
	(1.135):
	
	1. Allow to create FK constraints without exclusive database
	locking 2. Fix 'partner index not found' error when one process
	dropped FK and another trying to delete master record 3. misc
	changes in vio.cpp

2005-06-26 18:11  dimitr

	* firebird2/src/: utilities/gstat/dba.epp (1.56),
	utilities/gstat/ppg.cpp (1.25), jrd/dmp.cpp (1.29), jrd/ods.h
	(1.35), jrd/pag.cpp (1.89), msgs/messages.sql (1.38),
	include/gen/msgs.h (1.34):
	
	Changed the ODS encoding, messaging and protection rules.

2005-06-26 04:09  asfernandes

	* firebird2/src/jrd/evl.cpp (1.148):
	
	Better handling in substring of large blobs

2005-06-25 11:34  dimitr

	* firebird2/src/jrd/jrd.cpp (1.218):
	
	Expanded the routine comment.

2005-06-24 17:38  asfernandes

	* firebird2/src/jrd/evl.cpp (1.147):
	
	Comment

2005-06-24 17:06  dimitr

	* firebird2/src/dsql/metd.epp (1.75):
	
	Fixed SF #1012152.

2005-06-24 14:56  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.178), evl.cpp (1.146), exe.cpp
	(1.154), req.h (1.47), rse.cpp (1.89):
	
	Fixed reported issues with ROW_COUNT.

2005-06-24 13:14  dimitr

	* firebird2/src/: jrd/jrd.cpp (1.217), jrd/jrd_proto.h (1.38),
	jrd/svc.cpp (1.143), jrd/os/win32/ibinitdll.cpp (1.8),
	remote/inet_server.cpp (1.55), remote/os/win32/cntl.cpp (1.17),
	remote/os/win32/srvr_w32.cpp (1.29), remote/os/win32/window.cpp
	(1.14):
	
	Slightly changed (mostly cleaned up and fixed) the SS shutdown
	mechanics.

2005-06-23 17:12  asfernandes

	* firebird2/src/isql/isql.epp (1.153):
	
	Make SQLDA_DISPLAY display input SQLDA parameters of INSERTs,
	UPDATEs and DELETEs

2005-06-23 12:10  kkuznetsov

	* firebird2/extern/icu/source/runConfigureICU (1.5):
	
	Fix configure error on Solaris x86

2005-06-23 07:25  aafemt

	* firebird2/src/config/: AdminException.cpp (1.4), AdminException.h
	(1.4):
	
	Cleanup

2005-06-23 01:00  asfernandes

	* firebird2/builds/win32/: make_boot2.bat (1.1), preprocess2.bat
	(1.1), setenvvar2.bat (1.1):
	
	Use fbembed in boot-build

2005-06-23 00:47  asfernandes

	* firebird2/builds/win32/make_icu.bat (1.3):
	
	Misc.

2005-06-23 00:46  asfernandes

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.24),
	Firebird2Boot.sln (1.4), alice.vcproj (1.16), burp.vcproj (1.19),
	common.vcproj (1.22), dsql_server.vcproj (1.17),
	engine_embed.vcproj (1.37), fbembed.vcproj (1.30),
	gbak_embed.vcproj (1.1), gpre_embed.vcproj (1.1), isql_embed.vcproj
	(1.1), lock.vcproj (1.16), utilities_embed.vcproj (1.1):
	
	MSVC7 projects for boot-build with fbembed

2005-06-23 00:26  asfernandes

	* firebird2/src/jrd/svc.cpp (1.142):
	
	Fbembed don't use security

2005-06-23 00:23  asfernandes

	* firebird2/src/gpre/gpre_meta_boot.cpp (1.48):
	
	Make gpre_boot work without -lang_internal switch

2005-06-22 15:48  kkuznetsov

	* firebird2/: configure.in (1.230),
	extern/icu/source/runConfigureICU (1.4):
	
	More plays with icu on Solaris x86

2005-06-22 11:21  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.examples (1.7):
	
	Fixed problem, noticed by Dimitry Sibiryakov

2005-06-22 07:13  aafemt

	* firebird2/src/jrd/: Optimizer.cpp (1.35), intl.cpp (1.80),
	opt.cpp (1.247), unicode_util.cpp (1.4):
	
	Warnings

2005-06-22 07:10  aafemt

	* firebird2/src/config/ConfObject.cpp (1.3):
	
	Warnings

2005-06-21 12:23  aafemt

	* firebird2/src/: config/AdminException.h (1.3), config/Args.h
	(1.3), config/ArgsException.h (1.3), config/Element.h (1.3),
	config/InputFile.h (1.3), config/InputStream.h (1.3), config/Lex.h
	(1.3), config/ScanDir.h (1.3), config/Stream.h (1.3),
	config/StreamSegment.h (1.3), vulcan/JString.cpp (1.4),
	vulcan/JString.h (1.4), vulcan/PathName.h (1.3), vulcan/RefObject.h
	(1.3):
	
	Warnings

2005-06-21 11:15  alexpeshkoff

	* firebird2/builds/:
	install/arch-specific/linux/super/makeInstallImage.sh.in (1.13),
	posix/Makefile.in.extern.icu (1.6):
	
	a bit better handling of intl stuff

2005-06-21 11:03  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/classic/makeInstallIma
	ge.sh.in (1.15):
	
	a bit better handling of intl stuff while packaging

2005-06-21 03:44  asfernandes

	* firebird2/src/jrd/: opt.cpp (1.246), unicode_util.h (1.3):
	
	Misc.

2005-06-20 10:53  hvlad

	* firebird2/src/jrd/cmp.cpp (1.177):
	
	Fixed unregistered bug : AV when PLAN for VIEW is specified but no
	table alias was given
	
	CREATE VIEW V1 AS SELECT D.RDB$RELATION_ID, C.RDB$CHARACTER_SET_ID 
	 FROM RDB$DATABASE D JOIN RDB$CHARACTER_SETS C	   ON
	D.RDB$CHARACTER_SET_NAME = C.RDB$CHARACTER_SET_NAME
	
	SELECT * FROM V1 PLAN (V1 NATURAL)

2005-06-20 07:40  aafemt

	* firebird2/src/jrd/intl_classes.h (1.22):
	
	Fix warning

2005-06-17 12:42  aafemt

	* firebird2/src/config/ScanDir.cpp (1.3):
	
	Overloaded operators is evil

2005-06-17 03:33  asfernandes

	* firebird2/src/dsql/make.cpp (1.96):
	
	Simplification

2005-06-16 14:09  aafemt

	* firebird2/builds/posix/prefix.mingw (1.37):
	
	Fix over-export

2005-06-16 14:08  aafemt

	* firebird2/src/jrd/why.cpp (1.91):
	
	Plain C for public API routine

2005-06-16 07:13  robocop

	* firebird2/src/: isql/isql.epp (1.152), jrd/utl.cpp (1.83):
	
	Fix blob dumping routines in jrd and report errors in isql.

2005-06-16 07:11  aafemt

	* firebird2/doc/README.build.mingw.html (1.14):
	
	Revert to common cleaning procedure

2005-06-16 07:10  robocop

	* firebird2/src/dsql/: ddl.cpp (1.148), dsql.cpp (1.152),
	dsql.tab.h (1.58), gen.cpp (1.88), parse.cpp (1.155), parse.y
	(1.182), pass1.cpp (1.223):
	
	Try to indicate position of incomplete commands.  Some casts
	because statuses are fixed 32 quantities, not natural int types.

2005-06-16 07:05  robocop

	* firebird2/src/jrd/: status.cpp (1.13), status.h (1.6):
	
	Const correctness.

2005-06-16 07:05  robocop

	* firebird2/src/jrd/intl.cpp (1.79):
	
	Copy/paste problem with two SET_TDBB.

2005-06-16 07:02  robocop

	* firebird2/src/: jrd/dfw.epp (1.153), msgs/messages.sql (1.37),
	dsql/metd.epp (1.74):
	
	Misc.

2005-06-15 17:19  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/super/makeInstallImage
	.sh.in (1.12):
	
	fixed INTL issues in SS package build

2005-06-15 17:18  alexpeshkoff

	*
	firebird2/builds/install/arch-specific/linux/classic/makeInstallIma
	ge.sh.in (1.14):
	
	fixed INTL issues in package build

2005-06-15 17:03  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.embed.util (1.20):
	
	fixed gsec CS posix build

2005-06-15 11:11  dimitr

	* firebird2/src/jrd/shut.cpp (1.33):
	
	Fixed some shutdown issues: - redundant attempts to get an
	exclusive database lock - wrong timeout counting - database lock is
	not released after bringing database online in the exclusive mode -
	removed a 5 sec timeout when bringing database online in the shared
	mode

2005-06-15 07:31  aafemt

	* firebird2/: configure.in (1.229), extern/icu/source/aclocal.m4
	(1.3), extern/icu/source/configure (1.3),
	extern/icu/source/configure.in (1.4),
	extern/icu/source/runConfigureICU (1.3),
	extern/icu/source/common/putil.c (1.3),
	extern/icu/source/common/unicode/brkiter.h (1.3),
	extern/icu/source/common/unicode/platform.h.in (1.3),
	extern/icu/source/common/unicode/putil.h (1.3),
	extern/icu/source/common/unicode/umachine.h (1.3),
	extern/icu/source/common/unicode/uniset.h (1.3),
	extern/icu/source/common/unicode/utypes.h (1.3),
	extern/icu/source/config/mh-mingw (1.1),
	extern/icu/source/data/Makefile.in (1.3),
	extern/icu/source/tools/pkgdata/dllmode.c (1.3),
	extern/icu/source/tools/pkgdata/make.c (1.3),
	extern/icu/source/tools/pkgdata/makefile.h (1.3),
	extern/icu/source/tools/pkgdata/pkgdata.c (1.3),
	extern/icu/source/tools/pkgdata/pkgtypes.h (1.3),
	extern/icu/source/tools/pkgdata/sttcmode.c (1.3),
	extern/icu/source/tools/pkgdata/winmode.c (1.3):
	
	MinGW port of ICU

2005-06-14 07:44  dimitr

	* firebird2/src/jrd/inf.cpp (1.56):
	
	Code simplification.

2005-06-14 05:16  asfernandes

	* firebird2/: lang_helpers/gds_codes.ftn (1.19),
	lang_helpers/gds_codes.pas (1.19), src/dsql/ddl.cpp (1.147),
	src/dsql/metd.epp (1.73), src/dsql/metd_proto.h (1.24),
	src/dsql/pass1.cpp (1.222), src/include/gen/codetext.h (1.26),
	src/include/gen/iberror.h (1.25), src/include/gen/msgs.h (1.33),
	src/include/gen/rdb_codes.h (1.26), src/include/gen/sql_code.h
	(1.28), src/jrd/Optimizer.cpp (1.34), src/jrd/cvt.cpp (1.66),
	src/jrd/cvt2.cpp (1.50), src/jrd/dfw.epp (1.152), src/jrd/evl.cpp
	(1.145), src/jrd/exe.cpp (1.153), src/jrd/idx.cpp (1.96),
	src/jrd/inf.cpp (1.55), src/jrd/intl.cpp (1.78),
	src/jrd/intl_proto.h (1.18), src/jrd/jrd.cpp (1.216),
	src/jrd/opt.cpp (1.245), src/msgs/facilities.sql (1.31),
	src/msgs/history.sql (1.18), src/msgs/messages.sql (1.36),
	src/msgs/system_errors.sql (1.16):
	
	1) Fixed SF #1016040 Missing external libraries causes engine
	exception 2) Use better error messages

2005-06-13 14:44  dimitr

	* firebird2/src/dsql/: dsql.tab.h (1.57), gen.cpp (1.87),
	keywords.cpp (1.45), node.h (1.61), parse.cpp (1.154), parse.y
	(1.181), pass1.cpp (1.221):
	
	RETURNING implementation.

2005-06-13 05:55  asfernandes

	* firebird2/src/jrd/evl.cpp (1.144):
	
	Removed wrong "deletes" noticed by Claudio

2005-06-13 05:48  robocop

	* firebird2/src/jrd/evl.cpp (1.143):
	
	Misc.

2005-06-13 04:12  asfernandes

	* firebird2/src/: dsql/gen.cpp (1.86), dsql/make.cpp (1.95),
	dsql/pass1.cpp (1.220), jrd/inf.cpp (1.54):
	
	Removed some compiler messages

2005-06-13 01:47  robocop

	* firebird2/src/isql/isql.epp (1.151):
	
	If an error happens when we are trying to retrieve the first
	record, we need to print a newline or the error msg will appear
	padding the column headers.

2005-06-13 01:44  robocop

	* firebird2/: src/jrd/cmp.cpp (1.176), src/jrd/evl.cpp (1.142),
	src/include/gen/codetext.h (1.25), src/include/gen/iberror.h
	(1.24), src/include/gen/msgs.h (1.32), src/include/gen/rdb_codes.h
	(1.25), src/include/gen/sql_code.h (1.27), src/msgs/facilities.sql
	(1.30), src/msgs/history.sql (1.17), src/msgs/messages.sql (1.35),
	src/msgs/system_errors.sql (1.15), lang_helpers/gds_codes.ftn
	(1.18), lang_helpers/gds_codes.pas (1.18):
	
	Substring evolved and the error message was never updated. Now I've
	done two messages, although I think we need three in the long term.

2005-06-12 23:20  asfernandes

	* firebird2/src/: jrd/evl.cpp (1.141), dsql/make.cpp (1.94):
	
	Fix TRIM(NULL FROM <something>) to return NULL

2005-06-12 08:27  dimitr

	* firebird2/src/jrd/: blb.cpp (1.94), btr.cpp (1.146), exe.cpp
	(1.152), idx.cpp (1.95), jrd.cpp (1.215), jrd.h (1.136), rse.cpp
	(1.88), validation.cpp (1.9), vio.cpp (1.134):
	
	Removed unused thread scheduling option.

2005-06-12 06:00  dimitr

	* firebird2/src/msgs/facilities.sql (1.29):
	
	Correction.

2005-06-12 03:36  robocop

	* firebird2/src/isql/: isql.epp (1.150), isql.h (1.49), show.epp
	(1.78):
	
	Cater for the longest possible identifiers, quoted.

2005-06-12 03:18  robocop

	* firebird2/lang_helpers/: gds_codes.ftn (1.17), gds_codes.pas
	(1.17):
	
	Update the language helpers after the last message additions.

2005-06-12 02:58  robocop

	* firebird2/src/jrd/idx.cpp (1.94):
	
	Totally misc.

2005-06-12 02:38  asfernandes

	* firebird2/src/intl/collations/: koi8r_ru.h (1.1), koi8u_ua.h
	(1.1):
	
	Add collations forgetted

2005-06-11 23:26  hvlad

	* firebird2/src/include/gen/: codetext.h (1.24), iberror.h (1.23),
	msgs.h (1.31), rdb_codes.h (1.24), sql_code.h (1.26):
	
	Regenerated error codes

2005-06-11 21:50  asfernandes

	* firebird2/: builds/install/misc/fbintl.conf (1.3),
	builds/win32/msvc6/intl.dsp (1.24), builds/win32/msvc7/intl.vcproj
	(1.20), src/intl/lc_iso8859_1.cpp (1.11), src/intl/ld.cpp (1.14),
	src/intl/collations/win1257_ee.h (1.1),
	src/intl/collations/win1257_lt.h (1.1),
	src/intl/collations/win1257_lv.h (1.1), src/jrd/intlnames.h (1.13):
	
	Integrate collations KOI8R_RU (Russian), KOI8U_UA (Ukrainian),
	WIN1257_EE (Estonian), WIN1257_LT (Lithuanian) and WIN1257_LV
	(Latvian) ported by Dmitry from Yaffil

2005-06-11 13:41  hvlad

	* firebird2/src/msgs/: facilities.sql (1.28), messages.sql (1.34),
	system_errors.sql (1.14):
	
	Added new error messages

2005-06-11 13:39  hvlad

	* firebird2/src/jrd/: dfw.epp (1.151), idx.cpp (1.93), idx_proto.h
	(1.23):
	
	Fixed SF bug #1186607 (Foreign key relation VARCHAR <-> INT ??????)

2005-06-11 13:36  hvlad

	* firebird2/src/dsql/ddl.cpp (1.146):
	
	Fixed SF bug #1211325 (BLOBs in external tables)

2005-06-11 05:14  robocop

	* firebird2/src/dsql/gen.cpp (1.85):
	
	Backport Tom Cole's fix for FP numbers as strings.

2005-06-11 05:03  asfernandes

	* firebird2/src/: intl/charsets.h (1.7), intl/cs_narrow.cpp (1.7),
	intl/lc_ascii.cpp (1.15), intl/ld.cpp (1.13),
	intl/charsets/cs_koi8r.h (1.1), intl/charsets/cs_koi8u.h (1.1),
	jrd/intlnames.h (1.12):
	
	Integrate character sets KOIuR (Russian) and KOI8U (Ukrainian)
	ported from Yaffil by Dmitry

2005-06-11 02:32  robocop

	* firebird2/src/isql/isql.epp (1.149):
	
	- Renamed function input to newinput to be in sync with newoutput. 
	- Implemented PASSTHROUGH command only for the debug build. Use
	with care.

2005-06-11 02:22  robocop

	* firebird2/src/dsql/preparse.cpp (1.37):
	
	CREATE DATABASE can tolerate single line comments (AFAIK,
	client-side issue).

2005-06-11 02:19  robocop

	* firebird2/: src/include/gen/codetext.h (1.23),
	src/include/gen/iberror.h (1.22), src/include/gen/msgs.h (1.30),
	src/include/gen/rdb_codes.h (1.23), src/include/gen/sql_code.h
	(1.25), src/dsql/ddl.cpp (1.145), src/dsql/dsql.cpp (1.151),
	src/dsql/dsql.tab.h (1.56), src/dsql/parse.cpp (1.153),
	src/dsql/parse.y (1.180), src/msgs/facilities.sql (1.27),
	src/msgs/history.sql (1.16), src/msgs/messages.sql (1.33),
	src/msgs/system_errors.sql (1.13), lang_helpers/gds_codes.ftn
	(1.16), lang_helpers/gds_codes.pas (1.16):
	
	Please Dmitry and try to report the line/column of an incomplete
	statement.

2005-06-11 02:14  robocop

	* firebird2/src/jrd/evl.cpp (1.140):
	
	EVL_expr grew too much. Make more functions.

2005-06-11 02:13  robocop

	* firebird2/src/: jrd/IntlManager.cpp (1.5),
	common/classes/objects_array.h (1.16):
	
	const_iterator The code in intlmanager originally confused me.

2005-06-10 14:13  asfernandes

	* firebird2/src/intl/collations/bl88591ptbr0.h (1.3):
	
	Misc

2005-06-10 12:35  aafemt

	* firebird2/src/extlib/ib_util.c (1.4):
	
	Plain C don't know namespaces

2005-06-10 12:32  aafemt

	* firebird2/builds/posix/: Makefile.in.client.util (1.25),
	Makefile.in.codes (1.19), Makefile.in.embed.util (1.19),
	Makefile.in.examples (1.6), Makefile.in.extern.icu (1.5),
	Makefile.in.fbserver (1.19), Makefile.in.firebird (1.64),
	Makefile.in.libfbembed (1.16), Makefile.in.msgs (1.16),
	Makefile.in.refDatabases (1.28), Makefile.in.static.gbak (1.11),
	Makefile.in.static.gpre (1.18), Makefile.in.static.isql (1.10),
	make.defaults (1.41), make.rules (1.26), make.shared.targets
	(1.20), make.shared.variables (1.53), prefix.mingw (1.36):
	
	ICU adaptation and some improvements

2005-06-10 04:03  asfernandes

	* firebird2/src/dsql/: gen.cpp (1.84), make.cpp (1.93), pass1.cpp
	(1.219), utld.cpp (1.35), utld_proto.h (1.11):
	
	Fix possible problems with larger columns sizes noted by Claudio

2005-06-10 04:01  asfernandes

	* firebird2/src/jrd/ini.epp (1.68):
	
	Only initialize metadata BLOB charset for text BLOBs

2005-06-10 02:54  robocop

	* firebird2/src/msgs/: facilities.sql (1.26), history.sql (1.15):
	
	Totally misc.

2005-06-09 02:01  asfernandes

	* firebird2/src/jrd/cvt.cpp (1.65):
	
	Revert Claudio's change that cause crash when parameters are used

2005-06-08 15:42  dimitr

	* firebird2/src/dsql/ddl.cpp (1.144):
	
	Fixed bug with lost charset/collation in local variables, reported
	by Eugene Kilin.

2005-06-08 13:10  asfernandes

	* firebird2/src/jrd/cvt2.cpp (1.49):
	
	Fix BLOB comparation problem pointed by Claudio

2005-06-08 13:09  asfernandes

	* firebird2/src/jrd/ibase.h (1.102):
	
	Use more appropriate codes

2005-06-08 12:21  aafemt

	* firebird2/extern/icu/source/configure.in (1.3):
	
	A bit better method to check for _tzname

2005-06-08 11:58  alexpeshkoff

	* firebird2/builds/posix/make.shared.variables (1.52):
	
	fixed posix build after Dmitry's change

2005-06-08 08:16  dimitr

	* firebird2/src/jrd/dyn_mod.epp (1.63):
	
	Fixed an old ALTER VIEW bug that now prevents COMMENT ON VIEW from
	working properly.

2005-06-08 07:28  aafemt

	* firebird2/builds/posix/: Makefile.in.firebird (1.63),
	make.defaults (1.40):
	
	ICU build with MinGW

2005-06-08 04:09  asfernandes

	* firebird2/src/jrd/: dyn_def.epp (1.99), intl.cpp (1.77), met.epp
	(1.167), met_proto.h (1.48):
	
	Misc.

2005-06-07 12:57  dimitr

	* firebird2/src/jrd/rpb_chain.cpp (1.11):
	
	Added a couple of more checks.

2005-06-07 12:52  dimitr

	* firebird2/src/jrd/exe.cpp (1.151):
	
	Cleanup.

2005-06-07 12:36  aafemt

	* firebird2/src/config/InputFile.cpp (1.3):
	
	Required header

2005-06-07 12:20  dimitr

	* firebird2/src/jrd/met.epp (1.166):
	
	Removed code remains from before-MetaName times.

2005-06-07 07:09  aafemt

	* firebird2/: configure.in (1.228),
	builds/posix/Makefile.in.extern.icu (1.4):
	
	More appropriate place to configure ICU

2005-06-07 04:05  asfernandes

	* firebird2/src/jrd/: intl.cpp (1.76), intl_proto.h (1.17):
	
	Misc.

2005-06-07 03:57  asfernandes

	* firebird2/lang_helpers/: gds_codes.ftn (1.15), gds_codes.pas
	(1.15):
	
	Regenerate files

2005-06-06 22:52  asfernandes

	* firebird2/src/jrd/IntlManager.cpp (1.4):
	
	Remove wrong compiler message: it's iterating in "conflicts" and
	removing in "charSetCollations"

2005-06-06 22:44  asfernandes

	* firebird2/src/jrd/: blp.h (1.19), gds.cpp (1.171):
	
	Misc.

2005-06-06 22:18  asfernandes

	* firebird2/src/dsql/: ddl.cpp (1.143), make.cpp (1.92):
	
	Misc.

2005-06-06 20:11  asfernandes

	* firebird2/src/: dsql/ddl.cpp (1.142), dsql/dsql.cpp (1.150),
	dsql/gen.cpp (1.83), dsql/make.cpp (1.91), dsql/node.h (1.60),
	dsql/parse.cpp (1.152), dsql/parse.y (1.179), dsql/pass1.cpp
	(1.218), jrd/Optimizer.cpp (1.33), jrd/blr.h (1.20), jrd/cmp.cpp
	(1.175), jrd/evl.cpp (1.139), jrd/exe.h (1.70), jrd/intl.cpp
	(1.75), jrd/nod.h (1.16), jrd/opt.cpp (1.244), jrd/par.cpp (1.119),
	misc/blrtable.cpp (1.19):
	
	1) Replace length_ to strlen as noted by Claudio and Dmitry 2)
	Change USHORT to ULONG in intl.cpp

2005-06-06 15:34  dimitr

	* firebird2/src/: include/gen/codetext.h (1.22),
	include/gen/iberror.h (1.21), include/gen/msgs.h (1.29),
	include/gen/rdb_codes.h (1.22), include/gen/sql_code.h (1.24),
	dsql/pass1.cpp (1.217), jrd/par.cpp (1.118):
	
	Added new error message.

2005-06-06 15:28  dimitr

	* firebird2/src/msgs/: facilities.sql (1.25), messages.sql (1.32),
	system_errors.sql (1.12):
	
	Added new error message.

2005-06-06 13:06  dimitr

	* firebird2/src/dsql/ddl.cpp (1.141):
	
	Fixed charset/collation issues for view columns.

2005-06-06 10:32  robocop

	* firebird2/src/isql/: extract.epp (1.62), show.epp (1.77):
	
	Mixed case generator names caused problems in show_generators. 
	Noticed by Adriano.

2005-06-06 10:29  robocop

	* firebird2/: builds/install/arch-specific/solaris/CS/postremove.in
	(1.3), builds/install/arch-specific/solaris/SS/postremove.in (1.2),
	doc/WhatsNew (1.66), src/config/AdminException.cpp (1.3),
	src/config/ArgsException.cpp (1.3), src/config/Stream.cpp (1.3),
	src/dsql/ddl.cpp (1.140), src/dsql/gen.cpp (1.82),
	src/dsql/make.cpp (1.90), src/dsql/parse.y (1.178),
	src/dsql/pass1.cpp (1.216), src/include/firebird.h (1.33),
	src/jrd/IntlManager.cpp (1.3), src/jrd/Optimizer.cpp (1.32),
	src/jrd/cvt.cpp (1.64), src/jrd/cvt2.cpp (1.48),
	src/jrd/dyn_def.epp (1.98), src/jrd/evl.cpp (1.138),
	src/jrd/evl_proto.h (1.22), src/jrd/idx.h (1.16), src/jrd/inf.cpp
	(1.53), src/jrd/ini.epp (1.67), src/jrd/intl.cpp (1.74),
	src/jrd/intl_builtin.cpp (1.26), src/jrd/met.epp (1.165),
	src/jrd/opt.cpp (1.243), src/jrd/unicode_util.cpp (1.3),
	src/msgs/facilities.sql (1.24), src/msgs/history.sql (1.14),
	src/msgs/messages.sql (1.31), src/vulcan/JString.cpp (1.3),
	src/vulcan/JString.h (1.3), src/vulcan/PathName.cpp (1.3):
	
	- Corrections and changes to Adriano's commit, subject to his
	inspection.  - Solved an endless loop with trim and zero-length
	trim characters, etc.  - Some places are signaled with
	FB_COMPILER_MESSAGE for prompt attention.

2005-06-06 08:42  dimitr

	* firebird2/src/jrd/why.cpp (1.90):
	
	Let's perform the initial alias lookup at the Y-valve.	This solves
	aliases usage in XNET and other local loopbacks.

2005-06-06 08:37  dimitr

	* firebird2/src/jrd/isc_file.cpp (1.95):
	
	Fixed aliases usage in WNET.

2005-06-06 00:08  asfernandes

	* firebird2/builds/win32/msvc6/intl.dsp (1.23):
	
	Add bl88591ptbr0.h and pw1252ptbr.h to MSVC6 build

2005-06-04 15:39  asfernandes

	* firebird2/src/jrd/exe.cpp (1.150):
	
	Rollback risky change not necessary

2005-06-03 23:14  arnobrinkman

	* firebird2/src/dsql/gen.cpp (1.81):
	
	Fix unneeded evaluation of last item by COALESCE function, noted by
	Dmitry

2005-06-03 10:40  dimitr

	* firebird2/src/burp/restore.epp (1.96):
	
	Let's report we're creating an index before we do so, not after.

2005-06-03 03:26  asfernandes

	* firebird2/src/jrd/filters.cpp (1.45):
	
	Misc.

2005-06-03 03:25  asfernandes

	* firebird2/src/jrd/Optimizer.cpp (1.31):
	
	Apply forgotten opt.cpp changes in Optimizer.cpp

2005-06-02 10:00  kkuznetsov

	* firebird2/: configure.in (1.227),
	builds/posix/Makefile.in.extern.icu (1.3):
	
	First step to build icu on others then Linux Linux should work but
	must be retested

2005-06-01 03:07  asfernandes

	* firebird2/src/intl/: cv_jis.cpp (1.11), cv_narrow.cpp (1.9),
	ld.cpp (1.12), ldcommon.h (1.22):
	
	Replace "#ifdef 0" by "#ifdef NOT_USED_OR_REPLACED"

2005-05-31 18:10  dimitr

	* firebird2/src/remote/interface.cpp (1.103):
	
	Fixed possible event handler crashes during detach.

2005-05-30 17:57  asfernandes

	* firebird2/: builds/posix/Makefile.in.intl (1.22),
	src/intl/charsets.h (1.6):
	
	Removed inconsistences spotted by Claudio

2005-05-29 17:26  asfernandes

	* firebird2/: builds/posix/Makefile.in.extern.editline (1.6),
	builds/posix/Makefile.in.firebird (1.62), src/include/gen/ids.h
	(1.12):
	
	Make "configure --with-editline" work

2005-05-29 16:38  asfernandes

	* firebird2/src/burp/: backup.epp (1.79), restore.epp (1.95):
	
	Removed unsense code noticed by Claudio

2005-05-28 00:43  asfernandes

	* firebird2/src/: jrd/intl.h (1.11), jrd/intl_builtin.cpp (1.25),
	jrd/intl_classes.h (1.21), jrd/intl_proto.h (1.16), jrd/intlnames.h
	(1.11), jrd/intlobj_new.h (1.13), jrd/irq.h (1.7), jrd/isc.cpp
	(1.53), jrd/jrd.cpp (1.214), jrd/jrd.h (1.135), jrd/met.epp
	(1.164), jrd/met_proto.h (1.47), jrd/msg.h (1.8), jrd/names.h
	(1.5), jrd/nav.cpp (1.49), jrd/nod.h (1.15), jrd/ods.h (1.34),
	jrd/opt.cpp (1.242), jrd/par.cpp (1.117), jrd/pcmet.epp (1.36),
	jrd/relations.h (1.9), jrd/rse.cpp (1.87), jrd/sort.cpp (1.75),
	jrd/unicode_util.cpp (1.2), jrd/unicode_util.h (1.2),
	jrd/os/config_root.h (1.9), jrd/os/guid.h (1.9),
	jrd/os/posix/guid.cpp (1.8), misc/align.cpp (1.10),
	misc/blrtable.cpp (1.18), msgs/facilities.sql (1.23), msgs/load.epp
	(1.13), msgs/messages.sql (1.30), msgs/system_errors.sql (1.11),
	qli/compile.cpp (1.26), qli/dtr.h (1.22), qli/expand.cpp (1.30),
	qli/gener.cpp (1.37), qli/meta.epp (1.54), utilities/drop.cpp
	(1.31), utilities/ibmgr/ibmgr.h (1.10), vulcan/JString.cpp (1.2),
	vulcan/JString.h (1.2), vulcan/PathName.cpp (1.2),
	vulcan/PathName.h (1.2), vulcan/RefObject.cpp (1.2),
	vulcan/RefObject.h (1.2):
	
	Merge INTL branch into HEAD

2005-05-28 00:40  asfernandes

	* firebird2/src/: dsql/parse.y (1.177), dsql/pass1.cpp (1.215),
	dudley/ddl.h (1.34), dudley/generate.cpp (1.20), gpre/cmd.cpp
	(1.40), gpre/cme.cpp (1.36), gpre/dyntable.cpp (1.10), gpre/gpre.h
	(1.80), gpre/gpre_meta_boot.cpp (1.47), gpre/gpreswi.h (1.12),
	gpre/hsh.cpp (1.22), gpre/sqe.cpp (1.40), gpre/words.h (1.6),
	include/firebird.h (1.32), include/gen/codetext.h (1.21),
	include/gen/iberror.h (1.20), include/gen/ids.h (1.11),
	include/gen/msgs.h (1.28), include/gen/rdb_codes.h (1.21),
	include/gen/sql_code.h (1.23), intl/charsets.h (1.5),
	intl/cs_big5.cpp (1.3), intl/cs_gb2312.cpp (1.4), intl/cs_jis.cpp
	(1.4), intl/cs_ksc.cpp (1.4), intl/cs_narrow.cpp (1.6),
	intl/cs_unicode_fss.cpp (1.4), intl/cs_unicode_ucs2.cpp (1.4),
	intl/cv_big5.cpp (1.9), intl/cv_big5.h (1.6), intl/cv_gb2312.cpp
	(1.8), intl/cv_gb2312.h (1.5), intl/cv_jis.cpp (1.10),
	intl/cv_jis.h (1.5), intl/cv_ksc.cpp (1.10), intl/cv_ksc.h (1.7),
	intl/cv_narrow.cpp (1.8), intl/cv_narrow.h (1.4),
	intl/cv_unicode_fss.cpp (1.9), intl/cv_unicode_fss.h (1.8),
	intl/lc_ascii.cpp (1.14), intl/lc_ascii.h (1.8), intl/lc_big5.cpp
	(1.12), intl/lc_big5.h (1.5), intl/lc_dos.cpp (1.10), intl/lc_dos.h
	(1.4), intl/lc_gb2312.cpp (1.7), intl/lc_iso8859_1.cpp (1.10),
	intl/lc_iso8859_2.cpp (1.11), intl/lc_jis.cpp (1.12),
	intl/lc_ksc.cpp (1.14), intl/lc_narrow.cpp (1.13), intl/lc_narrow.h
	(1.4), intl/lc_unicode_ucs2.cpp (1.10), intl/ld.cpp (1.11),
	intl/ld_proto.h (1.6), intl/ldcommon.h (1.21),
	intl/collations/bl88591ptbr0.h (1.2), intl/collations/pw1252ptbr.h
	(1.2), jrd/IntlManager.cpp (1.2), jrd/IntlManager.h (1.2),
	jrd/Optimizer.cpp (1.30), jrd/RecordNumber.h (1.5), jrd/blb.cpp
	(1.93), jrd/blb_proto.h (1.21), jrd/blp.h (1.18), jrd/blr.h (1.19),
	jrd/btr.cpp (1.145), jrd/btr.h (1.38), jrd/btr_proto.h (1.34),
	jrd/cmp.cpp (1.174), jrd/constants.h (1.23), jrd/cvt.cpp (1.63),
	jrd/cvt2.cpp (1.47), jrd/dfw.epp (1.150), jrd/drq.h (1.11),
	jrd/dsc.cpp (1.22), jrd/dsc.h (1.21), jrd/dsc2.h (1.7), jrd/dyn.epp
	(1.77), jrd/dyn.h (1.26), jrd/dyn_def.epp (1.97),
	jrd/dyn_df_proto.h (1.13), jrd/evl.cpp (1.137), jrd/evl_like.h
	(1.3), jrd/evl_proto.h (1.21), jrd/evl_string.h (1.20), jrd/exe.cpp
	(1.149), jrd/exe.h (1.69), jrd/fields.h (1.9), jrd/filters.cpp
	(1.44), jrd/gds.cpp (1.170), jrd/ibase.h (1.101), jrd/idx.cpp
	(1.92), jrd/idx.h (1.15), jrd/inf.cpp (1.52), jrd/inf_proto.h
	(1.9), jrd/inf_pub.h (1.5), jrd/ini.epp (1.66), jrd/ini.h (1.21),
	jrd/intl.cpp (1.73):
	
	Merge INTL branch into HEAD

2005-05-28 00:36  asfernandes

	* firebird2/: extern/icu/source/tools/pkgdata/.cvsignore (1.2),
	extern/icu/source/tools/pkgdata/Makefile.in (1.2),
	extern/icu/source/tools/pkgdata/cmnmode.c (1.2),
	extern/icu/source/tools/pkgdata/dllmode.c (1.2),
	extern/icu/source/tools/pkgdata/filemode.c (1.2),
	extern/icu/source/tools/pkgdata/make.c (1.2),
	extern/icu/source/tools/pkgdata/makefile.h (1.2),
	extern/icu/source/tools/pkgdata/pkgdata.1.in (1.2),
	extern/icu/source/tools/pkgdata/pkgdata.c (1.2),
	extern/icu/source/tools/pkgdata/pkgdata.dsp (1.2),
	extern/icu/source/tools/pkgdata/pkgdata.vcproj (1.2),
	extern/icu/source/tools/pkgdata/pkgtypes.c (1.2),
	extern/icu/source/tools/pkgdata/pkgtypes.h (1.2),
	extern/icu/source/tools/pkgdata/sttcmode.c (1.2),
	extern/icu/source/tools/pkgdata/winmode.c (1.2),
	extern/icu/source/tools/toolutil/.cvsignore (1.2),
	extern/icu/source/tools/toolutil/Makefile.in (1.2),
	extern/icu/source/tools/toolutil/toolutil.c (1.2),
	extern/icu/source/tools/toolutil/toolutil.dsp (1.2),
	extern/icu/source/tools/toolutil/toolutil.h (1.2),
	extern/icu/source/tools/toolutil/toolutil.vcproj (1.2),
	extern/icu/source/tools/toolutil/ucbuf.c (1.2),
	extern/icu/source/tools/toolutil/ucbuf.h (1.2),
	extern/icu/source/tools/toolutil/ucm.c (1.2),
	extern/icu/source/tools/toolutil/ucm.h (1.2),
	extern/icu/source/tools/toolutil/ucmpwrit.c (1.2),
	extern/icu/source/tools/toolutil/ucmpwrit.h (1.2),
	extern/icu/source/tools/toolutil/ucmstate.c (1.2),
	extern/icu/source/tools/toolutil/unewdata.c (1.2),
	extern/icu/source/tools/toolutil/unewdata.h (1.2),
	extern/icu/source/tools/toolutil/uoptions.c (1.2),
	extern/icu/source/tools/toolutil/uoptions.h (1.2),
	extern/icu/source/tools/toolutil/uparse.c (1.2),
	extern/icu/source/tools/toolutil/uparse.h (1.2),
	extern/icu/source/tools/toolutil/uperf.cpp (1.2),
	extern/icu/source/tools/toolutil/uperf.h (1.2),
	extern/icu/source/tools/toolutil/utimer.h (1.2),
	extern/icu/source/tools/tzcode/patch-icu-tzcode (1.2),
	extern/icu/source/tools/tzcode/readme.txt (1.2),
	extern/icu/source/tools/tzcode/tz.alias (1.2),
	extern/icu/source/tools/tzcode/tz2icu.cpp (1.2),
	extern/icu/source/tools/tzcode/tz2icu.h (1.2),
	extern/regex/COPYRIGHT (1.2), extern/regex/INSTALL (1.2),
	extern/regex/Makefile.am (1.2), extern/regex/Makefile.in (1.2),
	extern/regex/Makefile.orig (1.2), extern/regex/README (1.2),
	extern/regex/WHATSNEW (1.2), extern/regex/aclocal.m4 (1.2),
	extern/regex/autogen.sh (1.2), extern/regex/cclass.h (1.2),
	extern/regex/cname.h (1.2), extern/regex/config.guess (1.2),
	extern/regex/config.sub (1.2), extern/regex/configure (1.2),
	extern/regex/configure.in (1.2), extern/regex/debug.c (1.2),
	extern/regex/debug.ih (1.2), extern/regex/engine.c (1.2),
	extern/regex/engine.ih (1.2), extern/regex/install-sh (1.2),
	extern/regex/ltmain.sh (1.2), extern/regex/main.c (1.2),
	extern/regex/missing (1.2), extern/regex/mkh (1.2),
	extern/regex/mkinstalldirs (1.2), extern/regex/regcomp.c (1.2),
	extern/regex/regcomp.ih (1.2), extern/regex/regerror.c (1.2),
	extern/regex/regerror.ih (1.2), extern/regex/regex.h (1.2),
	extern/regex/regex2.h (1.2), extern/regex/regexec.c (1.2),
	extern/regex/regfree.c (1.2), extern/regex/rxspencer.3 (1.2),
	extern/regex/rxspencer.7 (1.2), extern/regex/split.c (1.2),
	extern/regex/test1.sh (1.2), extern/regex/test2.sh (1.2),
	extern/regex/test3.sh (1.2), extern/regex/tests (1.2),
	extern/regex/utils.h (1.2), extern/regex/fake/limits.h (1.2),
	extern/regex/fake/memmove.c (1.2), extern/regex/fake/stdlib.h
	(1.2), lang_helpers/gds_codes.ftn (1.14),
	lang_helpers/gds_codes.pas (1.14), src/alice/alice.cpp (1.79),
	src/alice/alice_meta.epp (1.45), src/burp/backup.epp (1.78),
	src/burp/burp.h (1.66), src/burp/restore.epp (1.94),
	src/common/classes/ClumpletWriter.cpp (1.10),
	src/common/classes/GenericMap.h (1.8),
	src/common/classes/class_test.cpp (1.25),
	src/common/classes/sparse_bitmap.h (1.12),
	src/common/classes/vector.h (1.15), src/common/config/config.cpp
	(1.62), src/common/config/config.h (1.36),
	src/config/AdminException.cpp (1.2), src/config/AdminException.h
	(1.2), src/config/Args.cpp (1.2), src/config/Args.h (1.2),
	src/config/ArgsException.cpp (1.2), src/config/ArgsException.h
	(1.2), src/config/ConfObj.cpp (1.2), src/config/ConfObj.h (1.2),
	src/config/ConfObject.cpp (1.2), src/config/ConfObject.h (1.2),
	src/config/ConfigFile.cpp (1.2), src/config/ConfigFile.h (1.2),
	src/config/Configuration.cpp (1.2), src/config/Configuration.h
	(1.2), src/config/DirectoryList.cpp (1.2),
	src/config/DirectoryList.h (1.2), src/config/Element.cpp (1.2),
	src/config/Element.h (1.2), src/config/FileName.cpp (1.2),
	src/config/FileName.h (1.2), src/config/InputFile.cpp (1.2),
	src/config/InputFile.h (1.2), src/config/InputStream.cpp (1.2),
	src/config/InputStream.h (1.2), src/config/Lex.cpp (1.2),
	src/config/Lex.h (1.2), src/config/Parameters.h (1.2),
	src/config/ScanDir.cpp (1.2), src/config/ScanDir.h (1.2),
	src/config/Stream.cpp (1.2), src/config/Stream.h (1.2),
	src/config/StreamSegment.cpp (1.2), src/config/StreamSegment.h
	(1.2), src/dsql/ddl.cpp (1.139), src/dsql/dsql.cpp (1.149),
	src/dsql/dsql.tab.h (1.55), src/dsql/gen.cpp (1.80),
	src/dsql/keywords.cpp (1.44), src/dsql/make.cpp (1.89),
	src/dsql/make_proto.h (1.24), src/dsql/metd.epp (1.72),
	src/dsql/metd_proto.h (1.23), src/dsql/node.h (1.59),
	src/dsql/parse.cpp (1.151):
	
	Merge INTL branch into HEAD

2005-05-28 00:33  asfernandes

	* firebird2/extern/icu/source/tools/: gencmn/.cvsignore (1.2),
	gencmn/Makefile.in (1.2), gencmn/decmn.8.in (1.2), gencmn/decmn.c
	(1.2), gencmn/decmn.dsp (1.2), gencmn/decmn.vcproj (1.2),
	gencmn/gencmn.8.in (1.2), gencmn/gencmn.c (1.2), gencmn/gencmn.dsp
	(1.2), gencmn/gencmn.vcproj (1.2), gencnval/.cvsignore (1.2),
	gencnval/Makefile.in (1.2), gencnval/gencnval.1.in (1.2),
	gencnval/gencnval.c (1.2), gencnval/gencnval.dsp (1.2),
	gencnval/gencnval.vcproj (1.2), gendraft/gendraft.pl (1.2),
	gennames/.cvsignore (1.2), gennames/Makefile.in (1.2),
	gennames/gennames.8.in (1.2), gennames/gennames.c (1.2),
	gennames/gennames.dsp (1.2), gennames/gennames.vcproj (1.2),
	gennorm/.cvsignore (1.2), gennorm/Makefile.in (1.2),
	gennorm/gennorm.8.in (1.2), gennorm/gennorm.c (1.2),
	gennorm/gennorm.dsp (1.2), gennorm/gennorm.h (1.2),
	gennorm/gennorm.vcproj (1.2), gennorm/store.c (1.2),
	genpname/.cvsignore (1.2), genpname/Makefile.in (1.2),
	genpname/SyntheticPropertyAliases.txt (1.2), genpname/data.h (1.2),
	genpname/genpname.cpp (1.2), genpname/genpname.dsp (1.2),
	genpname/genpname.vcproj (1.2), genpname/preparse.pl (1.2),
	genprops/.cvsignore (1.2), genprops/Makefile.in (1.2),
	genprops/genprops.8.in (1.2), genprops/genprops.c (1.2),
	genprops/genprops.dsp (1.2), genprops/genprops.h (1.2),
	genprops/genprops.vcproj (1.2), genprops/props2.c (1.2),
	genprops/propsvec.c (1.2), genprops/propsvec.h (1.2),
	genprops/store.c (1.2), genprops/misc/ucdmerge.c (1.2),
	genprops/misc/ucdstrip.c (1.2), genprops/misc/ucdstrip.pl (1.2),
	genrb/.cvsignore (1.2), genrb/Makefile.in (1.2), genrb/derb.1.in
	(1.2), genrb/derb.c (1.2), genrb/derb.dsp (1.2), genrb/derb.vcproj
	(1.2), genrb/errmsg.c (1.2), genrb/errmsg.h (1.2),
	genrb/gendtjar.pl (1.2), genrb/genrb.1.in (1.2), genrb/genrb.c
	(1.2), genrb/genrb.dsp (1.2), genrb/genrb.h (1.2),
	genrb/genrb.vcproj (1.2), genrb/genrbjar.pl (1.2), genrb/parse.c
	(1.2), genrb/parse.h (1.2), genrb/prscmnts.cpp (1.2),
	genrb/prscmnts.h (1.2), genrb/read.c (1.2), genrb/read.h (1.2),
	genrb/reslist.c (1.2), genrb/reslist.h (1.2), genrb/rle.c (1.2),
	genrb/rle.h (1.2), genrb/ustr.c (1.2), genrb/ustr.h (1.2),
	genrb/util.c (1.2), genrb/util.h (1.2), genrb/wrtjava.c (1.2),
	genrb/wrtxml.c (1.2), genren/Makefile (1.2), genren/README (1.2),
	genren/genren.pl (1.2), gensprep/.cvsignore (1.2),
	gensprep/Makefile.in (1.2), gensprep/filterRFC3454.pl (1.2),
	gensprep/gensprep.8.in (1.2), gensprep/gensprep.c (1.2),
	gensprep/gensprep.dsp (1.2), gensprep/gensprep.h (1.2),
	gensprep/gensprep.vcproj (1.2), gensprep/store.c (1.2),
	gentest/.cvsignore (1.2), gentest/Makefile.in (1.2),
	gentest/genres32.c (1.2), gentest/gentest.c (1.2),
	gentest/gentest.dsp (1.2), gentest/gentest.h (1.2),
	gentest/gentest.vcproj (1.2), genuca/.cvsignore (1.2),
	genuca/Makefile.in (1.2), genuca/genuca.8.in (1.2),
	genuca/genuca.cpp (1.2), genuca/genuca.dsp (1.2), genuca/genuca.h
	(1.2), genuca/genuca.vcproj (1.2), icuswap/.cvsignore (1.2),
	icuswap/Makefile.in (1.2), icuswap/icuswap.cpp (1.2),
	icuswap/icuswap.dsp (1.2), icuswap/icuswap.vcproj (1.2),
	makeconv/.cvsignore (1.2), makeconv/Makefile.in (1.2),
	makeconv/gencnvex.c (1.2), makeconv/genmbcs.c (1.2),
	makeconv/genmbcs.h (1.2), makeconv/makeconv.1.in (1.2),
	makeconv/makeconv.c (1.2), makeconv/makeconv.dsp (1.2),
	makeconv/makeconv.h (1.2), makeconv/makeconv.vcproj (1.2),
	makeconv/ucnvstat.c (1.2), makeconv/misc/canonucm.c (1.2),
	makeconv/misc/rptp2ucm.c (1.2), makeconv/misc/ucmmerge.c (1.2),
	makeconv/misc/ucmstrip.c (1.2):
	
	Merge INTL branch into HEAD

2005-05-28 00:30  asfernandes

	* firebird2/extern/icu/source/: test/perf/perldriver/Dataset.pm
	(1.2), test/perf/perldriver/Format.pm (1.2),
	test/perf/perldriver/Output.pm (1.2),
	test/perf/perldriver/PerfFramework.pm (1.2),
	test/perf/ubrkperf/Makefile.in (1.2),
	test/perf/ubrkperf/UBrkPerf.pl (1.2),
	test/perf/ubrkperf/ubrkperf.cpp (1.2),
	test/perf/ubrkperf/ubrkperf.dsp (1.2),
	test/perf/ubrkperf/ubrkperf.h (1.2),
	test/perf/ubrkperf/ubrkperf20.dsp (1.2),
	test/perf/ubrkperf/ubrkperfold.cpp (1.2),
	test/perf/ubrkperf/ubrkperfold.dsp (1.2),
	test/perf/ustrperf/StringPerf.pl (1.2),
	test/perf/ustrperf/stringperf.cpp (1.2),
	test/perf/ustrperf/stringperf.h (1.2),
	test/perf/ustrperf/stringperf.vcproj (1.2),
	test/testdata/.cvsignore (1.2),
	test/testdata/CollationTest_NON_IGNORABLE_STUB.txt (1.2),
	test/testdata/CollationTest_SHIFTED_STUB.txt (1.2),
	test/testdata/DataDrivenCollationTest.txt (1.2),
	test/testdata/Makefile.in (1.2),
	test/testdata/NormalizationTest-3.2.0.txt (1.2),
	test/testdata/NumberFormatTestCases.txt (1.2),
	test/testdata/casing.txt (1.2), test/testdata/conversion.txt (1.2),
	test/testdata/default.goo (1.2), test/testdata/default.txt (1.2),
	test/testdata/ibm9027.ucm (1.2), test/testdata/icuio.txt (1.2),
	test/testdata/idna_rules.txt (1.2), test/testdata/importtest.bin
	(1.2), test/testdata/iscii.bin (1.2), test/testdata/mc.txt (1.2),
	test/testdata/nfs4_cis_prep.txt (1.2),
	test/testdata/nfs4_cs_prep_ci.txt (1.2),
	test/testdata/nfs4_cs_prep_cs.txt (1.2),
	test/testdata/nfs4_mixed_prep_p.txt (1.2),
	test/testdata/nfs4_mixed_prep_s.txt (1.2), test/testdata/ra.txt
	(1.2), test/testdata/rbbitst.txt (1.2), test/testdata/re_tests.txt
	(1.2), test/testdata/readme.txt (1.2), test/testdata/regextst.txt
	(1.2), test/testdata/riwords.txt (1.2), test/testdata/root.txt
	(1.2), test/testdata/te.txt (1.2), test/testdata/te_IN.goo (1.2),
	test/testdata/te_IN.txt (1.2), test/testdata/test1.ucm (1.2),
	test/testdata/test3.ucm (1.2), test/testdata/test4.ucm (1.2),
	test/testdata/test4x.ucm (1.2), test/testdata/testaliases.txt
	(1.2), test/testdata/testdata.mk (1.2),
	test/testdata/testdata_icu26_testtypes.res (1.2),
	test/testdata/testdata_icu26e_testtypes.res (1.2),
	test/testdata/testempty.txt (1.2), test/testdata/testtypes.txt
	(1.2), test/testdata/translit_rules.txt (1.2),
	test/testdata/uni-text.bin (1.2), test/testmap/.cvsignore (1.2),
	test/testmap/Makefile.in (1.2), test/testmap/testmap.c (1.2),
	test/testmap/testmap.dsp (1.2), test/thaitest/.cvsignore (1.2),
	test/thaitest/Makefile.in (1.2), test/thaitest/space.txt (1.2),
	test/thaitest/thaitest.cpp (1.2), test/thaitest/thaitest.dsp (1.2),
	test/threadtest/.cvsignore (1.2), test/threadtest/Makefile.in
	(1.2), test/threadtest/converttest.cpp (1.2),
	test/threadtest/stringtest.cpp (1.2),
	test/threadtest/threadtest.cpp (1.2),
	test/threadtest/threadtest.dsp (1.2),
	test/threadtest/threadtest.dsw (1.2), test/threadtest/threadtest.h
	(1.2), test/unalignedtest/Makefile.in (1.2),
	test/unalignedtest/readme (1.2), test/unalignedtest/unaligned.c
	(1.2), test/usetperf/bitset.cpp (1.2), test/usetperf/bitset.h
	(1.2), test/usetperf/timer.h (1.2), test/usetperf/usetperf.cpp
	(1.2), test/usetperf/usetperf.dsp (1.2), test/utfperf/utfperf.c
	(1.2), test/utfperf/utfperf.dsp (1.2), tools/.cvsignore (1.2),
	tools/Makefile.in (1.2), tools/cpysearch/cpysearch.pl (1.2),
	tools/cpysearch/readme.txt (1.2), tools/ctestfw/.cvsignore (1.2),
	tools/ctestfw/Makefile.in (1.2), tools/ctestfw/ctest.c (1.2),
	tools/ctestfw/ctestfw.dsp (1.2), tools/ctestfw/ctestfw.vcproj
	(1.2), tools/ctestfw/datamap.cpp (1.2), tools/ctestfw/testdata.cpp
	(1.2), tools/ctestfw/tstdtmod.cpp (1.2),
	tools/ctestfw/unicode/ctest.h (1.2),
	tools/ctestfw/unicode/datamap.h (1.2),
	tools/ctestfw/unicode/testdata.h (1.2),
	tools/ctestfw/unicode/testlog.h (1.2),
	tools/ctestfw/unicode/testtype.h (1.2),
	tools/ctestfw/unicode/tstdtmod.h (1.2), tools/dumpce/.cvsignore
	(1.2), tools/dumpce/Makefile.in (1.2), tools/dumpce/dumpce.cpp
	(1.2), tools/dumpce/dumpce.dsp (1.2), tools/dumpce/dumpce.dsw
	(1.2), tools/genbrk/.cvsignore (1.2), tools/genbrk/Makefile.in
	(1.2), tools/genbrk/genbrk.cpp (1.2), tools/genbrk/genbrk.dsp
	(1.2), tools/genbrk/genbrk.vcproj (1.2), tools/genccode/.cvsignore
	(1.2), tools/genccode/Makefile.in (1.2),
	tools/genccode/genccode.8.in (1.2), tools/genccode/genccode.c
	(1.2), tools/genccode/genccode.dsp (1.2),
	tools/genccode/genccode.vcproj (1.2):
	
	Merge INTL branch into HEAD

2005-05-28 00:26  asfernandes

	* firebird2/extern/icu/source/: samples/ufortune/fortunedefs.mk
	(1.2), samples/ufortune/readme.txt (1.2),
	samples/ufortune/ufortune.c (1.2), samples/ufortune/ufortune.dsp
	(1.2), samples/ufortune/ufortune.dsw (1.2),
	samples/ufortune/ufortune.sln (1.2),
	samples/ufortune/ufortune.vcproj (1.2),
	samples/ufortune/resources/Makefile (1.2),
	samples/ufortune/resources/es.txt (1.2),
	samples/ufortune/resources/fortune_resources.mak (1.2),
	samples/ufortune/resources/res-file-list.txt (1.2),
	samples/ufortune/resources/root.txt (1.2), samples/ugrep/Makefile
	(1.2), samples/ugrep/readme.txt (1.2), samples/ugrep/ugrep.cpp
	(1.2), samples/ugrep/ugrep.dsp (1.2), samples/ugrep/ugrep.dsw
	(1.2), samples/ugrep/ugrep.sln (1.2), samples/ugrep/ugrep.vcproj
	(1.2), samples/uresb/Makefile (1.2), samples/uresb/en.txt (1.2),
	samples/uresb/readme.txt (1.2), samples/uresb/resources.dsp (1.2),
	samples/uresb/resources.mak (1.2), samples/uresb/resources.vcproj
	(1.2), samples/uresb/root.txt (1.2), samples/uresb/sr.txt (1.2),
	samples/uresb/uresb.c (1.2), samples/uresb/uresb.dsp (1.2),
	samples/uresb/uresb.dsw (1.2), samples/uresb/uresb.sln (1.2),
	samples/uresb/uresb.vcproj (1.2), samples/ustring/Makefile (1.2),
	samples/ustring/readme.txt (1.2), samples/ustring/ustring.cpp
	(1.2), samples/ustring/ustring.dsp (1.2),
	samples/ustring/ustring.dsw (1.2), samples/ustring/ustring.sln
	(1.2), samples/ustring/ustring.vcproj (1.2),
	samples/xml2txt/readme.txt (1.2), stubdata/.cvsignore (1.2),
	stubdata/Makefile.in (1.2), stubdata/stubdata.c (1.2),
	stubdata/stubdata.dsp (1.2), stubdata/stubdata.vcproj (1.2),
	test/.cvsignore (1.2), test/Makefile.in (1.2),
	test/cintltst/.cvsignore (1.2), test/cintltst/Makefile.in (1.2),
	test/cintltst/bocu1tst.c (1.2), test/cintltst/callcoll.c (1.2),
	test/cintltst/callcoll.h (1.2), test/cintltst/calldata.h (1.2),
	test/cintltst/calltest.c (1.2), test/cintltst/capitst.c (1.2),
	test/cintltst/capitst.h (1.2), test/cintltst/cbiapts.c (1.2),
	test/cintltst/cbiapts.h (1.2), test/cintltst/cbididat.c (1.2),
	test/cintltst/cbiditst.c (1.2), test/cintltst/cbiditst.h (1.2),
	test/cintltst/cbkittst.c (1.2), test/cintltst/ccaltst.c (1.2),
	test/cintltst/ccaltst.h (1.2), test/cintltst/ccapitst.c (1.2),
	test/cintltst/ccapitst.h (1.2), test/cintltst/ccolltst.c (1.2),
	test/cintltst/ccolltst.h (1.2), test/cintltst/cconvtst.c (1.2),
	test/cintltst/cctest.c (1.2), test/cintltst/ccurrtst.c (1.2),
	test/cintltst/ccurrtst.h (1.2), test/cintltst/cdantst.c (1.2),
	test/cintltst/cdantst.h (1.2), test/cintltst/cdattst.c (1.2),
	test/cintltst/cdattst.h (1.2), test/cintltst/cdetst.c (1.2),
	test/cintltst/cdetst.h (1.2), test/cintltst/cdtdptst.c (1.2),
	test/cintltst/cdtdptst.h (1.2), test/cintltst/cdtrgtst.c (1.2),
	test/cintltst/cdtrgtst.h (1.2), test/cintltst/cestst.c (1.2),
	test/cintltst/cestst.h (1.2), test/cintltst/cfintst.c (1.2),
	test/cintltst/cfintst.h (1.2), test/cintltst/cformtst.c (1.2),
	test/cintltst/cformtst.h (1.2), test/cintltst/cfrtst.c (1.2),
	test/cintltst/cfrtst.h (1.2), test/cintltst/cg7coll.c (1.2),
	test/cintltst/cg7coll.h (1.2), test/cintltst/chashtst.c (1.2),
	test/cintltst/cintltst.c (1.2), test/cintltst/cintltst.dsp (1.2),
	test/cintltst/cintltst.h (1.2), test/cintltst/cintltst.vcproj
	(1.2), test/cintltst/citertst.c (1.2), test/cintltst/citertst.h
	(1.2), test/cintltst/cjaptst.c (1.2), test/cintltst/cjaptst.h
	(1.2), test/cintltst/cloctst.c (1.2), test/cintltst/cloctst.h
	(1.2), test/cintltst/cmsccoll.c (1.2), test/cintltst/cmsgtst.c
	(1.2), test/cintltst/cmsgtst.h (1.2), test/cintltst/cnmdptst.c
	(1.2), test/cintltst/cnmdptst.h (1.2), test/cintltst/cnormtst.c
	(1.2), test/cintltst/cnormtst.h (1.2), test/cintltst/cnumtst.c
	(1.2), test/cintltst/cnumtst.h (1.2), test/cintltst/colutil.c
	(1.2), test/cintltst/cposxtst.c (1.2), test/cintltst/cregrtst.c
	(1.2), test/cintltst/cregrtst.h (1.2), test/cintltst/crestst.c
	(1.2), test/cintltst/crestst.h (1.2), test/cintltst/creststn.c
	(1.2), test/cintltst/creststn.h (1.2), test/cintltst/cstrcase.c
	(1.2), test/cintltst/cstrtest.c (1.2), test/cintltst/ctstdep.c
	(1.2), test/cintltst/cturtst.c (1.2), test/cintltst/cturtst.h
	(1.2), test/cintltst/cucdapi.c (1.2), test/cintltst/cucdapi.h
	(1.2), test/cintltst/cucdtst.c (1.2), test/cintltst/cucdtst.h
	(1.2), test/cintltst/custrtrn.c (1.2), test/cintltst/custrtst.c
	(1.2), test/cintltst/cutiltst.c (1.2), test/cintltst/encoll.c
	(1.2), test/cintltst/encoll.h (1.2), test/cintltst/eurocreg.c
	(1.2), test/cintltst/hpmufn.c (1.2), test/cintltst/idnatest.c
	(1.2), test/cintltst/mstrmtst.c (1.2), test/cintltst/nccbtst.c
	(1.2), test/cintltst/nccbtst.h (1.2), test/cintltst/ncnvfbts.c
	(1.2), test/cintltst/ncnvfbts.h (1.2), test/cintltst/ncnvtst.c
	(1.2), test/cintltst/nfsprep.c (1.2), test/cintltst/nfsprep.h
	(1.2), test/cintltst/nucnvtst.c (1.2), test/cintltst/nucnvtst.h
	(1.2), test/cintltst/putiltst.c (1.2), test/cintltst/reapits.c
	(1.2), test/cintltst/sorttest.c (1.2), test/cintltst/spreptst.c
	(1.2), test/cintltst/sprpdata.c (1.2), test/cintltst/stdnmtst.c
	(1.2), test/cintltst/tracetst.c (1.2), test/cintltst/trietest.c
	(1.2), test/cintltst/ucmptst.c (1.2), test/cintltst/udatatst.c
	(1.2), test/cintltst/uenumtst.c (1.2), test/cintltst/usettest.c
	(1.2), test/cintltst/usrchdat.c (1.2), test/cintltst/usrchtst.c
	(1.2), test/cintltst/utf16tst.c (1.2), test/cintltst/utf8tst.c
	(1.2), test/cintltst/utransts.c (1.2), test/collperf/.cvsignore
	(1.2), test/collperf/Makefile.in (1.2), test/collperf/collperf.cpp
	(1.2), test/collperf/collperf.dsp (1.2), test/collperf/readme.html
	(1.2), test/hdrtst/.cvsignore (1.2), test/hdrtst/Makefile.in (1.2),
	test/hdrtst/cxxfiles.txt (1.2), test/hdrtst/dfiles.txt (1.2),
	test/hdrtst/pfiles.txt (1.2), test/intltest/.cvsignore (1.2),
	test/intltest/Makefile.in (1.2), test/intltest/allcoll.cpp (1.2),
	test/intltest/allcoll.h (1.2), test/intltest/apicoll.cpp (1.2),
	test/intltest/apicoll.h (1.2), test/intltest/astrotst.cpp (1.2),
	test/intltest/astrotst.h (1.2), test/intltest/calcasts.cpp (1.2),
	test/intltest/calcasts.h (1.2), test/intltest/callimts.cpp (1.2),
	test/intltest/callimts.h (1.2), test/intltest/calregts.cpp (1.2),
	test/intltest/calregts.h (1.2), test/intltest/caltest.cpp (1.2),
	test/intltest/caltest.h (1.2), test/intltest/caltztst.cpp (1.2),
	test/intltest/caltztst.h (1.2), test/intltest/canittst.cpp (1.2),
	test/intltest/canittst.h (1.2), test/intltest/citrtest.cpp (1.2),
	test/intltest/citrtest.h (1.2), test/intltest/cntabcol.cpp (1.2),
	test/intltest/cntabcol.h (1.2), test/intltest/convtest.cpp (1.2),
	test/intltest/convtest.h (1.2), test/intltest/cpdtrtst.cpp (1.2),
	test/intltest/cpdtrtst.h (1.2), test/intltest/currcoll.cpp (1.2),
	test/intltest/currcoll.h (1.2), test/intltest/dacoll.cpp (1.2),
	test/intltest/dacoll.h (1.2), test/intltest/dadrcoll.cpp (1.2),
	test/intltest/dadrcoll.h (1.2), test/intltest/dcfmapts.cpp (1.2),
	test/intltest/dcfmapts.h (1.2), test/intltest/decoll.cpp (1.2),
	test/intltest/decoll.h (1.2), test/intltest/dtfmapts.cpp (1.2),
	test/intltest/dtfmapts.h (1.2), test/intltest/dtfmrgts.cpp (1.2),
	test/intltest/dtfmrgts.h (1.2), test/intltest/dtfmtrtts.cpp (1.2),
	test/intltest/dtfmtrtts.h (1.2), test/intltest/dtfmttst.cpp (1.2),
	test/intltest/dtfmttst.h (1.2), test/intltest/encoll.cpp (1.2),
	test/intltest/encoll.h (1.2), test/intltest/escoll.cpp (1.2),
	test/intltest/escoll.h (1.2), test/intltest/ficoll.cpp (1.2),
	test/intltest/ficoll.h (1.2), test/intltest/frcoll.cpp (1.2),
	test/intltest/frcoll.h (1.2), test/intltest/g7coll.cpp (1.2),
	test/intltest/g7coll.h (1.2), test/intltest/icusvtst.cpp (1.2),
	test/intltest/icusvtst.h (1.2), test/intltest/idnaref.cpp (1.2),
	test/intltest/idnaref.h (1.2), test/intltest/incaltst.cpp (1.2),
	test/intltest/incaltst.h (1.2), test/intltest/intltest.cpp (1.2),
	test/intltest/intltest.dsp (1.2), test/intltest/intltest.h (1.2),
	test/intltest/intltest.vcproj (1.2), test/intltest/itercoll.cpp
	(1.2), test/intltest/itercoll.h (1.2), test/intltest/itformat.cpp
	(1.2), test/intltest/itformat.h (1.2), test/intltest/itmajor.cpp
	(1.2), test/intltest/itmajor.h (1.2), test/intltest/itrbbi.cpp
	(1.2), test/intltest/itrbbi.h (1.2), test/intltest/itrbnf.cpp
	(1.2), test/intltest/itrbnf.h (1.2), test/intltest/itrbnfp.cpp
	(1.2), test/intltest/itrbnfp.h (1.2), test/intltest/itrbnfrt.cpp
	(1.2), test/intltest/itrbnfrt.h (1.2), test/intltest/ittrans.cpp
	(1.2), test/intltest/ittrans.h (1.2), test/intltest/itutil.cpp
	(1.2), test/intltest/itutil.h (1.2), test/intltest/jacoll.cpp
	(1.2), test/intltest/jacoll.h (1.2), test/intltest/jamotest.cpp
	(1.2), test/intltest/jamotest.h (1.2), test/intltest/lcukocol.cpp
	(1.2), test/intltest/lcukocol.h (1.2), test/intltest/loctest.cpp
	(1.2), test/intltest/loctest.h (1.2), test/intltest/miscdtfm.cpp
	(1.2), test/intltest/miscdtfm.h (1.2), test/intltest/mnkytst.cpp
	(1.2), test/intltest/mnkytst.h (1.2), test/intltest/msfmrgts.cpp
	(1.2), test/intltest/msfmrgts.h (1.2), test/intltest/nmfmapts.cpp
	(1.2), test/intltest/nmfmapts.h (1.2), test/intltest/nmfmtrt.cpp
	(1.2), test/intltest/nmfmtrt.h (1.2), test/intltest/normconf.cpp
	(1.2), test/intltest/normconf.h (1.2), test/intltest/nptrans.cpp
	(1.2), test/intltest/nptrans.h (1.2), test/intltest/numfmtst.cpp
	(1.2), test/intltest/numfmtst.h (1.2), test/intltest/numrgts.cpp
	(1.2), test/intltest/numrgts.h (1.2), test/intltest/pptest.cpp
	(1.2), test/intltest/pptest.h (1.2), test/intltest/punyref.c (1.2),
	test/intltest/punyref.h (1.2), test/intltest/rbbiapts.cpp (1.2),
	test/intltest/rbbiapts.h (1.2), test/intltest/rbbitst.cpp (1.2),
	test/intltest/rbbitst.h (1.2), test/intltest/regcoll.cpp (1.2),
	test/intltest/regcoll.h (1.2), test/intltest/regextst.cpp (1.2),
	test/intltest/regextst.h (1.2), test/intltest/reptest.cpp (1.2),
	test/intltest/reptest.h (1.2), test/intltest/restest.cpp (1.2),
	test/intltest/restest.h (1.2), test/intltest/restsnew.cpp (1.2),
	test/intltest/restsnew.h (1.2), test/intltest/sdtfmtts.cpp (1.2),
	test/intltest/sdtfmtts.h (1.2), test/intltest/sfwdchit.cpp (1.2),
	test/intltest/sfwdchit.h (1.2), test/intltest/srchtest.cpp (1.2),
	test/intltest/srchtest.h (1.2), test/intltest/strcase.cpp (1.2),
	test/intltest/strtest.cpp (1.2), test/intltest/strtest.h (1.2),
	test/intltest/svccoll.cpp (1.2), test/intltest/svccoll.h (1.2),
	test/intltest/tchcfmt.cpp (1.2), test/intltest/tchcfmt.h (1.2),
	test/intltest/testidn.cpp (1.2), test/intltest/testidna.cpp (1.2),
	test/intltest/testidna.h (1.2), test/intltest/testutil.cpp (1.2),
	test/intltest/testutil.h (1.2), test/intltest/textfile.cpp (1.2),
	test/intltest/textfile.h (1.2), test/intltest/tfsmalls.cpp (1.2),
	test/intltest/tfsmalls.h (1.2), test/intltest/thcoll.cpp (1.2),
	test/intltest/thcoll.h (1.2), test/intltest/tmsgfmt.cpp (1.2),
	test/intltest/tmsgfmt.h (1.2), test/intltest/tokiter.cpp (1.2),
	test/intltest/tokiter.h (1.2), test/intltest/transapi.cpp (1.2),
	test/intltest/transapi.h (1.2), test/intltest/transrt.cpp (1.2),
	test/intltest/transrt.h (1.2), test/intltest/transtst.cpp (1.2),
	test/intltest/transtst.h (1.2), test/intltest/trcoll.cpp (1.2),
	test/intltest/trcoll.h (1.2), test/intltest/trnserr.cpp (1.2),
	test/intltest/trnserr.h (1.2), test/intltest/tscoll.cpp (1.2),
	test/intltest/tscoll.h (1.2), test/intltest/tsdate.cpp (1.2),
	test/intltest/tsdate.h (1.2), test/intltest/tsdcfmsy.cpp (1.2),
	test/intltest/tsdcfmsy.h (1.2), test/intltest/tsdtfmsy.cpp (1.2),
	test/intltest/tsdtfmsy.h (1.2), test/intltest/tsmthred.cpp (1.2),
	test/intltest/tsmthred.h (1.2), test/intltest/tsnmfmt.cpp (1.2),
	test/intltest/tsnmfmt.h (1.2), test/intltest/tsputil.cpp (1.2),
